;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%	 Copyright (C) 1989 by WATCOM Systems Inc. All rights	   %
;%	 reserved. No part of this software may be reproduced	   %
;%	 in any form or by any means - graphic, electronic or	   %
;%	 mechanical, including photocopying, recording, taping	   %
;%	 or information storage and retrieval systems - except	   %
;%	 with the written permission of WATCOM Systems Inc.	   %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  modified:	  by:		reason:
;  ---------	  ---		-------
;  03-dec-89	F.W.Crigger	Initial implementation
;  02-jun-90	F.W.Crigger	Windows support added
;  01-mar-91	F.W.Crigger	Windows conventions now same as DOS
;  12-sep-94	Greg Bentz	check for _HUGE_DATA with _BIG_DATA
;  12-mar-95	Greg Bentz	remove extra _ from "C" symbols
;  06-oct-95	M. Hildebrand	Changed _bios prefix to __ibm_bios.
;
include mdef.inc
include struct.inc

	modstart b_timofd

	defp	__ibm_bios_timeofday
	if __WASM__ ge 100
	 xdefp	"C",__ibm_bios_timeofday
	else
	 xdefp	<"C",__ibm_bios_timeofday>
	endif
;
;	int	__ibm_bios_timeofday( int service, long *timeval );
;
	push	BX		; save BX
	push	CX		; save CX
	push	DX		; save DX
if _MODEL and (_BIG_DATA or _HUGE_DATA)
	push	DS		; save DS
	mov	DS,CX		; point to diskinfo struct
else
	mov	BX,DX		; get pointer to diskinfo
endif
	_guess			; guess: _TIME_GETCLOCK
	  or	AX,AX		; - quit if not _TIME_GETCLOCK
	  _quif ne		; - ...
	  int	1Ah		; - get current time
	  mov	[BX],DX 	; - store time
	  mov	2[BX],CX	; - ...
	  mov	AH,0		; - zero high part of overflow
	_admit			; guess: _TIME_SETCLOCK
	  dec	AX		; - quit if not _TIME_SETCLOCK
	  mov	AX,0FFFFh	; - set error code
	  _quif ne		; - ...
	  mov	DX,[BX] 	; - get time to be set
	  mov	CX,2[BX]	; - ...
	  mov	AH,1		; - indicate set time
	  int	1Ah		; - set the time
	  sub	AX,AX		; - set return code
	_endguess		; endguess
if _MODEL and (_BIG_DATA or _HUGE_DATA)
	pop	DS		; restore DS
endif
	pop	DX		; restore BX
	pop	CX		; restore BX
	pop	BX		; restore BX
	ret			; return to caller
	endproc __ibm_bios_timeofday

	endmod
	end
