;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%       Copyright (C) 1989 by WATCOM Systems Inc. All rights      %
;%       reserved. No part of this software may be reproduced      %
;%       in any form or by any means - graphic, electronic or      %
;%       mechanical, including photocopying, recording, taping     %
;%       or information storage and retrieval systems - except     %
;%       with the written permission of WATCOM Systems Inc.        %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  modified:      by:           reason:
;  ---------      ---           -------
;  03-dec-89    F.W.Crigger     Initial implementation
;  12-mar-95	Greg Bentz	remove extra _ from "C" symbols
;  06-oct-95	M. Hildebrand	Changed _bios prefix to __ibm_bios.
;
include mdef.inc
include struct.inc

        modstart b_timofd

        defp    __ibm_bios_timeofday
	if __WASM__ ge 100
	 xdefp	"C",__ibm_bios_timeofday
	else
	 xdefp	<"C",__ibm_bios_timeofday>
	endif
;
;       unsigned __ibm_bios_timeofday( int service, long *timeval );
;
ifdef __STACK__
        mov     EAX,4[ESP]      ; get service
        mov     EDX,8[ESP]      ; get pointer to structure
endif
        push    EBX             ; save BX
        push    ECX             ; save CX
        push    EDX             ; save DX
        mov     EBX,EDX         ; get pointer to diskinfo
        _guess                  ; guess: _TIME_GETCLOCK
          or    EAX,EAX         ; - quit if not _TIME_GETCLOCK
          _quif ne              ; - ...
          int   1Ah             ; - get current time
          mov   [EBX],DX        ; - store time
          mov   2[EBX],CX       ; - ...
          mov   AH,0            ; - zero high part of overflow
        _admit                  ; guess: _TIME_SETCLOCK
          dec   EAX             ; - quit if not _TIME_SETCLOCK
          mov   EAX,0FFFFFFFFh  ; - set error code
          _quif ne              ; - ...
          mov   DX,[EBX]        ; - get time to be set
          mov   CX,2[EBX]       ; - ...
          mov   AH,1            ; - indicate set time
          int   1Ah             ; - set the time
          sub   EAX,EAX         ; - set return code
        _endguess               ; endguess
        pop     EDX             ; restore BX
        pop     ECX             ; restore BX
        pop     EBX             ; restore BX
        ret                     ; return to caller
        endproc __ibm_bios_timeofday

        endmod
        end
