/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   06-oct-95	M. Hildebrand	Initial implementation.
*/

#include "variety.h"
#include <bios.h>
#include "necibm.h"
#include "nonibm.h"


_WCRTLINK unsigned short _bios_disk( unsigned ibmCmd, struct _ibm_diskinfo_t *ibmBuf )
{
//    unsigned			necCmd;
//    struct _nec98_diskinfo_t	necBuf;

    if( !__NonIBM ) {
	return( __ibm_bios_disk( ibmCmd, ibmBuf ) );
    } else {
	// Currently this function is not supported on NEC98 machines,
	// since there is no known method of converting the required
	// information in the IBM buffer to NEC98 information (e.g. drive
	// number, cylinder, and sector length).  So just return error code.
	return( 0x01 );

//	/*** Initialize the NEC98 buffer ***/
//	do_whatever_must_be_done
//
//	/*** Translate IBM commands to NEC98 commands ***/
//	switch( ibmCmd ) {
//	  case _IBM_DISK_READ:
//	    necCmd = _NEC98_DISK_READ;
//	    break;
//	  case _IBM_DISK_WRITE:
//	    necCmd = _NEC98_DISK_WRITE;
//	    break;
//	  case _IBM_DISK_VERIFY:
//	    necCmd = _NEC98_DISK_VERIFY;
//	    break;
//	  default:
//	    return( 0x01 );	// invalid command for NEC 98
//	}
//	return( __nec98_bios_disk( necCmd, &necBuf ) );
    }
}
