/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *% Copyright (C) 1993 by WATCOM International Corp. All rights      %
 *% reserved. No part of this software may be reproduced in any form %
 *% or by any means - graphic, electronic or mechanical, including   %
 *% photocopying, recording, taping or information storage and	     %
 *% retrieval systems - except with the written permission of WATCOM %
 *% International Corp. 					     %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *
 * Modified:	By:		Reason:
 * ---------	---		-------
 * 93-03-08	LifeBoat Inc.	386 support
 * 95-07-04	Greg Bentz	use extender.h
--------------------------------------------------------Version-11.0---------
 * 95-04-21	Greg Bentz	variety.h for near/far and composite macros
 * 95-05-22	Greg Bentz	dll linkage
 * 95-10-06	M. Hildebrand	Changed _bios prefix to __nec98_bios.
 *
 */

#include "variety.h"
#include <bios98.h>
#include <dos.h>
#include "nonibm.h"

#ifdef __386__
#include "extender.h"
#endif

_WCRTLINK unsigned short __nec98_bios_memsize( void )
{
    int __data = 0;

    if( !__NonIBM )  return( 0 );	// fail if not a NEC 98 machine

#ifdef __386__
    if( _ExtenderRealModeSelector ){
	__data = *(unsigned char _WCFAR *)
		MK_FP( _ExtenderRealModeSelector, 0xa3fea );
    }
#else
    __data = *(unsigned char _WCFAR *)MK_FP(0xa000, 0x3fea);
#endif
    return( ( ( __data & 0x07 ) + 1 ) * 0x80 );
}
