;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%       Copyright (C) 1989 by WATCOM Systems Inc. All rights      %
;%       reserved. No part of this software may be reproduced      %
;%       in any form or by any means - graphic, electronic or      %
;%       mechanical, including photocopying, recording, taping     %
;%       or information storage and retrieval systems - except     %
;%       with the written permission of WATCOM Systems Inc.        %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;--------------------------------------------------------------------
;  modified:      by:           reason:
;  ---------      ---           -------
;  96/07/18	B.J. Stecher	initial implementation

include mdef.inc
include struct.inc

.8087
        modstart        _7u8f

        xdefp   __U8FD7
        xdefp   __U8FS7

two_to_64	dw	0000h, 0000h, 0000h, 43f0h

defpe	__U8FS7
	push	bp
	mov	bp,sp
	push	ax
	and	ax,07fffh
	push	ax
	push	bx
	push	cx
	push	dx
	fild	qword ptr -10[bp]
	test	byte ptr -1[bp],80h
	jns	L1
	fadd	qword ptr cs:two_to_64
L1:
	fstp	dword ptr -10[bp]
	fwait
	pop	ax
	pop	dx
	mov	sp,bp
	pop	bp
	ret
endproc __U8FS7	

defpe	__U8FD7
	push	bp
	mov	bp,sp
	push	ax
	and	ax,07fffh
	push	ax
	push	bx
	push	cx
	push	dx
	fild	qword ptr -10[bp]
	test	byte ptr -1[bp],80h
	jns	L2
	fadd	qword ptr cs:two_to_64
L2:
	fstp	qword ptr -10[bp]
	fwait
	pop	dx
	pop	cx
	pop	bx
	pop	ax
	mov	sp,bp
	pop	bp
	ret
endproc __U8FD7	

        endmod
        end
