;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%       Copyright (C) 1994 by WATCOM International Inc. All rights%
;%       reserved. No part of this software may be reproduced      %
;%       in any form or by any means - graphic, electronic or      %
;%       mechanical, including photocopying, recording, taping     %
;%       or information storage and retrieval systems - except     %
;%       with the written permission of WATCOM International Inc.  %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
; These compiler support routines are called by the Fast code generator
; when compiling with the -fpc option.
;
	name	fdmath

	extrn	__FDA : near
	extrn	__FDS : near
	extrn	__FDM : near
	extrn	__FDD : near
	extrn	__FDC : near

_TEXT	segment use32 dword public 'CODE'
	assume  cs:_TEXT
	
	public	__FADD
__FADD	proc	near
	push	ecx		; save regs
	push	ebx		; ...
	mov	ebx,12[esp]	; load op2
	mov	ecx,16[esp]	; ...
	call	__FDA		; do the add
	pop	ebx		; restore regs
	pop	ecx		; ...
	ret	8		; return and remove op2
__FADD	endp

	public	__FSUB
__FSUB	proc	near
	push	ecx		; save regs
	push	ebx		; ...
	mov	ebx,12[esp]	; load op2
	mov	ecx,16[esp]	; ...
	call	__FDS		; do the subtract
	pop	ebx		; restore regs
	pop	ecx		; ...
	ret	8		; return and remove op2
__FSUB	endp

	public	__FSUBR
__FSUBR	proc	near
	push	ecx		; save regs
	push	ebx		; ...
	mov	ecx,edx		; load op2
	mov	ebx,eax		; ...
	mov	eax,12[esp]	; load op1
	mov	edx,16[esp]	; ...
	call	__FDS		; do the subtract
	pop	ebx		; restore regs
	pop	ecx		; ...
	ret	8		; return and remove op1
__FSUBR	endp

	public	__FMUL
__FMUL	proc	near
	push	ecx		; save regs
	push	ebx		; ...
	mov	ebx,12[esp]	; load op2
	mov	ecx,16[esp]	; ...
	call	__FDM		; do the multiply
	pop	ebx		; restore regs
	pop	ecx		; ...
	ret	8		; return and remove op2
__FMUL	endp

	public	__FDIV
__FDIV	proc	near
	push	ecx		; save regs
	push	ebx		; ...
	mov	ebx,12[esp]	; load op2
	mov	ecx,16[esp]	; ...
	call	__FDD		; do the divide
	pop	ebx		; restore regs
	pop	ecx		; ...
	ret	8		; return and remove op2
__FDIV	endp

	public	__FDIVR
__FDIVR	proc	near
	push	ecx		; save regs
	push	ebx		; ...
	mov	ecx,edx		; load op2
	mov	ebx,eax		; ...
	mov	eax,12[esp]	; load op1
	mov	edx,16[esp]	; ...
	call	__FDD		; do the divide
	pop	ebx		; restore regs
	pop	ecx		; ...
	ret	8		; return and remove op1
__FDIVR	endp

	public	__FCMP
__FCMP	proc	near
	push	ecx		; save regs
	push	ebx		; ...
	mov	ebx,12[esp]	; load op2
	mov	ecx,16[esp]	; ...
	call	__FDC		; do the compare
	pop	ebx		; restore regs
	pop	ecx		; ...
	ret	8		; return and remove op2
__FCMP	endp

	public	__FCMPR
__FCMPR	proc	near
	push	ecx		; save regs
	push	ebx		; ...
	mov	ecx,edx		; load op2
	mov	ebx,eax		; ...
	mov	eax,12[esp]	; load op1
	mov	edx,16[esp]	; ...
	call	__FDC		; do the compare
	pop	ebx		; restore regs
	pop	ecx		; ...
	ret	8		; return and remove op1
__FCMPR	endp

_TEXT	ends
	end
