;========================================================================
;==     Name:           FSN                                            ==
;==     Operation:      Floating single negate                         ==
;==     Inputs:         EAX     flaot value                            ==
;==     Outputs:        EAX     new float value                        ==
;==     Volatile:       none                                           ==
;==     Date:           By:             Reason:                        ==
;==     10-jan-87       John Dashm      Initial implementation         ==
;==     04-jan-89       F.W.Crigger     Allow for Denormal numbers     ==
;==     10-mar-89       F.W.Crigger     Adapted for 386                ==
;==----------------------------------------------------Version 11.0----==
;==	25-nov-95	Greg Bentz	wasm export support            ==
;========================================================================
include mdef.inc
include struct.inc

        modstart        fsn

        xdefp   __FSN

        defpe	__FSN
        or      EAX,EAX         ; if number not zero
        _if     ne              ; then
        xor     EAX,80000000h   ; - flip the sign bit
        _endif                  ; endif
        ret                     ; and return!!!
        endproc __FSN

        endmod
        end
