include mdef.inc
include struct.inc

	xref	__U4FS
	xref	__I4FS
	xref	__U4FD
	xref	__I4FD
	
	xref	__FSI4
	xref	__RSI4
	xref	__FSU4
	xref	__RSU4
	
	xref	__FDI4
	xref	__RDI4
	xref	__FDU4
	xref	__RDU4
	
        modstart        i8f

	xdefp	__U8FS
	xdefp	__I8FS
	xdefp	__U8FD
	xdefp	__I8FD
	
	xdefp	__FSI8
	xdefp	__RSI8
	xdefp	__FSU8
	xdefp	__RSU8
	
	xdefp	__FDI8
	xdefp	__RDI8
	xdefp	__FDU8
	xdefp	__RDU8
	
	defp	__U8FS
	mov	ax,dx
	mov	dx,cx
	jmp	__U4FS
	endproc __U8FS
	
	defp	__I8FS
	mov	ax,dx
	mov	dx,cx
	jmp	__I4FS
	endproc __I8FS
	
	defp	__U8FD
	mov	ax,dx
	mov	dx,cx
	jmp	__U4FD
	endproc __U8FD
	
	defp	__I8FD
	mov	ax,dx
	mov	dx,cx
	jmp	__I4FD
	endproc __I8FD
	
	defp	__FSI8
	call	__FSI4
	mov	bx,ax
	mov	ax,dx
	cwd
	mov	cx,ax
	mov	ax,dx
	mov	dx,bx
	mov	bx,ax
	endproc	__FSI8
	
	defp	__RSI8
	call	__RSI4
	mov	bx,ax
	mov	ax,dx
	cwd
	mov	cx,ax
	mov	ax,dx
	mov	dx,bx
	mov	bx,ax
	endproc	__RSI8
	
	defp	__FDI8
	call	__FDI4
	mov	bx,ax
	mov	ax,dx
	cwd
	mov	cx,ax
	mov	ax,dx
	mov	dx,bx
	mov	bx,ax
	endproc	__FDI8
	
	defp	__RDI8
	call	__RDI4
	mov	bx,ax
	mov	ax,dx
	cwd
	mov	cx,ax
	mov	ax,dx
	mov	dx,bx
	mov	bx,ax
	endproc	__RDI8
	
	defp	__FSU8
	call	__FSU4
	mov	cx,dx
	mov	dx,ax
	xor	bx,bx
	xor	ax,ax
	endproc	__FSU8
	
	defp	__RSU8
	call	__RSU4
	mov	cx,dx
	mov	dx,ax
	xor	bx,bx
	xor	ax,ax
	endproc	__RSU8
	
	defp	__FDU8
	call	__FDU4
	mov	cx,dx
	mov	dx,ax
	xor	bx,bx
	xor	ax,ax
	endproc	__FDU8
	
	defp	__RDU8
	call	__RDU4
	mov	cx,dx
	mov	dx,ax
	xor	bx,bx
	xor	ax,ax
	endproc	__RDU8
	
        endmod
        end
