/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1988, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  24-aug-88     F.W.Crigger     Initial implementation
  09-aug-89     John Dahms      adapted for OS2
--------------------------------------------------Version 8.5----------
  28-nov-91     G. Coschi	support OS/2 2.0
  26-jan-94	Kevin Hui	fixed bug; added default windowing support
--------------------------------------------------------Version-11.0---------
  22-may-95	Greg Bentz	variety.h and dll linkage
*/

#include "variety.h"
#define INCL_SUB
#include <wos2.h>
#include "defwin.h"

extern int __qread( int, char *, unsigned );

_WCRTLINK char *cgets( char *s )
    {
	USHORT	len;
	STRINGINBUF stringin_buf;
	char	*p;
    
	if( _WindowsStdin != 0 ) {		// Default windowing
	    __qread( STDIN_FILENO, s + 2, *s - 1 );
	    len = *s;
	} else {
	    stringin_buf.cb = *s;
	    KbdStringIn( s + 2, &stringin_buf, IO_WAIT, 0 );
	    len = stringin_buf.cchIn + 1;	// Including null char
	}
	p = s + 2;
	for(;;) {
	    if( len <= 1 ) break;
	    if( *p == '\r' || *p == '\0' ) break;
	    ++p;
	    --len;
	}
	*p = '\0';
	s[1] = p - s - 2;
	return( s + 2 );
    }
