/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1988 by WATCOM Systems Inc. All rights      %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  24-aug-88     F.W.Crigger     initial implmentation
--------------------------------------------------------Version-11.0---------
  22-may-95	Greg Bentz	variety.h and dll linkage
*/
#include "variety.h"
#include <stdio.h>
#include <stdarg.h>
#include <conio.h>
#include "scanf.h"


static int cget_console( PTR_SCNF_SPECS specs )
    {
        int c;

        if( (c = getche()) == EOF ) {
            specs->eoinp = 1;
        }
        return( c );
    }


static void uncget_console( int c, PTR_SCNF_SPECS specs )
    {
        ungetch( c );
    }


_WCRTLINK int vcscanf( const char *format, va_list args )
    {
        auto SCNF_SPECS specs;

        specs.cget_rtn = cget_console;
        specs.uncget_rtn = uncget_console;
        return( __scnf( (PTR_SCNF_SPECS)&specs, format, args ) );
    }


_WCRTLINK int cscanf( const char *format,... )
    {
        va_list args;

        va_start( args, format );
        return( vcscanf( format, args ) );
    }
