/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  07-may-90	J.B.Schueler	Initial PQNX version
  17-apr-92	B.J. Stecher	check if _cbyte is non-zero
--------------------------------------------------------Version-11.0---------
  22-may-95	Greg Bentz	variety.h and dll linkage
*/
#include "variety.h"
#include <unistd.h>
#include <errno.h>
#include <sys/dev_msg.h>
#include <sys/kernel.h>
#include <termios.h>

extern	unsigned    _cbyte;

_WCRTLINK int (kbhit)()
{
    union {
	struct _dev_waiting	    s;
	struct _dev_waiting_reply   r;
    }	msg;
    struct termios  old, new;
    int     error;

    if( _cbyte != 0 ) return( 1 );
    tcgetattr( STDIN_FILENO, &old );
    new = old;
    new.c_iflag &= ~(IXOFF | IXON);
    new.c_oflag &= ~OPOST;
    new.c_lflag &= ~(ECHO | ICANON | NOFLSH);
    new.c_lflag |= ISIG;
    new.c_cc[VMIN] = 1;
    new.c_cc[VTIME] = 0;
    tcsetattr( STDIN_FILENO, TCSADRAIN, &new );
    msg.s.type = _DEV_WAITING;
    msg.s.fd = STDIN_FILENO;
    error = Sendfd( msg.s.fd, &msg.s, &msg.r, sizeof( msg.s ), sizeof( msg.r ) );
    tcsetattr( STDIN_FILENO, TCSADRAIN, &old );
    if( error == -1 ) return( 0 );
    if( msg.r.status != EOK || msg.r.nbytes == 0 ) return( 0 );
    return( 1 );
}
