/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  02-dec-87     F.W.Crigger     Initial implementation
--------------------------------------------------------------Version 8.5----
  05-aug-91	C.G.Eisler	default windowing system for Windows
--------------------------------------------------Version 9.0----------
  15-dec-91	C.G.Eisler	multiple windowing
  21-oct-92	Craig Eisler	ANSI function names for default windowing
--------------------------------------------------Version 9.5----------
  19-sep-93	F.W.Crigger	use _INT_21 from tinyio.h
--------------------------------------------------------Version-11.0---------
  22-may-95	Greg Bentz	variety.h and dll linkage
*/

#include "variety.h"
#include <conio.h>
#include "defwin.h"

#ifndef DEFAULT_WINDOWING
    #include "tinyio.h"
    extern  unsigned _dos(char,int);
    #pragma aux     _dos = _INT_21 parm caller [ah] [dx];
#endif

_WCRTLINK int putch( int c )
    {
	#ifdef DEFAULT_WINDOWING
	    if( _WindowsPutch != 0 ) {
		LPWDATA	res;
		res = _WindowsIsWindowedHandle( STDOUT_FILENO );
		_WindowsPutch( res, c );
	    }
	#else
	    _dos( 6, c );
	#endif
        return( c );
    }
