/*
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
  %       reserved. No part of this software may be reproduced      %
  %       in any form or by any means - graphic, electronic or      %
  %       mechanical, including photocopying, recording, taping     %
  %       or information storage and retrieval systems - except     %
  %       with the written permission of WATCOM Systems Inc.        %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  06-mar-92     Craig Eisler	defined for NT
  27-mar-92	Craig Eisler	default windowing
  21-oct-92	Craig Eisler	ANSI function names for default windowing
  24-jan-94	Kevin Hui	applied routines in CONUTWNT
--------------------------------------------------------Version-11.0---------
  22-may-95	Greg Bentz	variety.h and dll linkage
*/
#include "variety.h"
#include <conio.h>
#include <windows.h>
#include "ntex.h"
#include "fileacc.h"
#include "defwin.h"

_WCRTLINK int putch( int c )
{
    char	ch;
    DWORD	written;
    HANDLE	h;
    
    ch = c;
    if( _WindowsPutch != 0 ) {
	LPWDATA	res;
	res = _WindowsIsWindowedHandle( STDOUT_FILENO );
	_WindowsPutch( res, c );
	return( c );
    }
    _AccessFileH( STDOUT_FILENO );
    h = __NTConsoleOutput();		// obtain a console output handle
    WriteConsole( h, &ch, 1, &written, NULL );
    _ReleaseFileH( STDOUT_FILENO );
    return( c );
}
