/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  10-jul-92	D. Wellstood	Initial Implementation
--------------------------------------------------------Version-11.0---------
  23-feb-95	M. Hildebrand	Changed from UNICODE.H to WIDECHAR.H.
  22-may-95	Greg Bentz	variety.h and dll linkage
*/

#include "variety.h"
#include "widechar.h"
#include <string.h>
/* we want to use strlen NOT _ustrlen here */
#undef strlen

/*
 * atouni - convert an ASCII string to a UNICODE string.
 * 	    buf and src MAY be the same
 */

_WCRTLINK wchar_t *_atouni( wchar_t *buf, const char *src ) {

    size_t	len;
    
    len = strlen( src ) + 1;		/* use single-byte strlen() */
    while( len > 0 ) {
	len --;
	buf[len] = src[len];
    }
    return( buf );
}
