/*
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%       Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
;%       reserved. No part of this software may be reproduced      %
;%       in any form or by any means - graphic, electronic or      %
;%       mechanical, including photocopying, recording, taping     %
;%       or information storage and retrieval systems - except     %
;%       with the written permission of WATCOM Systems Inc.        %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  date		by              reason
  ====		==              ======
  10-dec-91	G. Coschi	initial implementation
  05-mar-95	Greg Bentz	converted from asm to C
--------------------------------------------------------Version-11.0---------
  22-may-95	Greg Bentz	variety.h and dll linkage
  15-sep-95	Greg Bentz	ppc support
  25-oct-95	Greg Bentz	WIN32 rtdll support
*/
#include "variety.h"
#include "rtinit.h"

_WCRTLINK extern void __InitDefaultWin( void );
_WCRTLINK extern void __FiniDefaultWin( void );

#if defined(_M_IX86)
 #pragma aux __init_default_win "*";
#endif
char __init_default_win;

#if defined(__SW_BR)
    // need a thunking layer
    void __tnk__InitDefaultWin( void ) { __InitDefaultWin(); }
    void __tnk__FiniDefaultWin( void ) { __FiniDefaultWin(); }
    AXI( __tnk__InitDefaultWin, INIT_PRIORITY_LIBRARY )
    AYI( __tnk__FiniDefaultWin, INIT_PRIORITY_LIBRARY )
#else
    AXI( __InitDefaultWin, INIT_PRIORITY_LIBRARY )
    AYI( __FiniDefaultWin, INIT_PRIORITY_LIBRARY )
#endif
