/*
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
  %       reserved. No part of this software may be reproduced      %
  %       in any form or by any means - graphic, electronic or      %
  %       mechanical, including photocopying, recording, taping     %
  %       or information storage and retrieval systems - except     %
  %       with the written permission of WATCOM Systems Inc.        %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  04-apr-92     Craig Eisler	defined for NT
--------------------------------------------------------Version-11.0---------
  21-mar-95	Greg Bentz	use rtinit.h

*/
#include "variety.h"
#include <windows.h>
#include "rtinit.h"

static HANDLE __WinLines_sem;

void __InitWinLinesSem( void )
{
    __WinLines_sem = CreateMutex( NULL, FALSE, NULL );
}

void __FiniWinLinesSem( void )
{
    CloseHandle( __WinLines_sem );
}

void _AccessWinLines( void )
{
    WaitForSingleObject( __WinLines_sem, -1 );
}

void _ReleaseWinLines( void )
{
    ReleaseMutex( __WinLines_sem );
}

AXI( __InitWinLinesSem, INIT_PRIORITY_LIBRARY )
AYI( __FiniWinLinesSem, INIT_PRIORITY_LIBRARY )
