/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  16-oct-90	J.B.Schueler	initial implementation of POSIX 1003.1 function
  18-jun-93	John Dahms  	all library allocations use lib_xxx routines
--------------------------------------------------------Version-11.0---------
  22-may-95	Greg Bentz	variety.h and dll linkage
  13-mar-96	Greg Bentz	stub for netware
*/

#include "variety.h"
#include <stdlib.h>
#include "liballoc.h"
#include "rtdata.h"

_WCRTLINK int (clearenv)( void ) {
    #ifndef __NETWARE__
	char **envp;
	char *env_str;
	int index;

	if( _RWD_environ != NULL ) {
	    for( envp = _RWD_environ; env_str = *envp; ++envp ) {
		if( _RWD_env_mask != NULL ) {
		    index = envp - _RWD_environ;
		    if( _RWD_env_mask[ index ] != 0 ) {
			lib_free( (void *)env_str );
		    }
		    *envp = NULL;
		}
	    }
	    if( _RWD_env_mask == NULL ) {
		envp = lib_malloc( sizeof(char *) + sizeof(char) );
	    } else {
		envp = lib_realloc( _RWD_environ, sizeof(char *) + sizeof(char) );
	    }
	    if( envp == NULL ) return( -1 );
	    _RWD_environ = envp;
	    *_RWD_environ = NULL;
	    _RWD_env_mask = ((char *)envp)+sizeof(char *);
	    *_RWD_env_mask = 0;
	}
    #endif
    return( 0 );		/* success */
}
