/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   26-sep-95	M. Hildebrand	Initial implementation.
*/

#include "variety.h"
#include <env.h>
#include <malloc.h>
#include <mbstring.h>
#include <stdlib.h>
#include "liballoc.h"
#include "rtdata.h"
#include "wenviron.h"


void __create_wide_environment( void )
/************************************/
{
    char **		envp = _RWD_environ;
    char *		p;
    size_t		len;
    wchar_t *		wcs;

    if( envp == NULL )  return;
    while( (p=*envp++) != NULL ) {
	len = _mbslen( p ) + 1;
	wcs = lib_malloc( len * sizeof(wchar_t) );
	if( wcs != NULL ) {
	    if( mbstowcs( wcs, p, len )  !=  -1 ) {
		__wputenv( wcs );
	    } else {
		lib_free( wcs );
	    }
	}
    }
}
