/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  15-oct-87     F.W.Crigger     Initial implementation
---------------------------------------------------------Version 6.0-------
  08-may-88     F.W.Crigger     use pragma for ioctl instead of intdos
  20-may-88     A.F.Scian       used tinyio
--------------------------------------------------------Version-11.0---------
  22-may-95	Greg Bentz	variety.h and dll linkage
  08-jun-95	Greg Bentz	default windowing system handles are TTYs
*/
#include "variety.h"
#include "tinyio.h"
#include "defwin.h"
#include "rtcheck.h"

/* determine if file is a terminal */

_WCRTLINK int isatty( int handle )
    {
        tiny_ret_t rc;

        __handle_check( handle, 0 );
	#ifdef DEFAULT_WINDOWING
	    if( _WindowsIsWindowedHandle != 0 ) {
		if( _WindowsIsWindowedHandle( handle ) ) {
		    return( 1 );
		}
	    }
	#endif
        rc = TinyGetDeviceInfo( handle );
        return( ( TINY_INFO( rc ) & TIO_CTL_DEVICE ) != 0 );
    }
