/*
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
  %       reserved. No part of this software may be reproduced      %
  %       in any form or by any means - graphic, electronic or      %
  %       mechanical, including photocopying, recording, taping     %
  %       or information storage and retrieval systems - except     %
  %       with the written permission of WATCOM Systems Inc.        %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  06-mar-92     Craig Eisler	defined for NT
  16-oct-92	Craig Eisler	use integer ids for file handles
--------------------------------------------------------Version-11.0---------
  22-may-95	Greg Bentz	variety.h and dll linkage
  08-jun-95	Greg Bentz	default windowing system handles are TTYs

*/
#include "variety.h"
#include <windows.h>
#include "defwin.h"
#include "fileacc.h"
#include "ntex.h"

_WCRTLINK int isatty( int hid )
{
    HANDLE	h;

    _AccessFileH( hid );
    #ifdef DEFAULT_WINDOWING
	if( _WindowsIsWindowedHandle != 0 ) {
	    if( _WindowsIsWindowedHandle( hid ) ) {
		_ReleaseFileH( hid );
		return( 1 );
	    }
	}
    #endif
    h = __FileHandleIDs[ hid ];
    if( GetFileType( h ) == FILE_TYPE_CHAR ) {
	_ReleaseFileH( hid );
	return( 1 );
    }
    _ReleaseFileH( hid );
    return( 0 );
}
