/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   14-dec-95	M. Hildebrand	Initial implementation.
   25-jun-96	M. Hildebrand	Support platforms other than Win32.
*/

#include "variety.h"
#include <io.h>
#ifdef __NT__
    #include <windows.h>
#else
    #include <dos.h>
    #include "liballoc.h"
#endif


_WCRTLINK int _findclose( long handle )
{
    #ifdef __NT__
	if( FindClose( (HANDLE)handle )  ==  TRUE ) {
	    return( 0 );
	} else {
	    return( -1 );
	}
    #else
	unsigned	rc;

	rc = _dos_findclose( (struct find_t*) handle );
	lib_free( (void*) handle );
	if( rc == 0 ) {
	    return( 0 );
	} else {
	    return( -1 );
	}
    #endif
}
