/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1985, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  27-dec-85	F.W.Crigger	Initial implementation
  14-feb-87	A.C.C.Wai	Renamed from unlink.c
  13-jan-88	F.W.Crigger	In big data, return regs.x.cflag
--------------------------------------------------Version 6.0----------
  11-apr-88	A.F.Scian	use unlink
  16-Jun-92	D. Wellstood	Unicode support
--------------------------------------------------------Version-11.0---------
  02-mar-95	M. Hildebrand	Changed from UNICODE.H to WIDECHAR.H.
  22-may-95	Greg Bentz	variety.h and dll linkage
  21-sep-95	M. Hildebrand	Added _u version, which calls wide version.
  27-nov-95	Greg Bentz	fixup const in function definition
  03-jan-96	Greg Bentz	remove stubs that are now aliases
*/
#include "variety.h"
#include "widechar.h"
#ifndef __QNX__
    #include <io.h>
#endif
#include <stdio.h>
#ifdef __QNX__
    #include <unistd.h>
#endif


_WCRTLINK int __F_NAME(remove,_wremove)( CHAR_TYPE const *filename )
{
    __ptr_check( filename, 0 );
    return( __F_NAME(unlink,_wunlink)( filename ) );
}
