/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   21-sep-95	M. Hildebrand	Moved from several other files into this one
				to eliminate duplication.
*/

#include "variety.h"
#include <mbstring.h>
#include <stdlib.h>
#include <wchar.h>
#include "mbwcconv.h"


void __filename_from_wide( char *mbs, const wchar_t *wcs )
{
    size_t		rc;
    
    rc = wcstombs( mbs, wcs, MB_CUR_MAX*_MAX_PATH );	/* convert string */
    if( rc == (size_t)(-1) )  mbs[0] = '\0';
}
