
/* data in DTA after FIND FIRST and FIND NEXT calls */
#pragma pack(__push,1);
struct ff_dta {
    char        rsv[21];        /* reserve for FIND NEXT */
    char        attr;           /* attribute found */
    short       time;           /* file's time in packed format */
    short       date;           /* file's date in packed format */
    off_t       size;           /* file size */
    char        name[13];       /* filename */
};
#pragma pack(__pop);

/* attribute mask */
#define AT_RONLY        0x01
#define AT_HIDDEN       0x02
#define AT_ISSYS        0x04
#define AT_ISVOLLABEL   0x08
#define AT_ISDIR        0x10
#define AT_ARCH         0x20
#define AT_ISCHR        0x40    /* undocumented */

