;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%	 Copyright (C) 1990, by WATCOM Systems Inc. All rights	   %
;%	 reserved. No part of this software may be reproduced	   %
;%	 in any form or by any means - graphic, electronic or	   %
;%	 mechanical, including photocopying, recording, taping	   %
;%	 or information storage and retrieval systems - except	   %
;%	 with the written permission of WATCOM Systems Inc.	   %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
; date		by		reason
; ====		==		======
; 25-oct-89	John Dahms	created
; 18-apr-90	F.W.Crigger	check for 8087, 287, 387
; 19-apr-90	F.W.Crigger	placed chk8087 in initializer segment
; 08-aug-90	F.W.Crigger	Load default control word from __8087cw
; 11-sep-91	J.B.Schueler	Pared down code to just __init_80x87
;
include mdef.inc
include struct.inc

	modstart init8087

	xdefp	__init_80x87
	defpe	__init_80x87
	push	AX			; save initial control word value
;--------------------------------------- Check if 80287 or 80387
	finit				; use default infinity mode
	fld1				; generate infinity by
	fldz				;   dividing 1 by 0
	fdiv				; ...
	fld	st			; form negative infinity
	fchs				; ...
	fcompp				; compare +/- infinity
	fstsw	AX			; equal for 87/287
	mov	AL,2			; assume 80287
	sahf				; store condition bits in flags
	jz	not387			; it's 287 if infinities equal
;---------------------------------------  It is an 80387
	mov	AL,3			; indicate 80387
not387:
	finit				; re-initialize the 8087
	fldcw	word ptr [ESP]		; .(affine,round nearest,64-bit prec)
	xchg	AX,[ESP]		; exchange register with memory
	pop	AX			; restore indicator
	ret				; return
	endproc	__init_80x87

	endmod
	end
