/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1985, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  27-dec-85	F.W.Crigger	Initial implementation
--------------------------------------------------Version 6.0----------
  11-apr-88	F.W.Crigger	use tinyio
  22-nov-92	F.W.Crigger	change reference to _iomode array
--------------------------------------------------------Version-11.0---------
  28-may-95	Greg Bentz	variety.h and dll linkage
  20-nov-95	Greg Bentz	don't allow negative handles
  26-jul-96	M. Hildebrand	Use rtcheck.h support.
*/
#include "variety.h"
#include <stdio.h>
#include <errno.h>
#include "rtdata.h"
#include "fileacc.h"
#include "rtcheck.h"
#include "seterrno.h"

extern int __close( int handle );

_WCRTLINK int close( int handle )
{
    int		rc;

    __handle_check( handle, -1 );

    _AccessFileH( handle );
    rc = __close( handle );
    _ReleaseFileH( handle );
    _FiniAccessH( handle );
    return( rc );
}
