/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  23-aug-87     F.W.Crigger     Initial implementation
--------------------------------------------------Version 6.0----------
  11-apr-88     F.W.Crigger     use tinyio
  09-aug-89     John Dahms      defined for OS/2
  22-nov-92	F.W.Crigger	change reference to _iomode array
  03-mar-94	Greg Bentz	add _dup
--------------------------------------------------------Version-11.0---------
  28-may-95	Greg Bentz	variety.h and dll linkage
  03-jan-96	Greg Bentz	remove stubs that are now aliases
  26-jul-96	M. Hildebrand	Use rtcheck.h support.
*/
#include "variety.h"
#include <stdio.h>
#include <unistd.h>
#include "fileacc.h"
#include <wos2.h>
#include "iomode.h"
#include "rtcheck.h"
#include "seterrno.h"


_WCRTLINK int dup( int handle )
    {
        HFILE   new_handle;
        APIRET  rc;

	__handle_check( handle, -1 );

        _AccessFileH( handle );
        new_handle = 0xffff;
        rc = DosDupHandle( handle, &new_handle );
        if( rc != 0 ) {
            _ReleaseFileH( handle );
            return( __set_errno_dos( rc ) );
        }
        _InitAccessH( new_handle );
	__SetIOMode( new_handle, __IOMode( handle ) );
        _ReleaseFileH( handle );
        return( new_handle );
    }
