/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  22-aug-90	J.B.Schueler	Adapted for PQNX
--------------------------------------------------------Version-11.0---------
  28-may-95	Greg Bentz	variety.h and dll linkage
  26-jul-96	M. Hildebrand	Use rtcheck.h support.
*/

#include "variety.h"
#include <unistd.h>
#include <fcntl.h>
#include "rtcheck.h"

_WCRTLINK int (lock)( handle, offset, nbytes )
int	 handle;
long	 offset;
long	 nbytes;
{
    struct flock flock_buff;

    __handle_check( handle, -1 );
    flock_buff.l_type = F_WRLCK;
    flock_buff.l_whence = SEEK_SET;
    flock_buff.l_start = offset;
    flock_buff.l_len = nbytes;
    return( fcntl( handle, F_SETLK, &flock_buff ) );
}
