/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  18-aug-87	F.W.Crigger	Initial implementation
--------------------------------------------------Version 6.0----------
  11-apr-88	F.W.Crigger	use tinyio
--------------------------------------------------Version 8.0----------
  02-jan-91	A.F.Scian	updated to use POSIX-compliant TinyIO
  04-jun-91	J.B.Schueler	added generic tell for PenPoint
  15-jul-93	Greg Bentz	make all uses go through lseek
--------------------------------------------------------Version-11.0---------
  28-may-95	Greg Bentz	variety.h and dll linkage
*/

#include "variety.h"
#include <sys/types.h>
#include <unistd.h>

_WCRTLINK long int tell( int handle )
{
    return( lseek( handle, 0L, SEEK_CUR ) );
}
