/*
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
  %       reserved. No part of this software may be reproduced      %
  %       in any form or by any means - graphic, electronic or      %
  %       mechanical, including photocopying, recording, taping     %
  %       or information storage and retrieval systems - except     %
  %       with the written permission of WATCOM Systems Inc.        %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  06-mar-92     Craig Eisler	defined for NT
  16-jun-92	Craig Eisler	UnlockFile prototype changed
  16-oct-92	Craig Eisler	use integer ids for file handles
--------------------------------------------------------Version-11.0---------
  28-may-95	Greg Bentz	variety.h and dll linkage
  26-jul-96	M. Hildebrand	Use rtcheck.h support.
*/
#include "variety.h"
#include <stddef.h>
#include <io.h>
#include <windows.h>
#include "ntex.h"
#include "fileacc.h"
#include "rtcheck.h"
#include "seterrno.h"

_WCRTLINK int unlock( int hid, unsigned long offset, unsigned long nbytes )
{
    HANDLE	h;

    __handle_check( hid, -1 );
    h = __FileHandleIDs[ hid ];

    _AccessFileH( hid );
    if( !UnlockFile( h, offset, 0L, nbytes, 0L ) ) {
	_ReleaseFileH( hid );
    	return( __set_errno_nt() );
    }
    _ReleaseFileH( hid );
    return( 0 );
}
