/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1985, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  09-aug-89     John Dahms      defined for OS/2
--------------------------------------------------Version 8.5----------
  09-jul-91     G. Coschi	support OS/2 2.0
--------------------------------------------------------Version-11.0---------
  03-mar-95	M. Hildebrand	Added _wunlink.
  28-may-95	Greg Bentz	variety.h and dll linkage
  21-sep-95	M. Hildebrand	Added _u version, which calls wide version.
  03-jan-96	Greg Bentz	remove stubs that are now aliases
*/

#include "variety.h"
#include "widechar.h"
#include "mbwcconv.h"
#include <stdlib.h>
#include <wos2.h>
#include "seterrno.h"
#ifdef __WIDECHAR__
    #include <mbstring.h>
#endif


_WCRTLINK int __F_NAME(unlink,_wunlink)( CHAR_TYPE *filename )
    {
        APIRET	rc;
#ifdef __WIDECHAR__
	char	mbFilename[MB_CUR_MAX*_MAX_PATH];   /* single-byte char */
#endif

	#ifdef __WIDECHAR__
	    __filename_from_wide( mbFilename, filename );
	    #if defined(__386__) || defined(__PPC__)
		rc = DosDelete( mbFilename );
	    #else
	        rc = DosDelete( mbFilename, 0 );
	    #endif
	#else
	    #if defined(__386__) || defined(__PPC__)
		rc = DosDelete( filename );
	    #else
	        rc = DosDelete( filename, 0 );
	    #endif
	#endif
	
        if( rc != 0 ) {
            return( __set_errno_dos( rc ) );
        }
        return( 0 );            /* indicate no error */
    }
