/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  24-oct-91     F.W.Crigger     Initial implementation
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  28-may-95	Greg Bentz	dll linkage
*/

#include "dll.h"	// needs to be first
#include "variety.h"
#include <malloc.h>
#include <i86.h>
#include "heap.h"
#include "heapacc.h"

#if defined(__OS2_286__)
    #if defined(__BIG_DATA__)
	#define MODIFIES ds es
    #else
	#define MODIFIES es
    #endif
#elif defined(__WINDOWS_286__)
    #define MODIFIES es
#endif

#if defined(__WINDOWS_286__) || defined(__OS2_286__)
    #pragma aux _bfreeseg modify [MODIFIES]
#endif

_WCRTLINK int _bfreeseg( __segment seg )
{
    __segment		heap_seg;
    __segment		prev_seg;
    struct heapblk _WCFAR *heap;
    struct heapblk _WCFAR *next_heap;
    struct heapblk _WCFAR *prev_heap;

    _AccessFHeap();
    heap = MK_FP( seg, 0 );
    heap_seg = seg;
    seg = heap->nextseg;
    /* unlink from heap list */
    prev_seg = heap->prevseg;
    if( seg != 0 ) {
	next_heap = MK_FP( seg, 0 );
	next_heap->prevseg = prev_seg;
    }
    if( prev_seg == 0 ) {
	__bheap = seg;
    } else {
	prev_heap = MK_FP( prev_seg, 0 );
	prev_heap->nextseg = seg;
    }
    _ReleaseFHeap();
    return( __FreeSeg( heap_seg ) );
}
