/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1991 by WATCOM Systems Inc. All rights      %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  26-oct-91	F.W.Crigger	Initial implementation
  25-feb-94	Kevin Hui	Use _nheapshrink() if seg == _DGroup()
--------------------------------------------------------Version-11.0---------
  28-may-95	Greg Bentz	variety.h and dll linkage
*/
#include "dll.h"	// needs to be first
#include "variety.h"
#include <malloc.h>
#include "heap.h"


_WCRTLINK int _bheapshrink( __segment seg )
{
    return( _bheapmin( seg ) );
}

_WCRTLINK int _bheapmin( __segment seg )
{
    if( seg == _DGroup() ) return( _nheapshrink() );
    return( __HeapMin( seg == _NULLSEG ? __bheap : seg, seg ) );
}
