/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1991 by WATCOM Systems Inc. All rights      %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  24-oct-91	F.W.Crigger	Initial implementation
  25-feb-94	Kevin Hui	Use _nheapset if seg is _DGroup()
--------------------------------------------------------Version-11.0---------
  28-may-95	Greg Bentz	variety.h and dll linkage
*/
#include "dll.h"	// needs to be first
#include "variety.h"
#include <malloc.h>
#include "heap.h"


_WCRTLINK int _bheapset( __segment seg, unsigned int fill )
{
    int		test_heap;
    struct heapblk __based(seg) *p;

    if( seg == _DGroup() ) return( _nheapset( fill ) );
    if( seg == _NULLSEG ) {
	p = 0;
	for( seg = __bheap; seg; ) {
	    test_heap = _bheapset( seg, fill );
	    if( test_heap != _HEAPOK )  return( test_heap );
	    seg = p->nextseg;
	}
	return( _HEAPOK );
    } else {
	test_heap = _bheapchk( seg );
	if( test_heap != _HEAPOK )  return( test_heap );
	return( __HeapSet( seg, fill ) );
    }
}
