/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1985,1986 by WATCOM Systems Inc. All rights %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  14-Feb-87     A.C.C.Wai       split from memmgr.c
  ---		---		Version 8.0
  11-oct-90	A.F.Scian	checked for overflow and returned NULL
--------------------------------------------------------Version-11.0---------
  22-feb-95	Greg Bentz	alpha support
  28-may-95	Greg Bentz	variety.h and dll linkage
  15-sep-95	Greg Bentz	ppc support

*/

#include "variety.h"
#include <stddef.h>
#include <stdlib.h>
#include <string.h>

_WCRTLINK void *calloc( size_t n, size_t el_size )
{
    void *mem;
    unsigned long chk_size;

    chk_size = (unsigned long) n * el_size;
    el_size = chk_size;
#if defined(M_I86)
    if( el_size != chk_size ) {
	return( NULL );
    }
#endif
    mem = malloc( el_size );
    if( mem == NULL ) {
	return( NULL );
    }
    return( memset( mem, 0, el_size ) );
}
