/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1993, by WATCOM International Inc. All rights %
 *%       reserved. No part of this software may be reproduced        %
 *%       in any form or by any means - graphic, electronic or        %
 *%       mechanical, including photocopying, recording, taping       %
 *%       or information storage and retrieval systems - except       %
 *%       with the written permission of WATCOM International Inc.    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  93/08/05	B.J. Stecher	defined
--------------------------------------------------------Version-11.0---------
  28-may-95	Greg Bentz	variety.h and dll linkage

*/

#include "dll.h"	// needs to be first
#include "variety.h"
#include <stddef.h>
#include <stdlib.h>
#include <malloc.h>
#include "heap.h"
#include "heapacc.h"


int __heap_enabled	= 1;

_WCRTLINK int _heapenable( int new )
{
    int		old;

    _AccessNHeap();
    old = __heap_enabled;
    __heap_enabled = new;
    _ReleaseNHeap();
    return( old );
}
