/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  11-nov-91     F.W.Crigger     Initial implementation
--------------------------------------------------------Version-11.0---------
  22-feb-95	Greg Bentz	alpha support
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  28-may-95	Greg Bentz	dll linkage
*/

#include "dll.h"	// needs to be first
#include "variety.h"
#include <malloc.h>
#include <string.h>
#include "heap.h"

_WCRTLINK void _WCNEAR *_ncalloc( size_t n, size_t el_size )
{
    void _WCI86NEAR	*p;
    unsigned long	chk_size;

    chk_size = (unsigned long) n * el_size;
    el_size = chk_size;
#if defined(M_I86)
    if( el_size != chk_size ) {
	return( (void _WCNEAR *)NULL );
    }
#endif
    p = _nmalloc( el_size );
    if( p != (void _WCNEAR *)NULL ) {
	memset( p, 0, el_size );
    }
    return( p );
}
