/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1987, by WATCOM Systems Inc. All rights	    %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping	    %
 *%	  or information storage and retrieval systems - except	    %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
--------------------------------------------------------Version-11.0---------
  22-feb-95	Greg Bentz	cloned from sbrk386 for alpha
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  28-may-95	Greg Bentz	dll linkage
  08-aug-95	T. Schiller	modified to use VirtualAlloc() instead of
				LocalAlloc()
*/
#include "variety.h"
#include <stddef.h>
#include <stdlib.h>
#include <errno.h>
#include <dos.h>
#include <windows.h>

extern	unsigned		_curbrk;
extern	unsigned		_STACKTOP;

_WCRTLINK void _WCNEAR *sbrk( int increment )
    {
	if( increment > 0 ) {
	    LPVOID	p;
	    
	    increment = ( increment + 0x0fff ) & ~0x0fff;
	    //p = LocalAlloc( LMEM_FIXED, increment );
	    p = VirtualAlloc(NULL, increment, MEM_COMMIT,
			     PAGE_EXECUTE_READWRITE);
	    if( p != NULL ) return( p );
	    errno = ENOMEM;
	} else {
	    errno = EINVAL;
	}
	return( (void *) -1 );
    }
