#ifndef _HEAPACC_H_INCLUDED
#define _HEAPACC_H_INCLUDED
/* macros for serialization of accesses to the heap */
#if defined(__SW_BM)
    #if defined(__386__) || defined(__AXP__) || defined(__PPC__)
	extern void (*_AccessFHeap)();
	extern void (*_ReleaseFHeap)();
	extern void (*_AccessNHeap)();
	extern void (*_ReleaseNHeap)();
    #else
	extern void __AccessFHeap();
	extern void __ReleaseFHeap();
	extern void __AccessNHeap();
	extern void __ReleaseNHeap();
	#define _AccessFHeap()	__AccessFHeap()
	#define _ReleaseFHeap()	__ReleaseFHeap()
	#define _AccessNHeap()	__AccessNHeap()
	#define _ReleaseNHeap()	__ReleaseNHeap()
    #endif
#else
    #define _AccessFHeap()
    #define _ReleaseFHeap()
    #define _AccessNHeap()
    #define _ReleaseNHeap()
#endif
#endif
