/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  18-mar-91     F.W.Crigger     Initial implementation for 286 protect mode
  26-mar-91     C.G.Eisler      Heck, lets do it for everyone
--------------------------------------------------------Version-11.0---------
  28-may-95	Greg Bentz	variety.h and dll linkage
*/
#include "variety.h"
#include <dos.h>

_WCRTLINK int int86x( int intno, union REGS *inr, union REGS *outr, struct SREGS *sr )
    {
	union REGPACK r;

	r.x.ax = inr->x.ax;
	r.x.bx = inr->x.bx;
	r.x.cx = inr->x.cx;
	r.x.dx = inr->x.dx;
	r.x.si = inr->x.si;
	r.x.di = inr->x.di;
	r.x.ds = sr->ds;
	r.x.es = sr->es;
	intr( intno, &r );
	outr->x.ax = r.x.ax;
	outr->x.bx = r.x.bx;
	outr->x.cx = r.x.cx;
	outr->x.dx = r.x.dx;
	outr->x.si = r.x.si;
	outr->x.di = r.x.di;
	outr->x.cflag = r.x.flags & INTR_CF;
	sr->ds = r.x.ds;
	sr->es = r.x.es;
	return( r.x.ax );
    }

_WCRTLINK int int86( int intno, union REGS *inr, union REGS *outr )
    {
	struct SREGS sr;

	segread( &sr );
	return( int86x( intno, inr, outr, &sr ) );
    }
