/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  30-jul-87     A.F.Scian       defined
  06-aug-87     F.W.Crigger     Used doscall to create intdos
--------------------------------------------------------Version-11.0---------
  28-may-95	Greg Bentz	variety.h and dll linkage

*/
#include "variety.h"
#include <i86.h>

extern  unsigned short  _CS(), _DS(), _ES(), _SS();

#pragma aux     _CS = 0x8C 0xC8 /* mov ax,cs */ value [ax];
#pragma aux     _DS = 0x8C 0xD8 /* mov ax,ds */ value [ax];
#pragma aux     _ES = 0x8C 0xC0 /* mov ax,es */ value [ax];
#pragma aux     _SS = 0x8C 0xD0 /* mov ax,ss */ value [ax];
#if defined(__386__)
extern  unsigned short  _FS(), _GS();
#pragma aux     _FS = 0x8C 0xE0 /* mov ax,fs */ value [ax];
#pragma aux     _GS = 0x8C 0xE8 /* mov ax,gs */ value [ax];
#endif


_WCRTLINK void segread( struct SREGS *segregs )
    {
        __ptr_check( segregs, 0 );
        segregs->cs = _CS();
        segregs->ds = _DS();
        segregs->es = _ES();
        segregs->ss = _SS();
#if defined(__386__)
        segregs->fs = _FS();
        segregs->gs = _GS();
#endif
    }
