/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  29-may-95	Greg Bentz	dll linkage

*/

#include "variety.h"
#include <jstring.h>


/**
*
*  Name:	_fbtom
*
*  Synopsis:	nm = _fbtom( s, nb );
*
*		int nm; 	
*		FJSTRING s;	
*		int nb; 	oCg
*
*  Description: 񂓂̐擪炎Ŏw肵oCg̊Ԃɂ镶
*		ԂBR[h͂QoCgłPƐB
*
*
*  Name:	_fbtom
*
*  Synopsis:	nm = _fbtom( s, nb );
*
*		int nm; 	Number of characters
*		FJSTRING s;	String
*		int nb; 	Number of bytes
*
*  Description: Return the number of characters between the head of the
*		string specified by s and nb bytes from s. 2-byte KANJI
*		character is treated as one character. This function is
*		a data independent form that accept far pointer argunments.
*		It is most useful in mix memory model applications.
**/

_WCRTLINK size_t _WCI86FAR _fbtom( const JCHAR _WCFAR *s, size_t nb )
{
    size_t count;
    const JCHAR _WCFAR *ss;
    JMOJI m;

    count = 0;
    ss = s + nb;
    while( s = _fjgetmoji( s, (JMOJI _WCFAR *)&m ), m ) {
	if( s > ss ) break;
	count++;
    }
    return( count );
}
