/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  29-may-95	Greg Bentz	dll linkage

*/

#include "variety.h"
#include <jstring.h>


/**
*
*  Name:	_fjstradv		̃|C^𓾂
*
*  Synopsis:	news = _fjstradv( s, nm );
*
*		FJSTRING news;	V
*		FJSTRING s;	
*		int nm; 	
*
*  Description: 񂓂̐擪炎Ŏw肵̕w
*		|C^ԂBR[h͂QoCgłPƐB
*
*  Returns:	񂓂Zꍇ́A̍Ōɂ
*		kw|C^ԂB
*
*
*  Name:	_fjstradv		get forward string position in
*					specified string.
*
*  Synopsis:	news = _fjstradv( s, nm );
*
*		FJSTRING	news;	forward position
*		FJSTRING	s;	current position of string
*		int	nm;	number of letters for forwarding
*
*  Description: This function returns the forward position where is advanced nm
*		times per letter from current position for s string. A kanji
*		letter consists of 2 byte. This function is a data
*		independent form that accept far pointer argunments.
*		It is most useful in mix memory model applications.
*
*  Returns:	If the length of s string is shorter than nm number then this
*		function will return the end of potision for s string.
**/


_WCRTLINK FJSTRING _WCI86FAR _fjstradv( const JCHAR _WCFAR *s, size_t nm )
{
    return( (FJSTRING) (s + _fmtob( s, nm )) );
}
