/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  29-may-95	Greg Bentz	dll linkage

*/

#include "variety.h"
#include <jctype.h>
#include <jstring.h>


/**
*
*  Name:	_fjstrncpy	Rs[
*
*  Synopsis:	p = _fjstrncpy( to, from, n );
*
*		FJSTRING p;	Ɠl
*		FJSTRING to;	Rs[镶
*		FJSTRING from;	Rs[镶
*		int n;		
*
*  Description: 񂆂̐擪炎𕶎񂔂
*		㏑B
*
*
*  Name:	_fjstrncpy	copy the characters from the string
*
*  Synopsis:	p = _fjstrncpy( to, from, n );
*
*		FJSTRING	p;	return value same as distination
*					pointer
*		FJSTRING	to;	distination pointer into the string
*		FJSTRING	from;	pointer to the source string
*		int		n;	number of letters should be copied
*
*  Description: The _fjstrncpy function copy no more than "n" characters from
*		the string pointed to by "from" into the array pointed to
*		by "to". Copying of overlapping objects is not guaranteed
*		to work properly. This function is a data independent form
*		that accept far pointer argunments. It is most useful in mix
*		memory model applications.
*
*  Returns:	The _fjstrncpy function returns the value of "to".
*
**/

_WCRTLINK FJSTRING _WCI86FAR _fjstrncpy( JCHAR _WCFAR *to, const JCHAR _WCFAR *from, size_t n )
{
    int i;
    JCHAR _WCFAR *p;

    p = to;
    for( i = 0; i < n; i++ ) {
	if( iskanji( *from ) ) {
	    *p++ = *from++;
	    if( ( *p++ = *from++ ) == '\0' ) {
		p -= 2;
		while( ++i <= n ) *p++ = '\0';
		break;
	    }
	} else if( ( *p++ = *from++ ) == '\0' ) {
	    while( ++i < n ) *p++ = '\0';
	    break;
	}
    }
    return( to );
}
