/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  29-may-95	Greg Bentz	dll linkage

*/

#include "variety.h"
#include <jstring.h>


/**
*
*  Name:	_fmtob
*
*  Synopsis:	nb = _fmtob( s, nm );
*
*		int nb; 	oCg
*		FJSTRING s;	
*		int nm; 	
*
*  Description: 񂓂̐擪炎Ŏw肵̊ԂɂoCg
*		ԂBR[h͂QoCgłPƐB
*
*
*  Name:	_fmtob
*
*  Synopsis:	nb = _fmtob( s, nm );
*
*		int nb; 	Length of string s (Unit:byte)
*		JSTRING s;	String
*		int nm; 	The number of character
*
*  Description: Return the length of the sring s by byte from the head of s
*		to the nb th character. Two bytes of KANJI code is treated as
*		one character. This function is a data independent form that
*		accept far pointer argunments. It is most useful in mix memory
*		model applications.
*
**/

_WCRTLINK size_t _WCI86FAR _fmtob( const JCHAR _WCFAR *s, size_t nm )
{
    const JCHAR _WCFAR *ss;
    JMOJI m;

    ss = s;
    while( nm-- ) {
	ss = _fjgetmoji( ss, (JMOJI _WCFAR *)&m );
	if( m == 0 ) break;
    }
    return( ss - s );
}
