/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage

*/

#include "variety.h"
#include <jstring.h>

/**
*
*  Name:	jisl0		QoCgL̃eXg
*
*  Synopsis:	ret = jisl0( c ); (0x8140 <= c <= 0x889e)
*
*		int ret;	^Ȃ0ȊOA^łȂ0
*		JMOJI c;	R[h
*
*  Description: ^ꂽR[hɍĂ邩𒲂ׂB
*		ɍĂꍇ͂OȊOԂAȂꍇ
*		OԂB
*
*  Caution:	̊֐͒Pɒl͈̔͂𒲂ׂĂ邾łA
*		R[hł邩ǂׂ͒ȂB
*
*
*  Name:	jisl0		Check 2-byte KANJI code except KANJI
*
*  Synopsis:	ret = jisl0( c ); (0x8140 <= c <= 0x889e)
*
*		int ret;	0 if fault, non-zero if true
*		JMOJI c;	KANJI code
*
*  Description: Check whether the givin character c is 2-byte KANJI code
*		except KANJI. It returns non-zero if true, zero if fault.
*		The range of 2-byte KANJI code set is the below.
*		0x8140 <= c <= 0x889e
*
*  Caution:	These functions checks the range only and do not check
*		the validity whether it is a correct KANJI code or not.
*
**/

_WCRTLINK int jisl0( JMOJI c )
{
    return( jiszen( c ) && c <= 0x889e );
}
