/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage

*/

#include "variety.h"
#include <jstring.h>

/**
*
*  Name:	jisl2		QR[h
*
*  Synopsis:	ret = jisl2( c ); (0x989f <= c <= 0xea9e)
*
*		int ret;	ɍĂ΂OȊO̒l
*		JMOJI c;	R[h
*
*  Description: ^ꂽR[hɍĂ邩𒲂ׂB
*		ɍĂꍇ͂OȊOԂAȂꍇ
*		OԂB
*
*  Caution:	̊֐͒Pɒl͈̔͂𒲂ׂĂ邾łA
*		R[hł邩ǂׂ͒ȂB
*
*
*  Name:	jisl2		Check 2-byte KANJI code of JIS level 2
*
*  Synopsis:	ret = jisl2( c ); (0x989f <= c <= 0xea9e)
*
*		int ret;	0 if fault, non-zero if true
*		JMOJI c;	KANJI code
*
*  Description: Check whether the givin character c is 2-byte KANJI code of
*		JIS level 2. It returns non-zero if true, zero if fault.
*		The range of 2-byte KANJI code set is the below.
*		0x989f <= c <= 0xea9e
*
*  Caution:	These functions checks the range only and do not check
*		the validity whether it is a correct KANJI code or not.
*
*
**/

_WCRTLINK int jisl2( JMOJI c )
{
    return( jiszen( c ) && c >= 0x989f && c <= 0xea9e );
}
