/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage

*/

#include "variety.h"
#include <jstring.h>
#include <jctype.h>
/**
*
*  Include:  <jstring.h>
*
*  Name:	jisprint	QoCgR[h܂ޑS\̃eXg
*
*  Synopsis:	ret = jisprint(unsigned short c);
*
*		unsigned c;	
*		int ret;	^Ȃ΂OȊOAUȂ΂O
*
*  Description: QoCgR[h܂ޑS\̃eXgB́Aȉ̎
*		B
*			isprint( c ) || iskana( c ) || jiszen( c )
*
*  Return:
*
*
*  Include:  <jstring.h>
*
*  Name:	jisprint	Check printable character including 2-byte
*				KANJI code
*
*  Synopsis:	ret = jisprint(unsigned short c);
*
*		unsigned c;	Character including 2-byte KANJI code
*		int ret;	Non-zero if true, otherwize zero.
*
*  Description: Check printable character including 2-byte KANJI code.
*		This function is equal to the below representatoin.
*			isprint( c ) || iskana( c ) || jiszen( c )
*
*  Return:	Non-zero if the argument is printable, otherwize zero.
*
**/

_WCRTLINK int jisprint( JMOJI c )
{
    return( isprint( c ) || iskana( c ) || jiszen( c ) );
}
