/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
--------------------------------------------------------Version-11.0---------
  25-sep-95	M. Hildebrand	Split from jistojms.c and added _mbcjmstojis.
*/

#include "variety.h"
#include <jstring.h>



_WCRTLINK unsigned int _mbcjmstojis( unsigned int ch )
{
    return( jmstojis( ch ) );
}


_WCRTLINK unsigned short jmstojis( unsigned short msc )
{
    unsigned char u, l;

    if( !jiszen( msc ) ) return 0;

    l = msc;
    u = msc >> 8;

    u = (u - ((u < 0xa0) ? 0x71 : 0xb1)) * 2 + ((l >= 0x9f) ? 2 : 1);
    l -= (l >= 0x7f) ? ((l < 0x9f) ? 0x20 : 0x7e) : 0x1f;

    return( ( (unsigned short)u << 8 ) + l );
}
