/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage

*/

#include "variety.h"
#include <jstring.h>
#include <stddef.h>
#include <stdio.h>
#include <errno.h>
#include "rtdata.h"
#include "seterrno.h"

/**
*
*  Name:	jperror -- G[bZ[W̕\
*
*  Synopsis:	void jperror( msg );
*
*		unsigned char *msg;	[U[bZ[W̕
*
*  Description: ̊֐͕ϐ errno ɂG[R[hɑΉG[
*		bZ[W\܂B msg ŗ^镶
*		܂An߂ɕ\܂BɂÂăRiFjƁA
*		G[bZ[W\܂BG[ԍsKi
*		Ȕԍł邠鎞ɂ́AG[R[hÕbZ[W
*		\܂B
*
*
*  Name:	jperror -- print error message
*
*  Synopsis:	void jperror( msg );
*
*		unsigned char *msg;
*
*  Description: This function prints an error message corresponding to the
*		error code stored in errno.  The string supplied as the
*		msg argument is printed first, followed by a colon and
*		the error message.  If the error number is invalid, the
*		message for error code 0 is used.
*
**/

_WCRTLINK void jperror( const char *s )
{
    if( s != NULL && *s != '\0' ) {
	fputs( s, stderr );
	fputs( ": ", stderr );
    }
    fputs( jstrerror( _RWD_errno ), stderr );
    fputc( '\n', stderr );
}
