/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
  31-jul-92	J.B.Schueler	Should not output NULL char after copying
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage

*/

#include "variety.h"
#include <jstring.h>

/**
*
*  Name:	jputmoji		ւ̏̕o
*
*  Synopsis:	nstr = jputmoji( JSTRING str, JMOJI moji )
*
*		JSTRING nstr;	̃|C^
*		JSTRING str;	
*		JMOJI moji;	o͂镶
*
*  Description: 񂓂ɕi[B
*
*  Return:	i[̃AhXwB
*
*  Name:	jputmoji		Output one KANJI character to string
*
*  Synopsis:	nstr = jputmoji( JSTRING str, JMOJI moji )
*
*		JSTRING nstr;	Pointer to the next output character
*		JSTRING str;	String
*		JMOJI moji;	Kanji character
*
*  Description: Output 2-byte KANJI character "moji" to string "str".
*
*  Return:	Pointer to the next output moji to the string.
*
**/

_WCRTLINK JSTRING jputmoji( JSTRING str, JMOJI moji )
{
    if( jiszen( moji ) )
	*str++ = (JCHAR)( moji >> 8 );
    *str++ = (JCHAR)moji;
//  *str = 0;					    JBS 92/07/31
    return str;
}
