/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage

*/

#include "variety.h"
#include <jstring.h>


/**
*
*  Name:	jstrcmp 	r
*
*  Synopsis:	x = jstrcmp( a, b );
*
*		int x;		
*		JSTRING a, b;	
*
*  Description: Q̕rB͐擪
*		݂̂̔rB
*		`mj@@Ji@@@̑召֌W
*		ɂȂĂB
*
*  Returns:	񂁂̕ꍇ͕A傫ꍇ
*		͐ԂAƂƂ͂OԂB
*
*  Name:	jstrcmp 	compare strings with mixed KANJI letters
*
*  Synopsis:	x = jstrcmp( a, b );
*
*		int x;		resault as compared
*		JSTRING a,b;	two strings for compare each other
*
*  Description: The jstrcmp function compares the KANJI string pointed to by
*		"a" to the string pointed to by "b". The jstrncmp function
*		compares only N number letters from top of strings.
*		The rule of comparison is as below.
*		  ASCII and numeric letter < KATAKANA letter < KANJI letter
*
*  Returns:	The jstrcmp function returns an integer less than, equal to,
*		or greater than zero, indicating that the string pointed to
*		by "a" is less than, equal to, or greater than the string
*		pointed to by "b".
*
**/

_WCRTLINK int jstrcmp( const JCHAR *a, const JCHAR *b )
{
    JMOJI aa, bb;

    while( 1 ) {
	a = jgetmoji( a, &aa );
	b = jgetmoji( b, &bb );
	if( aa != bb ) return( ( aa < bb ) ? -1 : 1 );
	if( aa == 0 ) return( 0 );
    }
}
