/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
  16-mar-92	J.B.Schueler	Modelled after strerror.c
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage

*/

#include "variety.h"
#include <jstring.h>
#include <stdio.h>
#include <stdlib.h>

/**
*
*  Name:	jstrerror -- G[bZ[W̕\
*
*  Synopsis:	string = jstrerror( errnum );
*
*		unsigned char *string;	G[bZ[Wւ̃|C^
*		int errnum;		( errno ɑΉ)G[ԍ
*
*  Description: ̊֐ errno ɓĂG[R[hΉ
*		G[bZ[Wւ̃|C^ԂB
*
*
*  Name:	jstrerror -- print error message
*
*  Synopsis:	string = jstrerror( errnum );
*
*		unsigned char *string;	pointer to error message
*		int errnum;		error number (corresponds to errno)
*
*  Description: This function returns a pointer to an error
*		message corresponding to the error code in errno.
*
**/


unsigned char *jsys_errlist[] = {
//	"Unknown error code",
	"YG[R[h܂",
//	"No such file or directory",	/* ENOENT */
	"̂悤ȃt@C܂̓fBNg͂܂",
//	"Argument list too big",	/* E2BIG */
	"Xg܂",
//	"Exec format error",		/* ENOEXEC */
	"s`G[ł",
//	"Bad file number",		/* EBADF */
	"t@CԍsKł",
//	"Not enough memory",		/* ENOMEM */
	"sł",
//	"Permission denied",		/* EACCES */
	"ANZX֎~Ă܂",
//	"File exists",			/* EEXIST */
	"t@Cłɑ݂܂",
//	"Cross-device link",		/* EXDEV */
	"NfoCX܂Ă܂",
//	"Invalid argument",		/* EINVAL */
	"ԈĂ܂",
//	"File table overflow",		/* ENFILE */
	"ȏt@CI[vł܂",
//	"Too many open files",		/* EMFILE */
	"̃vZXł͂ȏt@CI[vł܂",
//	"No space left on device",	/* ENOSPC */
	"foCXɗ]n܂",
	/* math software errors */
//	"Argument too large",		/* EDOM */
	"lZ֐̈G[ł",
//	"Result too large",		/* ERANGE */
	"lZ֐̌ʂ͈͂zĂ܂",
	/* file locking error */
//	"Resource deadlock would occur" /* EDEADLK */
	"Resource deadlock would occur"
};


_WCRTLINK unsigned char *jstrerror( int errnum )
{
    if( errnum < 0 || errnum > sys_nerr ) {
	errnum = 0;
    }
    return( jsys_errlist[errnum] );
}
