/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage

*/

#include "variety.h"
#include <jstring.h>


/**
*
*  Name:	jstrlen 	𓾂
*
*  Synopsis:	nm = jstrlen( s );
*
*		int nm; 	
*		JSTRING s;	
*
*  Description: ̕𓾂B
*
*  Returns:	̕ԂBI[̂mtkk͕Ɋ܂܂ȂB
*
*
*  Name:	jstrlen 	compute the length of KANJI string
*
*  Synopsis:	nm = jstrlen( s );
*
*		int	nm;	length of KANJI string
*		JSTRING s;	pointer to the KANJI string
*
*  Description: The jstrlen function compute the length of string pointed to
*		by s with in KANJI letter.
*
*  Returns:	The jstrlen function returns the number of letters that precede
*		the terminating null character.
*
**/

_WCRTLINK size_t jstrlen( const JCHAR *s )
{
    size_t count = 0;
    JMOJI m;

    while( s = jgetmoji( s, &m ), m ) count++;
    return count;
}
