/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage

*/

#include "variety.h"
#include <jstring.h>

/**
*
*  Name:	jstrlwr 	Spɕϊ
*
*  Synopsis:	s2 = jstrlwr( s1 );
*
*		JSTRING s1;	ϊSp
*		JSTRING s2;	ϊꂽSp
*
*  Description: ^ꂽSp̑啶ϊB
*
*  Returns:	ϊs\̕ɂ͂ȂɂȂB
*
*
*  Name:	jstrlwr 	Convert string to lower case 2-byte KANJI code
*
*  Synopsis:	s2 = jstrlwr( s1 );
*
*		JSTRING s1;	2-byte KANJI code string
*		JSTRING s2;	lower case 2-byte KANJI code string
*
*  Description: Convert upper case characters of given 2-byte KANJI string to
*		lower case.
*
*  Returns:	If some characters in given string are not able to be
*		converted, they are not changed.
*
**/

_WCRTLINK JSTRING jstrlwr( JCHAR *str )
{
    JCHAR *dest, *keep = str;
    JMOJI c;

    for( dest = str; str = jgetmoji( str, &c ), c; ) {
	dest = jputmoji( dest, jtolower( c ) );
    }
    return keep;
}
