/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage

*/

#include "variety.h"
#include <jctype.h>
#include <jstring.h>


/**
*
*  Name:	jstrncpy	Rs[
*
*  Synopsis:	p = jstrncpy( to, from, n );
*
*		JSTRING p;	Ɠl
*		JSTRING to;	Rs[镶
*		JSTRING from;	Rs[镶
*		int n;		
*
*  Description: 񂆂̐擪炎𕶎񂔂
*		㏑B
*
*  Returns:	Rs[̃|C^[Ԃ܂BiƓlj
*
*
*  Name:	jstrncpy	copy the characters from the string
*
*  Synopsis:	p = jstrncpy( to, from, n );
*
*		JSTRING p;	return value same as distination pointer
*		JSTRING to;	distination pointer into the string
*		JSTRING from;	pointer to the source string
*		int	n;	number of letters should be copied
*
*  Description: The jstrncpy function copy no more than "n" characters from
*		the string pointed to by "from" into the array pointed to
*		by "to". Copying of overlapping objects is not guaranteed
*		to work properly.
*
*  Returns:	The jstrncpy function returns the value of "to".
*
**/

_WCRTLINK JSTRING jstrncpy( JCHAR *to, const JCHAR *from, size_t n )
{
    size_t i;
    JCHAR *p;

    p = to;
    for( i = 0; i < n; i++ ) {
	if( iskanji( *from ) ) {
	    *p++ = *from++;
	    if( ( *p++ = *from++ ) == '\0' ) {
		p -= 2;
		while( ++i <= n ) *p++ = '\0';
		break;
	    }
	} else if( ( *p++ = *from++ ) == '\0' ) {
	    while( ++i < n ) *p++ = '\0';
	    break;
	}
    }
    return( to );
}
