/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage

*/

#include "variety.h"
#include <jstring.h>
#include <jctype.h>
#include <ctype.h>
/**
*
*  Name:	jstrnicmp
*
*  Synopsis:	x = jstrnicmp( a, b, n );
*
*		int x;		
*		JSTRING a, b;	
*		int n;		
*
*  Description: Q̕rB͐擪
*		݂̂̔rB
*		`mj@@Ji@@@̑召֌W
*		ɂȂĂB
*
*  Returns:	񂁂̕ꍇ͕A傫ꍇ
*		͐ԂAƂƂ͂OԂB
*
*
*  Name:	jstrnicmp
*
*  Synopsis:	x = jstrnicmp( a, b, n );
*
*		int x;		Result
*		JSTRING a, b;	Compared strings
*		int n;		Compared number of characters
*
*  Description: Compare two strings ignoring case in n bytes. All ASCII
*		characters are less than any 1-byte KATAKANA chracters.
*		All 1-byte KATAKANA charaters are less than any 2-byte
*		KANJI charaters.
*
*  Returns:	If the string a is less than the sring b, jstrnicmp returns
*		negative value, if a is greater than b, it returns positive.
*		If a is equal to b, it returns 0.
*
**/

_WCRTLINK int jstrnicmp( const JCHAR *a, const JCHAR *b, size_t n )
{
    JMOJI aa, bb;

    while( n-- ) {
	a = jgetmoji( a, &aa );
	if( jiszen( aa ) )
	    aa = jtoupper( aa );
	else
	    aa = toupper( aa );
	b = jgetmoji( b, &bb );
	if( jiszen( bb ) )
	    bb = jtoupper( bb );
	else
	    bb = toupper( bb );
	if( aa != bb ) return( ( aa < bb ) ? -1 : 1 );
	if( aa == 0 ) break;
    }
    return( 0 );
}
