/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage

*/

#include "variety.h"
#include <jstring.h>


/**
*
*  Name:	jstrrchr	
*
*  Synopsis:	p = jstrrchr( s, c );
*
*		JSTRING p;	̃|C^
*		JSTRING s;	
*		JMOJI c;	
*
*  Description: 񂓂ɌAŏɕƈv
*		ʒũ|C^ԂB͐擪
*		A͍Ōォ猟B
*
*  Returns:	vȂꍇ̓k|C^ԂB
*
*
*  Name:	jstrrchr	search out specified letter from the string
*
*  Synopsis:	p = jstrrchr( s, c );
*
*		JSTRING p;	return value which point to the searched out
*				letter
*		JSTRING s;	pointer to the string which is referenced
*		JMOJI	c;	the value of searching letter
*
*  Description: The jstrrchr function locates the final occurrence of "c"
*		in the string pointed to by "s". Jstrrchr function start to
*		search out from the end of string, and jstrchr function
*		start to search out from the top of string.
*		If you specify "c" with KANJI letter, JMOJI consist with 16
*		bit and its' high byte consist with first byte code of KANJI
*		letter, and low byte consist with second byte code of KANJI
*		letter. If second byte code is NULL then the first byte code
*		also consider to NULL. If you specify "c" with 1 byte character
*		then, it must be in the low byte of JMOJI and the high byte of
*		JMOJI has to NULL.
*
*  Returns:	This function returns a pointer to the located letter, or NULL
*		if the letter does not occur in the string.
*
**/


_WCRTLINK JSTRING jstrrchr( const JCHAR *s, JMOJI c )
{
    const JCHAR *p, *ss;
    JMOJI cc;

    p = (JSTRING)NULL;
    while( 1 ) {
	ss = jgetmoji( s, &cc );
	if( cc == 0 ) break;
	if( cc == c ) p = s;
	s = ss;
    }
    return( (JSTRING) p );
}
