/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage

*/

#include "variety.h"
#include <jstring.h>


/**
*
*  Name:	jstrskip	w蕶ȊO
*
*  Synopsis:	p = jstrskip( s, b );
*
*		JSTRING p;	̃|C^
*		JSTRING s;	
*		JSTRING b;	w蕶̕
*
*  Description: ́A񂓂PÂ
*		ŏɕ񂂂Ɋ܂܂镶ƈvʒũ|C
*		^ԂB͔΂ɁAŏɕ
*		Ɋ܂܂Ȃꂽʒũ|C^ԂB
*
*  Returns:	ɃkȉI[jɒBꍇ̓k|
*		C^ԂB
*
*
*  Name:	jstrskip	compute the initial position of searching
*				letter not occur in string
*
*  Synopsis:	p = jstrskip( s, b );
*
*		JSTRING p;	pointer to the initial position of searching
*				letter not occur in string
*		JSTRING s;	pointer to the string for reference
*		JSTRING b;	pointer to the searching letters
*
*  Description: The jstrmatch function compute the initial position of the
*		string pointed to by s where occur the letters from the string
*		pointed to by b.  jstrskip function have the opposite
*		specification to jstrmatch, at the view of initial position
*		where not occur the searching letter.
*
*  Returns:	This function will return the NULL pointer if there is no the
*		other letters in the string "s".
**/


_WCRTLINK JSTRING jstrskip( const JCHAR *s, const JCHAR *b )
{
    const JCHAR *st, *bp;	/* add "bp" by M/M Mar/15/87 */
    JMOJI ss, bb;

    for( ; st = jgetmoji( s, &ss ), ss; s = st )
	for( bp = b;; ) {  /* reset the head pointer of character-set */
	    bp = jgetmoji( bp, &bb ); /* by M/M Mar/15/87 */
	    if( ss == bb ) break;
	    if( bb == 0 ) return( (JSTRING) s );
	}
    return( (JSTRING) NULL );
}
