/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   12-sep-95	M. Hildebrand	Adapted from Lifeboat code.
   04-dec-95	M. Hildebrand	Added logic specific to code page 932.
   29-may-96	M. Hildebrand	Fixed logic specific to code page 932.
*/

#include "variety.h"
#include <mbctype.h>
#include <mbstring.h>
#include "farfunc.h"
#include "mbchar.h"



_WCRTLINK extern int _mbbtype( unsigned char c, int type )
{
    if( __IsDBCS ) {
	if( __MBCodePage == 932 ) {
	    if( type != _MBC_LEAD ) {
		if( (c>=0x81 && c<=0x9F)  ||  (c>=0xE0 && c<=0xFC) ) {
		    return( _MBC_LEAD );
		} else if( (c>=0x20 && c<=0x7E)  ||  (c>=0xA1 && c<=0xDF) ) {
		    return( _MBC_SINGLE );
		} else {
		    return( _MBC_ILLEGAL );
		}
	    } else {
		if( (c>=0x40 && c<=0x7E)  ||  (c>=0x80 && c<=0xFC) ) {
		    return( _MBC_TRAIL );
		} else {
		    return( _MBC_ILLEGAL );
		}
	    }
	} else {
	    if( type == _MBC_LEAD ) {
		return( _ismbbtrail(c) ? _MBC_TRAIL : _MBC_ILLEGAL );
	    } else {
		return( _ismbblead(c) ? _MBC_LEAD : _MBC_SINGLE );
	    }
	}
    } else {
	return( _MBC_SINGLE );
    }
}
