/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   15-feb-95	M.P.Hildebrand	Initial implementation.
   15-mar-95	M. Hildebrand	Changed all char * to unsigned char *, and
				included mbstring.h.
   30-may-95	Greg Bentz	variety.h and dll linkage
   11-sep-95	M. Hildebrand	Conditional far/near compilation.
   04-dec-95	M. Hildebrand	Changed _mbislead to _ismbblead.
*/

#include "variety.h"
#include <mbstring.h>
#include "farfunc.h"



/****
***** Copy a character.
****/

_WCRTLINK void _NEARFAR(_mbccpy,_fmbccpy)( unsigned char _FFAR *dest, const unsigned char _FFAR *ch )
{
    if( _ismbblead(*ch) ) {			/* is it a lead byte? */
	dest[0] = ch[0];			/* yes, copy two bytes */
	dest[1] = ch[1];
    }
    else
	dest[0] = ch[0];			/* no, copy one bytes */
}
