/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   15-feb-95	M.P.Hildebrand	Initial implementation.
   21-feb-95	M.P.Hildebrand	Didn't always compare correctly.
   15-mar-95	M. Hildebrand	Changed all char * to unsigned char *, and
				included mbstring.h.
   11-apr-95	M. Hildebrand	Avoid conflict with new macro version.
   17-apr-95	M. Hildebrand	If !__IsDBCS, do SBCS behaviour for speed.
   30-may-95	Greg Bentz	variety.h and dll linkage
   11-sep-95	M. Hildebrand	Conditional far/near compilation.
*/

#include "variety.h"
#include <ctype.h>
#include <mbstring.h>
#include "farfunc.h"



/****
***** Compare two characters, without case-sensitivity.
****/

_WCRTLINK int _NEARFAR((_mbcicmp),(_fmbcicmp))( const unsigned char _FFAR *c1, const unsigned char _FFAR *c2 )
{
    unsigned char	s1[MB_CUR_MAX+1];
    unsigned char	s2[MB_CUR_MAX+1];

//    if( !__IsDBCS )  return( toupper(*c1) - toupper(*c2) );

    /*** Initialize 's1' and 's2' ***/
    _NEARFAR(_mbccpy,_fmbccpy)( s1, c1 );
    s1[_NEARFAR(_mbclen,_fmbclen)(c1)] = '\0';
    _NEARFAR(_mbccpy,_fmbccpy)( s2, c2 );
    s2[_NEARFAR(_mbclen,_fmbclen)(c2)] = '\0';

    /*** Compare characters without case-sensitivity ***/
    _NEARFAR(_mbsupr,_fmbsupr)( s1 );
    _NEARFAR(_mbsupr,_fmbsupr)( s2 );
    return( _NEARFAR(_mbccmp,_fmbccmp)(s1,s2) );
}
