/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   15-feb-95	M.P.Hildebrand	Initial implementation.
   15-mar-95	M. Hildebrand	Changed all char * to unsigned char *, and
				included mbstring.h.
   11-apr-95	M. Hildebrand	Avoid conflict with new macro version.
   30-may-95	Greg Bentz	variety.h and dll linkage
   08-sep-95	M. Hildebrand	Handle lead byte followed by null byte.
   11-sep-95	M. Hildebrand	_mbclen("") == 0.
   11-sep-95	M. Hildebrand	Conditional far/near compilation.
   04-dec-95	M. Hildebrand	Changed _mbislead to _ismbblead.
   06-dec-95	M. Hildebrand	Match MS functionality: _mbclen("") == 1.
*/

#include "variety.h"
#include <mbstring.h>
#include "farfunc.h"



/****
***** Return the number of bytes in a given multi-byte character.
****/

_WCRTLINK size_t _NEARFAR(_mbclen,_fmbclen)( const unsigned char _FFAR *ch )
{
    if( _ismbblead(*ch) ) {
	return( 2 );		    /* two bytes */
    } else {
	return( 1 );		    /* one byte */
    }
}
