/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   15-feb-95	M.P.Hildebrand	Initial implementation.
   06-mar-95	M.P.Hildebrand	Minimal support for OSs without DBCS support.
   08-mar-95	M.P.Hildebrand	Renamed from isalnum.c to mbisalnu.c.
   15-mar-95	M. Hildebrand	Changed all char * to unsigned char *, and
				included mbstring.h.
   30-may-95	Greg Bentz	variety.h and dll linkage
   12-sep-95	M. Hildebrand	Added _ismbd version, which calls _ismbc one.
   15-sep-95	M. Hildebrand	Removed __mbvtop.
   12-dec-95	M. Hildebrand	Always return _ismbcalpha || _ismbcdigit so
				932-specific logic works.
*/

#include "variety.h"
#include <mbctype.h>
#include <mbstring.h>



/****
***** Determine if a multibyte character is alphanumeric.
****/

_WCRTLINK int _ismbcalnum( unsigned int ch )
{
    return( _ismbcalpha( ch )  ||  _ismbcdigit( ch ) );
}
