/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   06-mar-95	M. Hildebrand	Initial implementation.
   30-may-95	Greg Bentz	variety.h and dll linkage
   11-sep-95	M. Hildebrand	Conditional far/near compilation.
*/

#include "variety.h"
#include <wchar.h>
#include "farfunc.h"



/****
***** Determines the number of bytes contained in the multibyte character
***** pointed to by 's'.  Returns -2 if the next 'n' bytes form an
***** incomplete but possibly valid multibyte character, -1 if an encoding
***** error occurs (in which case errno will be set to EILSEQ), 0 if the
***** next 'n' or fewer bytes form the multibyte character corresponding to
***** the wide null character, or otherwise some positive value indicating
***** the number of bytes which form the valid multibyte character.
****/

_WCRTLINK int _NEARFAR(mbrlen,_fmbrlen)( const char _FFAR *s, size_t n, mbstate_t _FFAR *ps )
{
    return( _NEARFAR(mbrtowc,_fmbrtowc)( NULL, s, n, NULL ) );
}
