/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   15-feb-95	M.P.Hildebrand	Initial implementation.
   15-mar-95	M. Hildebrand	Changed all char * to unsigned char *, and
				included mbstring.h.
   11-apr-95	M. Hildebrand	Avoid conflict with new macro version.
   30-may-95	Greg Bentz	variety.h and dll linkage
   08-sep-95	M. Hildebrand	Handle lead byte followed by null byte.
   11-sep-95	M. Hildebrand	Conditional far/near compilation.
   18-sep-95	M. Hildebrand	Fixed near/far bug.
   04-dec-95	M. Hildebrand	Changed _mbislead to _ismbblead.
*/

#include "variety.h"
#include <mbstring.h>
#include "farfunc.h"



/****
***** Return the address of the next character in a string.
****/

_WCRTLINK unsigned char _FFAR *_NEARFAR((_mbsinc),(_fmbsinc))( const unsigned char _FFAR *string )
{
    if( _ismbblead(*string) && *(string+1)!='\0' )  /* valid DBCS char? */
	return( (unsigned char _FFAR*) (string+2) );/* yes, skip two bytes */
    else
	return( (unsigned char _FFAR*) (string+1) );/* no, just skip one */
}
