/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   30-mar-95	Greg Bentz	stub implementation
   21-apr-95	M. Hildebrand	Moved from the KANJI tree.
   30-may-95	Greg Bentz	variety.h and dll linkage
   15-sep-95	M. Hildebrand	Non-stub implementation.
   08-dec-95	M. Hildebrand	Handle _MB_CP_xxx macros.
   10-jun-96	M. Hildebrand	Handle code page 932 specially.
*/

#include "variety.h"
#include <mbctype.h>
#include "mbchar.h"


_WCRTLINK int _setmbcp( int i )
{
    if( i == _MB_CP_ANSI ) {
	i = _MBINIT_CP_ANSI;
    } else if( i == _MB_CP_OEM ) {
	i = _MBINIT_CP_OEM;
    } else if( i == _MB_CP_SBCS ) {
	i = _MBINIT_CP_SBCS;
    } else if( i == 932 ) {
	i = _MBINIT_CP_932;
    }

    if( __mbinit( i ) == 0 ) {
	return( 0 );			/* success */
    } else {
	return( -1 );			/* failure */
    }
}
