/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %     Copyright (C) 1995, by WATCOM International Inc.  All rights    %
  %     reserved.  No part of this software may be reproduced or        %
  %     used in any form or by any means - graphic, electronic or       %
  %     mechanical, including photocopying, recording, taping or        %
  %     information storage and retrieval systems - except with the     %
  %     written permission of WATCOM International Inc.                 %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
  Date		By		Reason
  ----		--		------
--------------------------------------------------------Version-10.5---------
  20-jun-95	Greg Bentz	defined for QNX
*/
#include "mbqnx.h"

const utf_table
#if defined(M_I86HM)
    __far
#else
    __near
#endif
__utf_table[7] = {
    { 0x80, 0x00, 0 * 6, 0x0000007f, 0x00000000 },  /* 1 byte sequence */
    { 0xe0, 0xc0, 1 * 6, 0x000007ff, 0x00000080 },  /* 2 byte sequence */
    { 0xf0, 0xe0, 2 * 6, 0x0000ffff, 0x00000800 },  /* 3 byte sequence */
    { 0xf8, 0xf0, 3 * 6, 0x001fffff, 0x00010000 },  /* 4 byte sequence */
    { 0xfc, 0xf8, 4 * 6, 0x03ffffff, 0x00200000 },  /* 5 byte sequence */
    { 0xfe, 0xfc, 5 * 6, 0x7fffffff, 0x04000000 },  /* 6 byte sequence */
    0
};
