/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
  Date		By		Reason
  ----		--		------
--------------------------------------------------------Version-11.0---------
  14-sep-95	M. Hildebrand	Adapted from Lifeboat code.
  27-nov-95	Greg Bentz	fixup types in function definition
  04-dec-95	M. Hildebrand	Changed _mbislead to _ismbblead.
*/

#include "variety.h"
#include <mbstring.h>
#include "farfunc.h"



/****
***** Differs from _mbsninc in that a null byte counts as a character.
****/

_WCRTLINK unsigned char _FFAR *_NEARFAR(__mbsninc,__fmbsninc)( unsigned char const _FFAR *s, int nm )
{
    if( __IsDBCS ) {
	while( nm > 0 ) {
	    s += _ismbblead(*s) ? 2 : 1;
	    nm--;
	}
	return( (unsigned char _FFAR *)s );
    } else {
	return( (unsigned char _FFAR *)(s + nm) );
    }
}
