/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  21-apr-90	F.W.Crigger	Initial implementation
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  30-may-95	Greg Bentz	dll linkage
*/
#include "variety.h"
#include "xstring.h"
#undef	_fmemcmp

_WCRTLINK int _fmemcmp( const unsigned char _WCFAR *s1,
		       const unsigned char _WCFAR *s2, size_t len )
    {
#if defined(__INLINE_FUNCTIONS__)
	return( _inline__fmemcmp( s1, s2, len ) );
#else
	for( ; len; --len )  {
	    if( *s1 != *s2 ) return( *s1 - *s2 );
	    ++s1;
	    ++s2;
	}
	return( 0 );	/* both operands are equal */
#endif
    }
