/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  21-apr-90	F.W.Crigger	Initial implementation
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  30-may-95	Greg Bentz	dll linkage

*/
#include "variety.h"
#include <string.h>
#include <ctype.h>

_WCRTLINK int _fmemicmp( const unsigned char _WCFAR *s1, const unsigned char _WCFAR *s2, size_t len )
    {
	unsigned char c1;
	unsigned char c2;

	for( ; len; --len )  {
	    c1 = *s1;
	    if( c1 >= 'A'  &&  c1 <= 'Z' )  c1 += 'a' - 'A';
	    c2 = *s2;
	    if( c2 >= 'A'  &&  c2 <= 'Z' )  c2 += 'a' - 'A';
	    if( c1 != c2 ) return( c1 - c2 );
	    ++s1;
	    ++s2;
	}
	return( 0 );	/* both operands are equal */
    }
