/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  21-jan-90     F.W.Crigger     Initial implementation
  10-Jun-92	D. Wellstood	Unicode support
--------------------------------------------------------Version-11.0---------
  02-mar-95	M. Hildebrand	Changed from UNICODE.H to WIDECHAR.H.
  30-may-95	Greg Bentz	variety.h and dll linkage
  30-may-96	M. Hildebrand	Removed wide character version.
*/
#include "variety.h"
#include <string.h>

_WCRTLINK char *memccpy( char *dst, const char *src, int c, size_t cnt )
    {
        for(;;) {
            if( cnt == 0 ) break;
            *dst = *src;
            ++dst;
            if( *src == c ) return( dst );
            ++src;
            --cnt;
        }
        return( NULL );
    }
