/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  21-jan-90     F.W.Crigger     Initial implementation
  25-jun-90     F.W.Crigger     problem when src and dst are the same
--------------------------------------------------------Version-11.0---------
  30-may-95	Greg Bentz	variety.h and dll linkage
*/
#include "variety.h"
#include <stdlib.h>

_WCRTLINK void swab( char *src, char *dst, int n )
    {
        char c;

        for( n = n >> 1; n; --n ) {
            c = src[0];  /* 25-jun-90: just in case src and dst are the same */
            dst[0] = src[1];
            dst[1] = c;
            dst += 2;
            src += 2;
        }
    }
