/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1988, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  26-feb-88     F.W.Crigger     Initial implementation
  27-jan-93	F.W.Crigger	Use new assembler support
--------------------------------------------------------Version-11.0---------
  22-feb-95	Greg Bentz	alpha support
  30-may-95	Greg Bentz	variety.h and dll linkage
  15-sep-95	Greg Bentz	ppc support
*/

#include "variety.h"
#include <stdlib.h>
#include <limits.h>

#undef  _rotr

extern unsigned int __rotr( unsigned int value, unsigned int shift );

#if defined(__AXP__)
#elif defined(__PPC__)
#elif defined(__386__)
#pragma aux __rotr = "ror eax,cl" parm [eax] [ecx] value [eax] modify [ecx];
#else
#pragma aux __rotr = "ror ax,cl" parm [ax] [cx] value [ax] modify [cx];
#endif

_WCRTLINK unsigned int _rotr( unsigned int value, unsigned int shift )
{
    #if defined(__AXP__) || defined(__PPC__)
	unsigned int tmp;
	tmp = value;
	value = value >> shift;
	tmp = tmp << ((sizeof(tmp)*CHAR_BIT)-shift);
	value = value | tmp;
	return( value );
    #else
	return( __rotr( value, shift ) );
    #endif
}
