/*
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
  %       reserved. No part of this software may be reproduced      %
  %       in any form or by any means - graphic, electronic or      %
  %       mechanical, including photocopying, recording, taping     %
  %       or information storage and retrieval systems - except     %
  %       with the written permission of WATCOM Systems Inc.        %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
--------------------------------------------------------Version-11.0---------
  27-jun-96	Greg Bentz	defined
*/
#include "variety.h"
#include "langenvd.h"
#if defined(__PPC__)
  #define   __TGT_SYS	__TGT_SYS_AXP_PPC
#elif defined(__AXP__)
  #define   __TGT_SYS	__TGT_SYS_AXP_NT
#else
  #define   __TGT_SYS	__TGT_SYS_X86
#endif
#include "langenv.h"

unsigned long __based( __segname( TS_SEG_TLSB ) ) _tls_start = (unsigned long)&_tls_start;
unsigned long __based( __segname( TS_SEG_TLSE ) ) _tls_end = (unsigned long)&_tls_end;
unsigned long _tls_index;

unsigned long *_tls_used[] = {
    &_tls_start,
    &_tls_end,
    &_tls_index
};

#if defined(_M_IX86)
 extern void **get_tls_array();
 extern void *_tls_array;
 #pragma aux get_tls_array = "mov eax, dword ptr fs:_tls_array";

 void *_tls_region( void ) {
    void **array;
    array = get_tls_array();
    return( (void *)(((unsigned long)array[_tls_index]) - ((unsigned long)_tls_used[0])) );
 }
#endif

#if defined(_M_IX86)
 #pragma aux _tls_used "_*";
 #pragma aux _tls_start "_*";
 #pragma aux _tls_end "_*";
 #pragma aux _tls_index "_*";
 #pragma aux _tls_region "_*";
 #pragma aux _tls_array "_*";
#endif

