/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1992, by WATCOM International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of WATCOM International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
   07-nov-94	Greg Bentz	defined for 32bit NT only
--------------------------------------------------------Version-11.0---------
  30-may-95	Greg Bentz	variety.h and dll linkage
*/
#include "variety.h"
#include "extfunc.h"
#include "thread.h"

extern beginnerex   __CBeginThreadEx;
extern enderex	    __CEndThreadEx;

static beginnerex   *__BeginThreadEx  	= __CBeginThreadEx;
static enderex	    *__EndThreadEx    	= __CEndThreadEx;

_WCRTLINK unsigned long _beginthreadex(
    void *security,
    unsigned stack_size,
    thread_fnex start_address,
    void *arglist,
    unsigned initflag,
    unsigned *thrdaddr )
{
    return( __BeginThreadEx( security, stack_size, start_address, arglist,
	    initflag, thrdaddr ) );
}

_WCRTLINK void _endthreadex( unsigned retval )
{
    __EndThreadEx( retval );
}
