/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  05-oct-87     F.W.Crigger     Initial implementation
---------------------------------------------------------Version 8.0-------
  29-mar-90     J.B.Schueler    Removed __ptr_check
  23-dec-90     John Dahms      add arg0 to match header file.
--------------------------------------------------------Version-11.0---------
  14-mar-95	Greg Bentz	alpha support
  30-may-95	Greg Bentz	variety.h and dll linkage
  15-sep-95	Greg Bentz	ppc support
  29-sep-95	T. Schiller	Small fix to make it work for PPC
  03-oct-95	M. Hildebrand	Added _wexeclpe.
  27-nov-95	Greg Bentz	fixup const in function definition
*/

#include "variety.h"
#include "widechar.h"
#include <stdio.h>
#include <stdarg.h>
#include <process.h>

_WCRTLINK int __F_NAME(execlpe,_wexeclpe)( const CHAR_TYPE *path, const CHAR_TYPE *arg0, ... )
    {
        va_list ap;
        CHAR_TYPE ** env;
        CHAR_TYPE *p;

        arg0 = arg0;
        /* scan until NULL in parm list */
        for( va_start( ap, path ); (p = va_arg( ap, CHAR_TYPE* )) != NULL;  )
            ;
        /* point to environ parm */
        env = va_arg( ap, CHAR_TYPE** );
        va_end( ap );

        va_start( ap, path );
	#if defined(__AXP__)
	    return( __F_NAME(execvpe,_wexecvpe)( path,
	    	(const CHAR_TYPE**)ap.__base,
		(const CHAR_TYPE**)env ) );
	#else
	    return( __F_NAME(execvpe,_wexecvpe)( path,
	    	(const CHAR_TYPE**)ap[0],
		(const CHAR_TYPE**)env ) );
	#endif
    }
