/*
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
  %       reserved. No part of this software may be reproduced      %
  %       in any form or by any means - graphic, electronic or      %
  %       mechanical, including photocopying, recording, taping     %
  %       or information storage and retrieval systems - except     %
  %       with the written permission of WATCOM Systems Inc.        %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  05-mar-92     Craig Eisler	defined for NT
  23-nov-92	F.W.Crigger	return the return code from spawnve
--------------------------------------------------------Version-11.0---------
  30-may-95	Greg Bentz	variety.h and dll linkage
  21-jun-95	T. Schiller	Changed P_WAIT to P_NOWAIT
  21-jun-95	T. Schiller	Added __p_overlay
  04-oct-95	M. Hildebrand	Added _wexecve for NT and moved __p_overlay.
  27-nov-95	Greg Bentz	fixup const in function definition
  13-mar-96	Greg Bentz	tweak typing inconsistencies
*/
#undef __INLINE_FUNCTIONS__
#include "variety.h"
#include "widechar.h"
#include <windows.h>
#include <process.h>
#include <errno.h>
#include "rtdata.h"
#include "seterrno.h"

extern void (*__int23_exit)(void);

_WCRTLINK int __F_NAME(execve,_wexecve)( const CHAR_TYPE *path, const CHAR_TYPE * const argv[], const CHAR_TYPE * const envp[] )
{
    int		rc;
    
    rc = __F_NAME(spawnve,_wspawnve)( P_NOWAIT, path, argv, envp );
    if( _RWD_errno != 0 ) return( -1 );
    __int23_exit();
    ExitProcess( rc );
    return( 0 );
}
