/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1985, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  11-aug-89     John Dahms      split out of signal.c (defined for OS/2)
  10-apr-92	John Dahms	don't raise SIGINT if we've started to unhook
  				the interrupt handler.
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  30-may-95	Greg Bentz	dll linkage
*/
#include "variety.h"
#include <stddef.h>
#include <signal.h>
#include <dos.h>
#define INCL_DOSSIGNALS
#include <wos2.h>

extern  void    __null_int23_exit();
extern  void    (*__int23_exit)();

static PFNSIGHANDLER handler = 0;
static USHORT        action;

//#pragma off(unreferenced);
static _WCFAR pascal break_handler( USHORT sigarg, USHORT signum )
//#pragma on(unreferenced);
    {
        if( __int23_exit != __null_int23_exit ) raise( SIGINT );
    }

static void restore_handler()
    {
        DosSetSigHandler( handler, &handler, &action, action, SIG_CTRLC );
        handler = 0;
        __int23_exit = __null_int23_exit;
    }


void __grab_int23()
    {
        USHORT          action;

        if( handler != 0 ) return;
        DosSetSigHandler( break_handler, &handler, &action, 2, SIG_CTRLC );
        __int23_exit = restore_handler;
    }

