/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  23-jan-90     F.W.Crigger     Initial implementation
  15-feb-93	A.Gupta		modified for Netware
--------------------------------------------------------Version-11.0---------
  30-may-95	Greg Bentz	variety.h and dll linkage
*/

#include "variety.h"
#include <i86.h>
#include <dos.h>


_WCRTLINK void sleep( unsigned seconds )
    {
#ifndef __NETWARE__
        unsigned char old_second;
        unsigned char old_hundredths;
        struct dostime_t  t;
#endif 

#ifdef __NETWARE__
	delay( seconds * 1000 );
#else
        _dos_gettime( &t );
        old_hundredths = t.hsecond;
        if( old_hundredths > 90 )  old_hundredths = 90;
        for( ; seconds; --seconds ) {
            old_second = t.second;
            do {                        /* loop until second changes */
                _dos_gettime( &t );
            } while( t.second == old_second );
        }
        do {
            _dos_gettime( &t );
        } while( t.hsecond < old_hundredths );
#endif
    }
