/*
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
  %       reserved. No part of this software may be reproduced      %
  %       in any form or by any means - graphic, electronic or      %
  %       mechanical, including photocopying, recording, taping     %
  %       or information storage and retrieval systems - except     %
  %       with the written permission of WATCOM Systems Inc.        %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  06-mar-92     Craig Eisler	defined for NT
--------------------------------------------------------Version-11.0---------
  30-may-95	Greg Bentz	variety.h and dll linkage
  08-jul-96	M. Hildebrand	Use SleepEx instead of Sleep.
*/

#include "variety.h"
#include <dos.h>
#include <windows.h>

_WCRTLINK void sleep( unsigned seconds )
{
    /*
     * Don't use Sleep because on AXPs wlink will get confused trying to
     * export 'sleep' and import 'Sleep', which differ only in case.
     */
    SleepEx( seconds * 1000L, FALSE );
}
