/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  24-apr-90	J.T.Laughlin	Adapted from spawnvp.c
--------------------------------------------------------Version-11.0---------
  30-may-95	Greg Bentz	variety.h and dll linkage
  22-apr-96	Greg Bentz	tweak typing inconsistencies
*/

#include "variety.h"
#include <stddef.h>
#include <sys/types.h>
#include <process.h>
#include <stdarg.h>


#ifdef __STDC__
_WCRTLINK int (spawnlpe)( mode, file, arg, ... )
#else
_WCRTLINK int (spawnlpe)( mode, file, arg )
#endif
    int		mode;	/* wait, nowait or overlay(==exec) */
    const char	*file;	/* path name of file to be executed */
    const char	*arg;
{
    va_list ap;
    const char **env;
    char *p;

    for( va_start( ap, file ); (p = va_arg( ap, char * )) != NULL;  )
	;
    env = (const char **) va_arg( ap, char * );
    va_end( ap );

    return( spawnvpe( mode, file, &arg, env ) );
}
