/* define status word bits */
#if defined(_M_IX86)
    #define	SW_BUSY		0x8000
    #define	SW_IREQ		0x0080
    #define	SW_XCPT_FLAGS	0x007f
    #define	SW_C1		0x0200
    
#pragma pack(__push,1);
    typedef union {
	struct status_word {
	    unsigned short	ie : 1;
	    unsigned short	de : 1;
	    unsigned short	ze : 1;
	    unsigned short	oe : 1;
	    unsigned short	ue : 1;
	    unsigned short	pe : 1;
	    unsigned short	sf : 1;
	    unsigned short	es : 1;
	    unsigned short	c0 : 1;
	    unsigned short	c1 : 1;
	    unsigned short	c2 : 1;
	    unsigned short	st : 3;
	    unsigned short	c3 : 1;
	    unsigned short	b  : 1;
	}			b;
	unsigned long	sw;
    } status_word;
#pragma pack(__pop);
#elif defined(__AXP__)
    #define FPCR_XCPT_FLAGS     0x03f00000     // Assumes high word of FPCR
    #define FPCR_SUMMARY_BIT    0x80000000
#elif defined(__PPC__)
    // Undefined
#else
    #error *** Processor Type Not Supported ***
#endif
