/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  21-jan-90     F.W.Crigger     Initial implementation
--------------------------------------------------------Version-11.0---------
  30-may-95	Greg Bentz	variety.h and dll linkage
  13-mar-96	Greg Bentz	tweak typing inconsistencies
  22-apr-96	Greg Bentz	tweak typing inconsistencies
*/
#include "variety.h"
#include "extfunc.h"
#undef __INLINE_FUNCTIONS__
#include <stddef.h>
#include <string.h>
#include <search.h>

#if defined(__NETWARE__)
#define _CONSTNW
#else
#define _CONSTNW const
#endif

typedef int lcomp( _CONSTNW void *, _CONSTNW void * );
#if defined(_M_IX86)
    #pragma aux (__outside_CLIB) lcomp;
#endif

_WCRTLINK void *lsearch( _CONSTNW void *key, void *base, unsigned *num,
    unsigned width, int (*compare)( _CONSTNW void *, _CONSTNW void * ) )
{
    lcomp *cmp = (lcomp *)compare;
    unsigned  n;

    for( n = *num; n; --n ) {
	if( cmp( key, base ) == 0 ) return( base );
	base = ((char *)base) + width;
    }
    memcpy( base, key, width );
    ++*num;
    return( base );
}
