/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1996, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

   Date         By              Reason
   ----         --              ------
--------------------------------------------------------Version-11.0---------
   08-jul-96	M. Hildebrand	Initial implementation.
   09-jul-96	M. Hildebrand	Make work for stack and register conventions.
   11-jul-96	M. Hildebrand	Fixed 16-bit version.
*/

#include "variety.h"
#include "rtdata.h"
#include "rtinit.h"


/*
 * This function is actually a _WCRTLINK function.  It's prototyped
 * incorrectly so that this module will work correctly with both dynamic
 * and static versions of the C library.
 *
 * The pragma is there so that this module will work with both stack and
 * register calling conventions, eliminating the need to have a separate
 * object file for each.
 *
 * Similarly, it's declared _WCI86FAR so that the same object file will work
 * in any 16-bit memory model.
 */
#pragma aux __set_commode "*_";
extern void _WCI86FAR	__set_commode( void );


static void do_it( void )
{
    __set_commode();
}


AXI( do_it, INIT_PRIORITY_LIBRARY )
