/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  11-jun-90     F.W.Crigger     Initial implementation (called from emulator)
  25-aug-93	J.B.Schueler	return whether 80x87 is present in system
--------------------------------------------------------Version-11.0---------
  01-jun-95	Greg Bentz	variety.h and dll linkage
  22-apr-96	Greg Bentz	tweak typing inconsistencies
*/
#include "variety.h"
#define INCL_DOSDEVICES
#define INCL_SUB
#define INCL_DOSSEMAPHORES
#define INCL_DOSINFOSEG
#define INCL_DOSMISC
#include <wos2.h>
#include <stdlib.h>

extern  void    __setenvp();
void __interrupt __far __int7();
static void __interrupt (*old_int7)();
#pragma aux __int7 "*";

int __far __hook8087()
/********************/
    {
        char    devinfo;

        __setenvp();                    /* make sure environment is setup */
	DosDevConfig( &devinfo, 3, 0 ); /* returns 1=present 0=notpresent */
        if( getenv( "NO87" ) != NULL  ||  devinfo == 0 ) {
            DosSetVec( 7, (PFN)&__int7, (PFN FAR*)&old_int7 );
	    return( 0 );
        }
	return( devinfo );
    }

void __far __unhook8087()
/***********************/
    {
        if( old_int7 != NULL ) {
            DosSetVec( 7, (PFN)old_int7, (PFN FAR*)&old_int7 );
        }
    }
