/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  15-jul-90     F.W.Crigger     Initial implementation
  11-aug-90     F.W.Crigger     Only hook into 16 if 8087 present and not
                                emulating
--------------------------------------------------------Version-11.0---------
  01-jun-95	Greg Bentz	variety.h and dll linkage
  22-apr-96	Greg Bentz	tweak typing inconsistencies
*/
#include "variety.h"
#define INCL_DOSDEVICES
#define INCL_SUB
#define INCL_DOSSEMAPHORES
#define INCL_DOSINFOSEG
#define INCL_DOSMISC
#include <wos2.h>
#include <stdlib.h>

void __interrupt __far __FPEHandler();
#pragma aux __FPEHandler "*";
static void __interrupt (*old_FPE_handler)();

void __Init_FPE_handler()
/***********************/
    {
        char    devinfo;

        DosDevConfig( &devinfo, 3, 0 );
        if( getenv( "NO87" ) == NULL  &&  devinfo != 0 ) {
            DosSetVec( 16, (PFN)&__FPEHandler, (PFN FAR*)&old_FPE_handler );
        }
    }

void __Fini_FPE_handler()
/***********************/
    {
        if( old_FPE_handler != NULL ) {
            DosSetVec( 16, (PFN)old_FPE_handler, (PFN FAR*)&old_FPE_handler );
        }
    }
