/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1996, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
--------------------------------------------------------Version-11.0---------
  25-jun-96     Greg Bentz	defined
*/
#include "variety.h"
#include "nonibm.h"
#include "mtype.h"

_machine_type __MachineType( void ) {
    #if defined(__AXP__)
	return( _MT_UNKNOWN_AXP );
    #elif defined(__PPC__)
	return( _MT_UNKNOWN_PPC );
    #else
	if( __NonIBM == -1 ) {
	    return( _MT_UNKNOWN );
	} else if( __NonIBM == 0 ) {
	    return( _MT_AT );
	} else {
	    return( _MT_NEC98 );
	}
    #endif
}
