/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  89-05-28	John Dahms	created so we can set errno from assembler
  18-aug-89	John Dahms	include "newerrno.h" so errno is ok in DOS
				as well as multi-threaded OS/2 environment
  28-feb-90	F.W.Crigger	Added __set_EDOM and __set_ERANGE so that
				MATH lib is errno independent
  19-jan-95	Greg Bentz	moved __FPE_exception to fpexcept.c
--------------------------------------------------------Version-11.0---------
  01-jun-95	Greg Bentz	variety.h and dll linkage
*/
#include "variety.h"
#include <stdlib.h>
#include <errno.h>
#include "rtdata.h"
#include "seterrno.h"

_WCRTLINK void __set_errno( unsigned int err )
    {
	_RWD_errno = err;
    }

_WCRTLINK void __set_EDOM()
    {
	__set_errno( EDOM );
    }

_WCRTLINK void __set_ERANGE()
    {
	__set_errno( ERANGE );
    }

_WCRTLINK int __set_EINVAL()
    {
	__set_errno( EINVAL );
	return( -1 );
    }

#if !defined(__QNX__) && !defined(__PENPOINT__) && !defined(__NETWARE__)
_WCRTLINK void __set_doserrno( unsigned int err )
    {
	_RWD_doserrno = err;
    }
#endif
