/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1988, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-may-88	F.W.Crigger	Initial implementation
--------------------------------------------------Version 8.5----------
  14-nov-91     G. Coschi	support OS/2 2.0
  15-feb-95	Greg Bentz	deal with stack growing
--------------------------------------------------------Version-11.0---------
  01-jun-95	Greg Bentz	variety.h and dll linkage
*/

#include "variety.h"
#include "rtdata.h"
#include "stacklow.h"

#if defined(__OS2__)
extern	unsigned GetThreadStack(void);
#pragma aux GetThreadStack = "mov eax,fs:[4]" value [eax];
#endif

_WCRTLINK unsigned stackavail()
    {
	#if defined(__OS2__)
	    unsigned system_stacklow;
	    system_stacklow = GetThreadStack();
	    if( system_stacklow > _RWD_stacklow ) {
		return( _SP() - system_stacklow );
	    } else {
		_RWD_stacklow = system_stacklow;
		return( _SP() - _RWD_stacklow );
	    }
	#else
	    return( _SP() - _RWD_stacklow );
	#endif
    }
