/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  93/11/15	Greg Bentz	defined for OS/2 2.x
  28-jan-94	Greg Bentz	add __fatal_runtime_error
  13-Dec-94	A.F.Scian	message should go to stderr
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  01-jun-95	Greg Bentz	dll linkage
*/
#include "variety.h"
#include <io.h>
#include <wos2.h>
#include "rtdata.h"
#include "exitwmsg.h"

_WCRTLINK void __exit_with_msg( char _WCI86FAR *msg, unsigned retcode )
/******************************************************************/
{	
    unsigned	len;
    char 	*end;
    ULONG	written;

    end = msg;
    for( len = 0; *end++ != '\0'; len++ );
    DosWrite( STDERR_FILENO, msg, len, &written );
    __exit( retcode );
}

_WCRTLINK void __fatal_runtime_error( char _WCI86FAR *msg, unsigned retcode )
/*****************************************************************/
{
    if( !__EnterWVIDEO( msg ) ) {
	__exit_with_msg( msg, retcode );
    }
}
