/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1985,1986 by WATCOM Systems Inc. All rights %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  23-dec-92	B.J. Stecher	split out from ioalloc.c
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage
*/

#include "variety.h"
#include <stdio.h>
#include <malloc.h>
#if defined(__PENPOINT__)  ||  defined(__QNX__)
#include <unistd.h>
#else
#include <io.h>
#endif
#include "rtdata.h"
#include "fileacc.h"

void __chktty( FILE  *fp )
    {
	/* if we have not determined that we've got a tty then check for one */
	if( !(fp->_flag & _ISTTY) ) {
	    if( isatty( fileno( fp ) ) ) {
		fp->_flag |= _ISTTY;
		if( ( fp->_flag & ( _IONBF | _IOLBF | _IOFBF ) ) == 0 ) {
		    fp->_flag |= _IOLBF;
		}
	    }
	}
    }
