/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1989,1990 by WATCOM Systems Inc. All rights %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  28-dec-89     F.W.Crigger     stub for E,F and G formats in printf
  27-mar-90     F.W.Crigger     similar stub added for scanf
  03-feb-92     J.B.Schueler    added aborts pragma for exit_with_msg
  11-nov-93	Greg Bentz	rationalize exit_with_msg
  28-jan-94	Greg Bentz	change exit_with_msg to __fatal_runtime_error
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  29-may-95	Greg Bentz	dll linkage
*/
#include "variety.h"
#include <stdio.h>
#include "rtdata.h"
#include "exitwmsg.h"
#include "ftos.h"
#include "farsupp.h"

static void _no_support_loaded()
    {
        __fatal_runtime_error( "Floating-point support not loaded\r\n", 1 );
    }

_WCRTLINK FAR_STRING (*__EFG_printf)() = _no_support_loaded;
_WCRTLINK int	    (*__EFG_scanf)()  = _no_support_loaded;
