/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1988, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  11-may-88	A.F.Scian	Initial implementation
  30-aug-91	J.B.Schueler	Added "const" attribute to Bits vector
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  31-may-95	Greg Bentz	dll linkage
*/
#include "variety.h"
#include <string.h>

const unsigned char _HUGEDATA _Bits[] =
    { 0x01, 0x02, 0x04, 0x08, 0x10, 0x20, 0x40, 0x80 };

void __setbits( unsigned char vector[32], unsigned char *charset )
{
    unsigned char c;

    memset( vector, 0, 32 );
    for( ; c = *charset; ++charset ) {
	vector[ c >> 3 ] |= _Bits[ c & 0x07 ];
    }
}
