/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  21-apr-90	F.W.Crigger	Initial implementation
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  31-may-95	Greg Bentz	dll linkagearisons
  23-nov-95	T. Schiller	Disabled i86 scan pragmas since it was
				possible for them to overrun the end of
				a selector when doing word-wise comps
*/
#include "variety.h"
#include <string.h>

#ifdef	M_I86

extern	char _WCFAR * _scan1( char _WCFAR *s, int c );

/* use scan1 to find the char we are looking for */

#pragma aux    _scan1 = 0x1e		/* push ds   */\
			0x8e 0xda	/* mov ds,dx */\
			0xad		/* L1:lodsw  */\
			0x38 0xd8	/* cmp al,bl */\
			0x74 0x22	/* je L3     */\
			0x84 0xc0	/* test al,al*/\
			0x74 0x19	/* je L2     */\
			0x38 0xdc	/* cmp ah,bl */\
			0x74 0x1b	/* je L4     */\
			0x84 0xe4	/* test ah,ah*/\
			0x74 0x11	/* je L2     */\
			0xad		/* lodsw     */\
			0x38 0xd8	/* cmp al,bl */\
			0x74 0x11	/* je L3     */\
			0x84 0xc0	/* test al,al*/\
			0x74 0x08	/* je L2     */\
			0x38 0xdc	/* cmp ah,bl */\
			0x74 0x0a	/* je L4     */\
			0x84 0xe4	/* test ah,ah*/\
			0x75 0xde	/* jne L1    */\
			0x31 0xf6	/* L2:xor si,si*/\
			0x89 0xf2	/* mov dx,si */\
			0xa9		/* test ax,... */\
			0x4e		/* L3:dec si */\
			0x4e		/* L4:dec si */\
			0x1f		/* pop ds    */\
			parm caller [dx si] [bl]\
			value [dx si]\
			modify [ax dx si];
#endif


/* locate the first occurrence of c in the initial n characters of the
   string pointed to by s. The terminating null character is considered
   to be part of the string.
   If the character c is not found, NULL is returned.
*/
#undef	_fstrchr

_WCRTLINK char _WCFAR *_fstrchr( const char _WCFAR *s, int c )
    {
//#if defined(M_I86)
	//return( _scan1( (char _WCFAR *)s, c ) );
//#else
	do {
	    if( *s == c ) return( (char _WCFAR *)s );
	} while( *s++ != '\0' );
	return( NULL );
//#endif
    }
