/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  21-apr-90	F.W.Crigger	Initial implementation
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  31-may-95	Greg Bentz	dll linkage
*/
#include "variety.h"
#include "xstring.h"

#undef	_fstrcmp

/* return <0 if s<t, 0 if s==t, >0 if s>t */

_WCRTLINK int _fstrcmp( const char _WCFAR *s, const char _WCFAR *t )
    {
#if /*defined(M_I86) &&*/ defined(__INLINE_FUNCTIONS__)
	return( _inline__fstrcmp( s, t ) );
#else
	for( ; *s == *t; s++, t++ )
	    if( *s == '\0' )
		return( 0 );
	return( *s - *t );
#endif
    }
