/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1990 by WATCOM Systems Inc. All rights	    %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  03-mar-94	Greg Bentz	defined
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  31-may-95	Greg Bentz	dll linkage
  13-mar-96	Greg Bentz	tweak typing inconsistencies
*/
#include "variety.h"
#include <ctype.h>
#include <string.h>
#include "liballoc.h"

_WCRTLINK char _WCFAR *_fstrdup( const char _WCFAR *str )
{
    char _WCFAR *mem;
    int len;

    len = _fstrlen( str ) + 1;
    mem = lib_malloc( len );
    if( mem ) {
	(_fmemcpy)( mem, str, len );
    }
    return( mem );
}
