/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date         By              Reason
   ----         --              ------
--------------------------------------------------------Version-11.0---------
   14-may-95    M. Hildebrand   Initial implementation.
   27-may-96	M. Hildebrand	Added wide character support.
*/

#include "widechar.h"
#include <string.h>
#include "riscstr.h"


CHAR_TYPE *__F_NAME(strncat,wcsncat)( CHAR_TYPE *dest, const CHAR_TYPE *src,
				      size_t n )
/**************************************************************************/
{
    size_t		srcLen;
    size_t		destLen;

    srcLen = __F_NAME(strlen,wcslen)( src );
    destLen = __F_NAME(strlen,wcslen)( dest );

    if( srcLen < n ) {
	__F_NAME(strncpy,wcsncpy)( dest+destLen, src, srcLen+1 );
    } else {
	__F_NAME(strncpy,wcsncpy)( dest+destLen, src, n );
	dest[destLen+n] = '\0';
    }
    
    return( dest );
}
