/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date         By              Reason
   ----         --              ------
--------------------------------------------------------Version-11.0---------
   17-may-96    M. Hildebrand   Initial implementation.
   28-may-96	M. Hildebrand	Added wide character support.
*/

#include "widechar.h"
#include <string.h>
#include "riscstr.h"


CHAR_TYPE *__F_NAME(strstr,wcsstr)( const CHAR_TYPE *str,
				    const CHAR_TYPE *substr )
/***********************************************************/
{
    size_t		strLen;
    size_t		substrLen;
    int			i, maxi;
    CHAR_TYPE		ch;

    substrLen = __F_NAME(strlen,wcslen)( substr );
    if( substrLen == 0 )  return( (CHAR_TYPE*)str );

    strLen = __F_NAME(strlen,wcslen)( str );
    maxi = strLen - substrLen + 1;
    ch = substr[0];

    for( i=0; i<maxi; i++ ) {
	if( str[i] == ch ) {
	    if( !__F_NAME(strncmp,wcsncmp)( str+i, substr, substrLen ) ) {
		return( (CHAR_TYPE*)str+i );
	    }
	}
    }

    return( NULL );
}
