/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  17-mar-87     F.W.Crigger     Initial implementation
---------------------------------------------------------Version 6.0-------
  12-apr-88     F.W.Crigger     use _inline_ function support
  05-Jun-92	D. Wellstood	Unicode support
--------------------------------------------------------Version-11.0---------
  22-feb-95	M. Hildebrand	Changed from UNICODE.H to WIDECHAR.H.
  31-may-95	Greg Bentz	variety.h and dll linkage
  15-sep-95	Greg Bentz	ppc support
  21-sep-95	M. Hildebrand	Added _u version, which calls wide version.
  03-jan-96	Greg Bentz	remove stubs that are now aliases
*/
#include "variety.h"
#include "widechar.h"
#include <stdio.h>
#include "xstring.h"
#undef  strcat


/* concatenate t to the end of s */

_WCRTLINK CHAR_TYPE *__F_NAME(strcat,wcscat) ( CHAR_TYPE *dst, const CHAR_TYPE *t )
    {

#if defined(__INLINE_FUNCTIONS__) && !defined(__WIDECHAR__) && defined(_M_IX86)
        return( _inline_strcat( dst, t ) );
#else
        CHAR_TYPE *s;
	
        s = dst;
        while( *s != NULLCHAR )  ++s;
        while( *s++ = *t++ ) ;
        return( dst );
#endif
    }
