/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1985,1986 by WATCOM Systems Inc. All rights %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  09-Apr-87	A.C.C.Wai	Initial implementation
  05-Jun-92	D. Wellstood	Unicode support
  18-jun-93	John Dahms  	all library allocations use lib_xxx routines
  27-feb-94	Greg Bentz	add _strdup
--------------------------------------------------------Version-11.0---------
  22-feb-95	M. Hildebrand	Changed from UNICODE.H to WIDECHAR.H.
  31-may-95	Greg Bentz	variety.h and dll linkage
  21-sep-95	M. Hildebrand	Added _u version, which calls wide version.
  03-jan-96	Greg Bentz	remove stubs that are now aliases
  17-mar-97	Greg Bentz	change names and add aliases
*/

#include "variety.h"
#include "widechar.h"
#include "strdup.h"
#include <stddef.h>
#include <string.h>
#include <stdlib.h>
#include "liballoc.h"

#ifdef __WIDECHAR__
extern size_t wcslen( const CHAR_TYPE * );
#endif


_WCRTLINK CHAR_TYPE *__F_NAME(__clib_strdup,__clib_wcsdup) ( const CHAR_TYPE *str )
{
    CHAR_TYPE *mem;
    int len;

    len = __F_NAME(strlen,wcslen)( str ) + 1;
    mem = lib_malloc( len * CHARSIZE );
    if( mem ) {
	(memcpy)( mem, str, len * CHARSIZE );
    }
    return( mem );
}
