/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  19-dec-90	F.W.Crigger	Initial implementation
  12-jul-91	J.B.Schueler	macrotized references to R/W data
  13-dec-92	B.J. Stecher	returns an int for better UNIX conformance
--------------------------------------------------------Version-11.0---------
  18-may-95	Greg Bentz	use variety.h and _WCRTLINK
  13-mar-96	Greg Bentz	make return values match doc
*/

#include "variety.h"
#include <time.h>
#include <sys/timeb.h>
#include "rtdata.h"
#include "timedata.h"

_WCRTLINK int ftime( struct timeb *timeptr )
    {
	auto struct tm t;

	timeptr->millitm  = __getctime( &t );
	timeptr->time	  = mktime( &t );
	timeptr->dstflag  = t.tm_isdst;
	timeptr->timezone = _RWD_timezone / 60L;
	return( 1 );
    }
