/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1985, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  10-aug-89     John Dahms      defined for OS/2
----------------------------------------------------------Version 8.0-------
  19-dec-90     F.W.Crigger     return milliseconds rather than updating tm_sec
                                Also changed name from _getctime to __getctime
--------------------------------------------------------Version-11.0---------
  18-may-95	Greg Bentz	use variety.h and _WCRTLINK
 *
 *      Get Current Time and Date
 *
 */

#include "variety.h"
#include <time.h>
#include <dos.h>
#include <wos2.h>
#include "timedata.h"


int __getctime( struct tm *t )
    {
        DATETIME    dt;

        DosGetDateTime( &dt );
        t->tm_year = dt.year - 1900;
        t->tm_mon  = dt.month - 1;
        t->tm_mday = dt.day;
        t->tm_hour = dt.hours;
        t->tm_min  = dt.minutes;
        t->tm_sec  = dt.seconds;
        t->tm_isdst = -1;
        return( dt.hundredths * 10 );
    }
