/*
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
  %       reserved. No part of this software may be reproduced      %
  %       in any form or by any means - graphic, electronic or      %
  %       mechanical, including photocopying, recording, taping     %
  %       or information storage and retrieval systems - except     %
  %       with the written permission of WATCOM Systems Inc.        %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  06-mar-92     Craig Eisler	defined for NT
  21-apr-93	G. Coschi	return milliseconds
  23-aug-93	A.F.Scian	fixed to use GetLocalTime rather than
  				GetSystemTime which is GMT rather than local
--------------------------------------------------------Version-11.0---------
  18-may-95	Greg Bentz	use variety.h and _WCRTLINK
*/

#include "variety.h"
#include <windows.h>
#include <time.h>
#include <dos.h>
#include "timedata.h"

int __getctime( struct tm *t )
{
    SYSTEMTIME	st;

    GetLocalTime( &st );
    t->tm_year = st.wYear - 1900;
    t->tm_mon  = st.wMonth - 1;
    t->tm_mday = st.wDay;
    t->tm_hour = st.wHour;
    t->tm_min  = st.wMinute;
    t->tm_sec  = st.wSecond;
    t->tm_isdst = -1;
    return( st.wMilliseconds );
}
