/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1994, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  02-mar-94	Greg Bentz	defined
--------------------------------------------------------Version-11.0---------
  02-mar-95	M. Hildebrand	Changed from UNICODE.H to WIDECHAR.H.
  18-may-95	Greg Bentz	use variety.h and _WCRTLINK
  21-sep-95	M. Hildebrand	Added _u version, which calls wide version.
  03-jan-96	Greg Bentz	remove stubs that are now aliases
*/
#include "variety.h"
#include "widechar.h"
#include <time.h>


_WCRTLINK CHAR_TYPE *__F_NAME(_strdate,_wstrdate)( CHAR_TYPE *buf ) {
    time_t time_of_day;
    struct tm now;

    time_of_day = time( NULL );
    _localtime( &time_of_day, &now );
    #ifdef __WIDECHAR__
	wcsftime( buf, 9, L"%D", &now );
    #else
	strftime( buf, 9, "%D", &now );
    #endif
    return( buf );
}
