/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %       Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
   %       reserved. No part of this software may be reproduced      %
   %       in any form or by any means - graphic, electronic or      %
   %       mechanical, including photocopying, recording, taping     %
   %       or information storage and retrieval systems - except     %
   %       with the written permission of WATCOM Systems Inc.        %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ====		==		======
   15-jan-91	C.G.Eisler	defined
   04-apr-91	C.G.Eisler	functional Win32Realloc
   04-jul-91	C.G.Eisler	huge aliases
   19-aug-91	C.G.Eisler	fs, gs containing aliases that got freed
   				causes windows to go bye-bye.
---------------------------------------------------------Version 9.0--------
   02-nov-91	C.G.Eisler	split up
*/
#include "alloc.h"

DWORD AllocAlias16( void *offset )
{
    DWORD	ptr;

    if( DPMIGetAlias( (DWORD) offset, &ptr ) ) return( NULL );
    return( ptr );

} /* AllocAlias16 */

#pragma aux FreeAlias16 modify [fs gs];
void FreeAlias16( DWORD alias )
{

    ClearFS_GS();
    DPMIFreeAlias( alias );

} /* FreeAlias16 */
