/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
   %       reserved. No part of this software may be reproduced      %
   %       in any form or by any means - graphic, electronic or      %
   %       mechanical, including photocopying, recording, taping     %
   %       or information storage and retrieval systems - except     %
   %       with the written permission of WATCOM Systems Inc.        %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ====		==		======
   19-oct-92	Craig Eisler	defined
*/
#define INCLUDE_COMMDLG_H
#include "cover.h"

HWND PASCAL _CoverFindText( LPFINDREPLACE pfr )
{
    LPVOID	old;
    HWND	rc;

    if( pfr->Flags & FR_ENABLEHOOK ) {
	old = pfr->lpfnHook;
    	pfr->lpfnHook = SetProc( old, GETPROC_CALLBACK );
	rc = FindText( pfr );
	pfr->lpfnHook = old;
	return( rc );
    } else {
	return( FindText( pfr ) );
    }
}
