/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
   %       reserved. No part of this software may be reproduced      %
   %       in any form or by any means - graphic, electronic or      %
   %       mechanical, including photocopying, recording, taping     %
   %       or information storage and retrieval systems - except     %
   %       with the written permission of WATCOM Systems Inc.        %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ====		==		======
   19-oct-92	Craig Eisler	defined
*/
#define INCLUDE_COMMDLG_H
#include "cover.h"

BOOL PASCAL _CoverPrintDlg( LPPRINTDLG ppd )
{
    LPVOID	oldsh = NULL;
    LPVOID	oldph = NULL;
    BOOL	rc;

    if( ppd->Flags & PD_ENABLEPRINTHOOK ) {
	oldph = ppd->lpfnPrintHook;
    	ppd->lpfnPrintHook = SetProc( oldph, GETPROC_CALLBACK );
    }
    if( ppd->Flags & PD_ENABLEPRINTHOOK ) {
	oldsh = ppd->lpfnSetupHook;
    	ppd->lpfnSetupHook = SetProc( oldsh, GETPROC_CALLBACK );
    }
    rc = PrintDlg( ppd );
    if( oldph != NULL ) {
	ppd->lpfnPrintHook = oldph;
    }
    if( oldsh != NULL ) {
	ppd->lpfnSetupHook = oldsh;
    }
    return( rc );
}
