/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %       Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
   %       reserved. No part of this software may be reproduced      %
   %       in any form or by any means - graphic, electronic or      %
   %       mechanical, including photocopying, recording, taping     %
   %       or information storage and retrieval systems - except     %
   %       with the written permission of WATCOM Systems Inc.        %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ====		==		======
   04-jun-91	C.G.Eisler	arbitrary callbacks
   09-jul-91	C.G.Eisler	added CDECL arbitrary callbacks
   15-aug-91	C.G.Eisler	SetUDP16 for -3s wrong prototype
---------------------------------------------------------Version 9.0--------
   02-nov-91	C.G.Eisler	cleaned up
   13-jan-92	C.G.Eisler	new user defined procedures
*/
#include <windows.h>
#include <dos.h>
#include <malloc.h>
#include <stdarg.h>

extern CALLBACKPTR vGetCallbackRoutine( PROCPTR fn, va_list al );
extern void *UserProcs[];

/*
 * DefineUserProc16 - define a user callback
 *                  variable parms are either UPD16_CHAR, UPD16_WORD,
 *		    UPD16_DWORD, or UPD16_ENDLIST
 */
int DefineUserProc16( int entnum, PROCPTR routine, ... )
{
    va_list	al;

    if( entnum > GETPROC_USERDEFINED_32 ) {
	return( -1 );
    }
    entnum -= GETPROC_USERDEFINED_1;
    va_start( al, routine );
    UserProcs[ entnum] = vGetCallbackRoutine( routine, al );
    va_end( al );
    return( 0 );
    
} /* DefineUserProc16 */
