/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %       Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
   %       reserved. No part of this software may be reproduced      %
   %       in any form or by any means - graphic, electronic or      %
   %       mechanical, including photocopying, recording, taping     %
   %       or information storage and retrieval systems - except     %
   %       with the written permission of WATCOM Systems Inc.        %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ====		==		======
   06-nov-91	C.G.Eisler	initial implementation
*/
#include <string.h>
#include <dos.h>
#include "alloc.h"

void *MapAliasToFlat( DWORD alias )
{
    union REGPACK	r;
    DWORD		base_32;
    DWORD		base_16;
    DWORD		res;

    memset( &r, 0, sizeof( r ) );
    r.x.ax = 0x06;
    r.x.bx = FP_SEG( (void far *) &r );
    intr( 0x31, &r );
    base_32 = (r.x.cx << 16L) + (DWORD) r.x.dx;
    r.x.ax = 0x06;
    r.x.bx = alias >> 16;
    intr( 0x31, &r );
    base_16 = (r.x.cx << 16L) + (DWORD) r.x.dx;
    res = base_16 - base_32 + (DWORD)((WORD)alias);
    return( (void *) res );

} /* MapAliasToFlat */
