/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
   %       reserved. No part of this software may be reproduced      %
   %       in any form or by any means - graphic, electronic or      %
   %       mechanical, including photocopying, recording, taping     %
   %       or information storage and retrieval systems - except     %
   %       with the written permission of WATCOM Systems Inc.        %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ====		==		======
   19-apr-92	Craig Eisler	Initial implementation
   24-sep-93	F.W.Crigger	Use special timer call back routine
*/
#define INCLUDE_MMSYSTEM_H
#include "cover.h"

#define	GetTimerCallBack	WINFUNCTION253ADDR
#pragma	aux	WINFUNCTION253ADDR	"*"

extern LPTIMECALLBACK (__far *GetTimerCallBack)();
static LPTIMECALLBACK	CallBackFunc;

extern	void __InvokeCallBack();
#pragma aux  __InvokeCallBack = \
	"and	esp,0000FFFFh"	\
	"jmp	eax"		\
	parm [eax];

void __TimerCallBack()
{
    __InvokeCallBack( CallBackFunc );
}

UINT PASCAL _Cover_timeSetEvent(UINT uDelay, UINT uResolution,
    LPTIMECALLBACK lpFunction, DWORD dwUser, UINT uFlags)
{
    CallBackFunc = lpFunction;
    return( timeSetEvent( uDelay, uResolution,
	GetTimerCallBack( __TimerCallBack ),
	dwUser, uFlags ) );
}
