/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %       Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
   %       reserved. No part of this software may be reproduced      %
   %       in any form or by any means - graphic, electronic or      %
   %       mechanical, including photocopying, recording, taping     %
   %       or information storage and retrieval systems - except     %
   %       with the written permission of WATCOM Systems Inc.        %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ====		==		======
   02-nov-91	C.G.Eisler	split from cover.c
*/
#include "cover.h"

LONG PASCAL _Cover_SendMessage(HWND hwnd, WORD msg, WORD wp, LONG lp)
{
    BOOL		alias;
    LONG		rc,olp;
    MDICREATESTRUCT	*mcs;
    LPSTR		oldclass,oldtitle;


    if( msg == WM_MDICREATE ) {
	mcs = (MDICREATESTRUCT *) lp;
	oldclass = (LPSTR) mcs->szClass;
	oldtitle = (LPSTR) mcs->szTitle;
    }
    olp = lp;
    alias = TryAlias( hwnd, msg, &lp );
    rc = SendMessage( hwnd, msg, wp, lp );
    if( alias ) {
	FreeAlias16( lp );
	if( msg == WM_MDICREATE ) {
	    mcs = (MDICREATESTRUCT *) olp;
	    FreeAlias16( (DWORD) mcs->szClass );
	    FreeAlias16( (DWORD) mcs->szTitle );
	    mcs->szClass = oldclass;
	    mcs->szTitle = oldtitle;
	}
    }
    return( rc );
}
