/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %       Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
   %       reserved. No part of this software may be reproduced      %
   %       in any form or by any means - graphic, electronic or      %
   %       mechanical, including photocopying, recording, taping     %
   %       or information storage and retrieval systems - except     %
   %       with the written permission of WATCOM Systems Inc.        %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ====		==		======
   02-nov-91	Craig Eisler	defined
   12-nov-91	Craig Eisler	new prototype for SetProc, other stuff
   19-apr-92	Craig Eisler	Windows 3.1 extensions
   03-nov-93	F.W.Crigger	Added struct wndprocs (used by SETCL & SETWL)
   21-apr-95	Greg Bentz	variety.h for near/far and composite macros
*/
#include "variety.h"
#define NOCOVERSENDS
#define NOCOVERRC
#define NOAUTOPROCS
#include <windows.h>

#define MAGICCOOKIE 0xdeadbeefL

#define	PROC_16		16
#define	PROC_32		32

struct wndprocs {
    struct wndprocs	*next;
    LONG		procaddr;
    HWND		hwnd;
    unsigned short	proctype;	// PROC_16 or PROC_32
};

void *SetProc( LPVOID fp, int type );
BOOL TryAlias( HWND hwnd, WORD msg, LONG *lparam );
void *RealProcAddr( FARPROC fp );
extern DWORD _WCFAR *_DataSelectorSizeAddr;
#ifdef INCLUDE_PENWIN_H
extern void __InitPenWinRC( LPRC lprc );
#endif
