;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%       Copyright (C) 1989 by WATCOM Systems Inc. All rights      %
;%       reserved. No part of this software may be reproduced      %
;%       in any form or by any means - graphic, electronic or      %
;%       mechanical, including photocopying, recording, taping     %
;%       or information storage and retrieval systems - except     %
;%       with the written permission of WATCOM Systems Inc.        %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  modified:      by:           reason:
;  ---------      ---           -------
;  03-dec-89    F.W.Crigger     Initial implementation
;  03-jun-90    F.W.Crigger     Added Windows support
;  01-mar-91    F.W.Crigger     Windows conventions now same as DOS
;  12-sep-94	Greg Bentz	check for _HUGE_DATA with _BIG_DATA
;  07-mar-95	M. Hildebrand	Deal with different versions of WASM.
;  12-mar-95	Greg Bentz	remove extra _ from "C" symbols
;
include mdef.inc
include struct.inc

        xref    __doserror_
        modstart dosattr

        defp    _dos_getfileattr
	if __WASM__ ge 100
	    xdefp   "C",_dos_getfileattr
	else
	    xdefp   <"C",_dos_getfileattr>
	endif
;
;       unsigned _dos_getfileattr( char *path, unsigned *attr );
;
        push    BP              ; save BP
        mov     BP,SP           ; get access to stack
        push    BX              ; save BX
        push    CX              ; save CX
        push    DX              ; save DX
if _MODEL and (_BIG_DATA or _HUGE_DATA)
        push    DS              ; save DS
        mov     DS,DX           ; get FP_SEG(path)
        push    CX              ; save FP_SEG(attr)
else
        mov     BX,DX           ; save pointer to attributes
endif
        mov     DX,AX           ; get path
        mov     AX,4300h        ; get file attributes
        int     21h             ; ...
if _MODEL and (_BIG_DATA or _HUGE_DATA)
        pop     DS              ; get segment part of attr
endif
        _if     nc              ; if no error
          mov   [BX],CX         ; - store file attributes
        _endif                  ; endif
        call    __doserror_     ; set return code
if _MODEL and (_BIG_DATA or _HUGE_DATA)
        pop     DS              ; restore DS
endif
        pop     DX              ; restore DX
        pop     CX              ; restore CX
        pop     BX              ; restore BX
        pop     BP              ; restore BP
        ret                     ; return to caller
        endproc _dos_getfileattr
;-----------------------------------------------------------------------
        defp    _dos_setfileattr
	if __WASM__ ge 100
	    xdefp   "C",_dos_setfileattr
	else
	    xdefp   <"C",_dos_setfileattr>
	endif
;
;       unsigned _dos_setfileattr( char *path, unsigned attr );
;
        push    CX              ; save CX
if _MODEL and (_BIG_DATA or _HUGE_DATA)
        push    DS              ; save DS
        mov     DS,DX           ; get FP_SEG(path)
        mov     DX,AX           ; get FP_OFF(path)
        mov     CX,BX           ; get attr
else
        mov     CX,DX           ; get attr
        mov     DX,AX           ; get path
endif
        mov     AX,4301h        ; set file attributes
        int     21h             ; ...
        call    __doserror_     ; set return code
if _MODEL and (_BIG_DATA or _HUGE_DATA)
        pop     DS              ; restore DS
endif
        pop     CX              ; restore CX
        ret                     ; return to caller
        endproc _dos_setfileattr

        endmod
        end
