;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%       Copyright (C) 1989 by WATCOM Systems Inc. All rights      %
;%       reserved. No part of this software may be reproduced      %
;%       in any form or by any means - graphic, electronic or      %
;%       mechanical, including photocopying, recording, taping     %
;%       or information storage and retrieval systems - except     %
;%       with the written permission of WATCOM Systems Inc.        %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  modified:      by:           reason:
;  ---------      ---           -------
;  03-dec-89    F.W.Crigger     Initial implementation
;  03-jun-90    F.W.Crigger     Added Windows support
;  01-mar-91    F.W.Crigger     Windows conventions now same as DOS
;  12-sep-94	Greg Bentz	check for _HUGE_DATA with _BIG_DATA
;  07-mar-95	M. Hildebrand	Deal with different versions of WASM.
;  12-mar-95	Greg Bentz	remove extra _ from "C" symbols
;
include mdef.inc
include struct.inc

        xref    __doserror_
        modstart doscreat

create  macro   func_code
        push    BP              ; save BP
        mov     BP,SP           ; get access to stack
        push    BX              ; save BX
        push    CX              ; save CX
        push    DX              ; save DX
if _MODEL and (_BIG_DATA or _HUGE_DATA)
        push    DS              ; save DS
        mov     DS,DX           ; get FP_SEG(path)
        mov     DX,AX           ; get FP_OFF(path)
        mov     CX,BX           ; get attr
else
        mov     CX,DX           ; get attr
        mov     DX,AX           ; get path
endif
        mov     AH,func_code    ; get function code
        int     21h             ; create the file
        _if     nc              ; if no error
if _MODEL and (_BIG_DATA or _HUGE_DATA)
 if _MODEL and _BIG_CODE
          lds   BX,6[BP]        ; - get pointer to handle
 else
          lds   BX,4[BP]        ; - get pointer to handle
 endif
endif
          mov   [BX],AX         ; - store handle
        _endif                  ; endif
if _MODEL and (_BIG_DATA or _HUGE_DATA)
        pop     DS              ; restore DS
endif
        call    __doserror_     ; set return code
        pop     DX              ; restore DX
        pop     CX              ; restore CX
        pop     BX              ; restore BX
        pop     BP              ; restore BP
if _MODEL and (_BIG_DATA or _HUGE_DATA)
        ret     4               ; return to caller
else
        ret                     ; return to caller
endif
        endm


        defp    _dos_creat
	if __WASM__ ge 100
	    xdefp   "C",_dos_creat
	else
	    xdefp   <"C",_dos_creat>
	endif
;
;       unsigned _dos_creat( char *path, unsigned attr, int *handle )
;
        create  3Ch
        endproc _dos_creat
;-----------------------------------------------------------------------
        defp    _dos_creatnew
	if __WASM__ ge 100
	    xdefp   "C",_dos_creatnew
	else
	    xdefp   <"C",_dos_creatnew>
	endif
;
;       unsigned _dos_creatnew( char *path, unsigned attr, int *handle )
;
        create  5Bh
        endproc _dos_creatnew

        endmod
        end
