;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%       Copyright (C) 1989 by WATCOM Systems Inc. All rights      %
;%       reserved. No part of this software may be reproduced      %
;%       in any form or by any means - graphic, electronic or      %
;%       mechanical, including photocopying, recording, taping     %
;%       or information storage and retrieval systems - except     %
;%       with the written permission of WATCOM Systems Inc.        %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  modified:      by:           reason:
;  ---------      ---           -------
;  31-dec-89    F.W.Crigger     Initial implementation for 386
;  28-aug-91	F.W.Crigger	Get rid of any garbage bits
;  07-mar-95	M. Hildebrand	Deal with different versions of WASM.
;  12-mar-95	Greg Bentz	remove extra _ from "C" symbols
;
include mdef.inc
include struct.inc

	if __WASM__ ge 100
	    xref    "C",__set_errno_dos
	else
	    xref    <"C",__set_errno_dos>
	endif
        modstart doserror

        xdefp   __doserror_
;
;
        defp    __doserror_
        _if     c               ; if error
	  and	EAX,0000FFFFh	; - get rid of any garbage bits 28-aug-91
          push  EAX             ; - save return code
	  call	__set_errno_dos ; - set errno
          pop   EAX             ; - restore return code
        _else                   ; else
          sub   EAX,EAX         ; - return 0
        _endif                  ; endif
        ret                     ; return to caller
        endproc __doserror_

        endmod
        end
