;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%	 Copyright (C) 1989 by WATCOM Systems Inc. All rights	   %
;%	 reserved. No part of this software may be reproduced	   %
;%	 in any form or by any means - graphic, electronic or	   %
;%	 mechanical, including photocopying, recording, taping	   %
;%	 or information storage and retrieval systems - except	   %
;%	 with the written permission of WATCOM Systems Inc.	   %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  modified:	  by:		reason:
;  ---------	  ---		-------
;  31-dec-89	F.W.Crigger	Initial implementation for 386
;  20-apr-93	F.W.Crigger	sign-extend return code (to fill out EAX)
;  16-sep-93	F.W.Crigger	int21 added
;  07-mar-95	M. Hildebrand	Deal with different versions of WASM.
;  12-mar-95	Greg Bentz	remove extra _ from "C" symbols
;
include mdef.inc
include struct.inc
include int21.inc

	if __WASM__ ge 100
	    xref	"C",__set_EINVAL
	else
	    xref	<"C",__set_EINVAL>
	endif
	modstart dosstime

	defp	_dos_setdate
	if __WASM__ ge 100
	    xdefp	"C",_dos_setdate
	else
	    xdefp	<"C",_dos_setdate>
	endif
;
;	unsigned _dos_setdate( struct dosdate_t *date );
;	struct dosdate_t {
;		unsigned char day;	1-31
;		unsigned char month;	1-12
;		unsigned short year;	1980-2099
;		unsigned char dayofweek; 0-6 (0=Sunday)
;	};
;
ifdef __STACK__
	mov	EAX,4[ESP]	; get parm
endif
	push	EDX		; save DX
	push	ECX		; save CX
	push	EBX		; save BX
	mov	EBX,EAX		; get address of dosdate_t structure
	mov	CX,2[EBX]	; get the year
	mov	DH,1[EBX]	; get the month
	mov	DL,[EBX]	; get the day
	mov	AL,4[EBX]	; get the day of the week
	mov	AH,2Bh		; set date
	int21h			; ...
	mov	AH,AL		; set return code
	cwde			; sign-extend	20-apr-93
	cmp	AL,0FFh		; if error
	_if	e		; then
	  call	__set_EINVAL	; - set errno = EINVAL
	_endif			; endif
	pop	EBX		; restore BX
	pop	ECX		; restore CX
	pop	EDX		; restore DX
	ret			; return to caller
	endproc _dos_setdate
;-----------------------------------------------------------------------
	defp	_dos_settime
	if __WASM__ ge 100
	    xdefp	"C",_dos_settime
	else
	    xdefp	<"C",_dos_settime>
	endif
;
;	unsigned _dos_settime( struct dostime_t *time );
;	struct dostime_t {
;		unsigned char hour;	0-23
;		unsigned char minute;	0-59
;		unsigned char second;	0-59
;		unsigned char hsecond;	1/100 second; 0-99
;	};
;
ifdef __STACK__
	mov	EAX,4[ESP]	; get parm
endif
	push	EDX		; save DX
	push	ECX		; save CX
	push	EBX		; save BX
	mov	EBX,EAX		; get address of dostime_t structure
	mov	CH,[EBX]	; get the hour
	mov	CL,1[EBX]	; get the minute
	mov	DH,2[EBX]	; get the second
	mov	DL,3[EBX]	; get the hundredths of seconds
	mov	AH,2Dh		; set time
	int21h			; ...
	mov	AH,AL		; set return code
	cwde			; sign-extend	20-apr-93
	cmp	AL,0FFh		; if error
	_if	e		; then
	  call	__set_EINVAL	; - set errno = EINVAL
	_endif			; endif
	pop	EBX		; restore BX
	pop	ECX		; restore CX
	pop	EDX		; restore DX
	ret			; return to caller
	endproc _dos_settime

	endmod
	end
