/*
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
  %       reserved. No part of this software may be reproduced      %
  %       in any form or by any means - graphic, electronic or      %
  %       mechanical, including photocopying, recording, taping     %
  %       or information storage and retrieval systems - except     %
  %       with the written permission of WATCOM Systems Inc.        %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  05-mar-92     Craig Eisler	defined for NT
  07-mar-94	Kevin Hui	Allocating paragraphs instead of bytes
--------------------------------------------------------Version-11.0---------
  19-may-95	Greg Bentz	dll linkage

*/

#include "variety.h"
#include <windows.h>
#include <stdlib.h>
#include "rtdata.h"
#include "seterrno.h"

_WCRTLINK unsigned _dos_allocmem( unsigned size, LPVOID *p_mem )
{
    LPVOID	ptr;
    
    ptr = GlobalAlloc( GMEM_FIXED, size << 4 );
    if( ptr == NULL ) {
    	return( __set_errno_nt() );
    }
    *p_mem = ptr;
    return( 0 );
}

_WCRTLINK unsigned _dos_freemem( LPVOID mem )
{
    if( GlobalFree( mem ) != NULL ) {
	return( __set_errno_nt() );
    }

    return( 0 );
}
