/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  30-jul-87     A.F.Scian       defined
  06-aug-87     F.W.Crigger     Used doscall to create bdos
------------------------------------------------------------Version 7.0-----
  26-feb-89     F.W.Crigger     Adapted for 386
------------------------------------------------------------Version 8.x-----
  22-feb-91     C.G.Eisler      Modified for Windows/386
  03-apr-91	C.G.Eisler	Updated for WINDOWS_386 macro
------------------------------------------------------------Version 9.5-----
  16-sep-93	F.W.Crigger	use _INT_21 macro from tinyio.h
--------------------------------------------------------Version-11.0---------
  19-may-95	Greg Bentz	dll linkage

*/
#include "variety.h"
#include <dos.h>
#include "tinyio.h"

extern  int                     DoBDosCall();

#pragma aux                     DoBDosCall = \
        _INT_21		\
        parm caller     [eax] [edx] \
        value           [eax] \
        modify          [ebx ecx edx esi edi];


_WCRTLINK int bdos( int dosfn, unsigned dx, unsigned int al )
{
    return( DoBDosCall( (dosfn << 8) + (al & 0xff), dx ) );
}
