/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  30-jul-87     A.F.Scian       defined
  20-may-88     A.F.Scian       used tinyio.h
  18-jan-95	Greg Bentz	add to NT, OS2 and NETWARE libraries
--------------------------------------------------------Version-11.0---------
  19-may-95	Greg Bentz	dll linkage

*/
#include "variety.h"
#include "tinyio.h"

_WCRTLINK void break_on()
/**********************/
{
#if !(defined(__NT__) || defined(__OS2__) || defined(__NETWARE__))
    TinySetCtrlBreak( 1 );
#endif
}


_WCRTLINK void break_off()
/***********************/
{
#if !(defined(__NT__) || defined(__OS2__) || defined(__NETWARE__))
    TinySetCtrlBreak( 0 );
#endif
}
