/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1991 by WATCOM Systems Inc. All rights	    %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  28-apr-91	F.W.Crigger	Initial implementation for OS/2
--------------------------------------------------Version 8.5----------
  09-jul-91     G. Coschi	support OS/2 2.0
--------------------------------------------------------Version-11.0---------
  19-may-95	Greg Bentz	dll linkage
*/

#include "variety.h"
#include <errno.h>
#include <wos2.h>
#include <dos.h>
#include "rtdata.h"
#include "seterrno.h"

#define FF_LEVEL	0
#define FF_BUFFER	FILEFINDBUF


_WCRTLINK unsigned _dos_getfileattr( const char *path, unsigned *attribute ) {
/***************************************************************************/

    FF_BUFFER	dir_buff;
    HDIR	handle = 1;
    OS_UINT	searchcount = 1;
    APIRET	rc;

    rc = DosFindFirst( (PSZ)path, &handle, 0x37, &dir_buff,
                       sizeof( dir_buff ), &searchcount, FF_LEVEL );
    if( rc != 0 || searchcount != 1 ) {
	__set_errno( ENOENT );
	return( rc );
    }
    *attribute = dir_buff.attrFile;
    return( 0 );
}
