/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1991 by WATCOM Systems Inc. All rights	    %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  28-apr-91	F.W.Crigger	Initial implementation for OS/2
--------------------------------------------------Version 8.5----------
  09-jul-91     G. Coschi	support OS/2 2.0
--------------------------------------------------Version 9.0----------
  28-jan-93     G. Coschi	use DosQuerPathInfo() instead of
  				DosFindFirst() - DosFindFirst() had problem
				with root directories on a FAT
--------------------------------------------------------Version-11.0---------
  19-may-95	Greg Bentz	dll linkage
*/

#include "variety.h"
#include <errno.h>
#include <wos2.h>
#include <dos.h>
#include "rtdata.h"
#include "seterrno.h"



_WCRTLINK unsigned _dos_getfileattr( const char *path, unsigned *attribute ) {
/***************************************************************************/

    FILESTATUS	fs;
    APIRET	rc;
    
    rc = DosQueryPathInfo( (PSZ)path, FIL_STANDARD, &fs, sizeof( fs ) );
    if( rc != 0 ) {
	__set_errno_dos( rc );
	return( rc );
    }
    *attribute = fs.attrFile;
    return( 0 );
}
