/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  27-apr-91	F.W.Crigger	Initial implementation for OS/2
--------------------------------------------------------Version-11.0---------
  19-may-95	Greg Bentz	dll linkage
 */

#include "variety.h"
#include <dos.h>
#include <wos2.h>


_WCRTLINK void _dos_gettime( struct dostime_t *time )
    {
        DATETIME    dt;

        DosGetDateTime( &dt );
	time->hour    = dt.hours;
	time->minute  = dt.minutes;
	time->second  = dt.seconds;
	time->hsecond = dt.hundredths;
    }
