/*
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
  %       reserved. No part of this software may be reproduced      %
  %       in any form or by any means - graphic, electronic or      %
  %       mechanical, including photocopying, recording, taping     %
  %       or information storage and retrieval systems - except     %
  %       with the written permission of WATCOM Systems Inc.        %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  06-mar-92     Craig Eisler	defined for NT
  08-mar-94	Kevin Hui	used GetLocalTime() instead, fixed calculation
				of hsecond
--------------------------------------------------------Version-11.0---------
  19-may-95	Greg Bentz	dll linkage
*/
#include "variety.h"
#include <dos.h>
#include <windows.h>

_WCRTLINK void _dos_gettime( struct dostime_t *time )
{
    SYSTEMTIME	st;

    GetLocalTime( &st );
    time->hour    = st.wHour;
    time->minute  = st.wMinute;
    time->second  = st.wSecond;
    time->hsecond = st.wMilliseconds/10;
}
