/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  30-jul-87	A.F.Scian	defined
  06-aug-87	F.W.Crigger	Used doscall to create intdos
  25-nov-87	M.Glaum 	Added big data code
------------------------------------------------------------Version 6.5-----
  21-sep-88	F.W.Crigger	re-coded small data model pragma so that
				it will work with /zu option
------------------------------------------------------------Version 7.0-----
  08-feb-89	F.W.Crigger	Added "clc" before "int 21"
  09-may-91	J.B.Schueler	Removed reference to extern int errno
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  19-may-95	Greg Bentz	dll linkage
*/
#include "variety.h"
#include <dos.h>

extern	short			DoDosCall();
extern	short			BDDoDosCall();
extern	int			_dosretax();


#pragma aux			DoDosCall = \
	0x06	        /* push es	*/ \
	0x55		/* push bp	*/ \
	0x52		/* push dx	*/ \
	0x8b 0x05	/* mov ax, [di] */ \
	0x8b 0x5d 0x02	/* mov bx,2[di] */ \
	0x8b 0x4d 0x04	/* mov cx,4[di] */ \
	0x8b 0x55 0x06	/* mov dx,6[di] */ \
	0x8b 0x75 0x08	/* mov si,8[di] */ \
	0x8b 0x7d 0x0a	/* mov di,10[di] */ \
	0xf8		/* clc		*/ \
	0xcd 0x21	/* int 021h	*/ \
	0x89 0xfd	/* mov bp,di	*/ \
	0x5f		/* pop di	*/ \
	0x89 0x05	/* mov	[di],ax */ \
	0x89 0x5d 0x02	/* mov 2[di],bx */ \
	0x89 0x4d 0x04	/* mov 4[di],cx */ \
	0x89 0x55 0x06	/* mov 6[di],dx */ \
	0x89 0x75 0x08	/* mov 8[di],si */ \
	0x89 0x6d 0x0a	/* mov 10[di],bp */ \
	0x1b 0xc0	/* sbb ax,ax (sets ax!=0 if carry set) */ \
	0x5d		/* pop bp */ \
	0x07		/* pop es */ \
	parm caller	[di] [dx] \
	value		[ax] \
	modify		[bx cx dx si di];

#pragma aux		  BDDoDosCall = 			\
	0x1e	       /* push ds */				\
	0x06	       /* push es	  */			\
	0x55	       /* push bp	  */			\
	0x51	       /* push cx	  */			\
	0x8e 0xda      /* mov ds,dx */				\
	0x89 0xdd      /* mov bp, bx	  */			\
	0x8b 0x44 0x00 /* mov ax, 0[ si ] */			\
	0x8b 0x5c 0x02 /* mov bx, 2[ si ] */			\
	0x8b 0x4c 0x04 /* mov cx, 4[ si ] */			\
	0x8b 0x54 0x06 /* mov dx, 6[ si ] */			\
	0x8b 0x7c 0x0a /* mov di, a[ si ] */			\
	0x8b 0x74 0x08 /* mov si, 8[ si ] */			\
	0xf8	       /* clc		  */			\
	0xcd 0x21      /* int 021h	  */			\
	0x87 0xf5      /* xchg si, bp	  */			\
	0x1f	       /* pop ds	  */			\
	0x89 0x44 0x00 /* mov 0[ si ], ax */			\
	0x89 0x5c 0x02 /* mov 2[ si ], bx */			\
	0x89 0x4c 0x04 /* mov 4[ si ], cx */			\
	0x89 0x54 0x06 /* mov 6[ si ], dx */			\
	0x89 0x6c 0x08 /* mov 8[ si ], bp */			\
	0x89 0x7c 0x0a /* mov a[ si ], di */			\
	0x5d	       /* pop bp	  */			\
	0x07	       /* pop es	  */			\
	0x1f	       /* pop ds */				\
	0x19 0xc0      /* sbb ax, ax	  */			\
	parm caller [ si dx ] [ bx cx ] 			\
	value[ ax ]						\
	modify [ ax dx di ];

_WCRTLINK int intdos( union REGS *inregs, union REGS *outregs )
    {
	register short		status;

#if defined(__BIG_DATA__)
	status = BDDoDosCall( inregs, outregs );
#else
	status = DoDosCall( inregs, outregs );
#endif
	outregs->x.cflag = status;
	_dosretax( outregs->x.ax, status );
	return( outregs->x.ax );
    }
