/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1991 by WATCOM Systems Inc. All rights      %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  28-apr-91	F.W.Crigger	Initial implementation for OS/2
--------------------------------------------------Version 8.5----------
  12-nov-91     G. Coschi	support OS/2 2.0
--------------------------------------------------------Version-11.0---------
  19-may-95	Greg Bentz	dll linkage
*/
#include "variety.h"
#include <dos.h>
#include <wos2.h>


_WCRTLINK void _dos_setdrive( unsigned drivenum, unsigned *drives )
    {
	OS_UINT	drive_number;
	ULONG	logical_drives;
	unsigned count;

#if defined(__WARP__)
        DosQueryCurrentDisk( &drive_number, &logical_drives );
	DosSetDefaultDisk( drivenum );
#else
        DosQCurDisk( &drive_number, &logical_drives );
	DosSelectDisk( drivenum );
#endif
	for( count = 0; logical_drives != 0; ) {
	    if( logical_drives & 1 )  ++count;
	    logical_drives >>= 1;
	}
	*drives = count;
    }
