/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1991 by WATCOM Systems Inc. All rights	    %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  24-nov-93     Greg Bentz	Pulled out of the posix project
--------------------------------------------------------Version-11.0---------
  19-may-95	Greg Bentz	dll linkage
*/
#include "variety.h"
#include <dos.h>
#include <wos2.h>
#include "seterrno.h"



_WCRTLINK unsigned _dos_setftime( int handle, unsigned short date, unsigned short time )
    {
	APIRET		error;
	OS_UINT		hand_type;
	OS_UINT		device_attr;
	FILESTATUS	info;
	USHORT		*p;

	error = DosQHandType( handle, &hand_type, &device_attr );
	if( error ) {
	    __set_errno_dos( error );
	    return( error );
	}
	if( ( hand_type & ~HANDTYPE_NETWORK ) == HANDTYPE_FILE ) {
	    error = DosQFileInfo( handle, 1, (PBYTE)&info, sizeof( FILESTATUS ) );
	    if( error ) {
		__set_errno_dos( error );
		return( error );
	    }
	    p = (USHORT *)(&info.fdateLastWrite);
	    *(unsigned short *)p = date;
	    p = (USHORT *)(&info.ftimeLastWrite);
	    *(unsigned short *)p = time;
	    error = DosSetFileInfo( handle, 1, (PBYTE)&info, sizeof( FILESTATUS ) );
	    if( error ) {
		__set_errno_dos( error );
		return( error );
	    }
	}
	return( 0 );
    }

