/*
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
  %       reserved. No part of this software may be reproduced      %
  %       in any form or by any means - graphic, electronic or      %
  %       mechanical, including photocopying, recording, taping     %
  %       or information storage and retrieval systems - except     %
  %       with the written permission of WATCOM Systems Inc.        %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  25-mar-92     Craig Eisler	defined for NT
  16-oct-92	Craig Eisler	use integer ids for file handles
  08-oct-93	A.F.Scian	make use of __FromDOSDT so that file-time
  				is local rather than GMT
--------------------------------------------------------Version-11.0---------
  19-may-95	Greg Bentz	dll linkage

*/
#include "variety.h"
#include <dos.h>
#include <windows.h>
#include "ntex.h"
#include "fileacc.h"
#include "seterrno.h"

_WCRTLINK unsigned _dos_setftime( int hid, WORD date, WORD time )
{
    FILETIME	ctime,atime,wtime;
    HANDLE	h;

    _AccessFileH( hid );
    h = __FileHandleIDs[ hid ];
    if( !GetFileTime( h, &ctime, &atime, &wtime ) ) {
	_ReleaseFileH( hid );
	return( __set_errno_nt() );
    }
    __FromDOSDT( date, time, &wtime );
    if( !SetFileTime( h, &ctime, &wtime, &wtime ) ) {
	_ReleaseFileH( hid );
	return( __set_errno_nt() );
    }
    _ReleaseFileH( hid );
    return( 0 );
}
