// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// %     Copyright (C) 1992, by WATCOM International Inc.  All rights    %
// %     reserved.  No part of this software may be reproduced or        %
// %     used in any form or by any means - graphic, electronic or       %
// %     mechanical, including photocopying, recording, taping or        %
// %     information storage and retrieval systems - except with the     %
// %     written permission of WATCOM International Inc.                 %
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//
//  Modified    By              Reason
//  ========    ==              ======
//  92/01/28    Steve McDowell  Initial implementation.
//  92/09/08	Greg Bentz	Cleanup.
//  93/03/05	Greg Bentz	added exception handling
//  93/10/25	Raymond Tang	Split into seperate files.
//  94/04/06	Greg Bentz	combine header files

#ifdef __SW_FH
#include "iost.h"
#else
#include "variety.h"
#include <iostream.h>
#endif
#include "ioutil.h"

int __FlagsToBase( long format_flags ) {
/**************************************/
// Extract, from "format_flags", the base to be used.

    format_flags &= ios::basefield;
    if( format_flags == ios::dec ) {
        return( 10 );
    }
    if( format_flags == ios::oct ) {
        return( 8 );
    }
    if( format_flags == ios::hex ) {
        return( 16 );
    }

// No flags are set, or the flags aren't consistent,
// so just return "decimal":

   return( 10 );
}
