// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// %     Copyright (C) 1992, by WATCOM International Inc.  All rights    %
// %     reserved.  No part of this software may be reproduced or        %
// %     used in any form or by any means - graphic, electronic or       %
// %     mechanical, including photocopying, recording, taping or        %
// %     information storage and retrieval systems - except with the     %
// %     written permission of WATCOM International Inc.                 %
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//
//  Modified    By              Reason
//  ========    ==              ======
//  92/01/30    Steve McDowell  Initial implementation.
//  92/09/08	Greg Bentz	Cleanup.
//  93/07/29	Greg Bentz	Change ostream::op<<(streambuf &) to
//				ostream::op<<( streambuf * )
//  93/10/26	Raymond Tang	Split into separate files.
//  94/04/06	Greg Bentz	combine header files
//  94/07/28	Greg Bentz	use explicit call to ios::init instead of ios()
//				in mem-initializer in case user derives from
//				ostream and forgets to ios() in his ctor

#ifdef __SW_FH
#include "iost.h"
#else
#include "variety.h"
#include <iostream.h>
#endif

ostream::ostream( streambuf *sb ) {
/*********************************/
// Constructor creates an ostream using the specified streambuf.
    ios::init( sb );
}
