// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// %     Copyright (C) 1992, by WATCOM International Inc.  All rights    %
// %     reserved.  No part of this software may be reproduced or        %
// %     used in any form or by any means - graphic, electronic or       %
// %     mechanical, including photocopying, recording, taping or        %
// %     information storage and retrieval systems - except with the     %
// %     written permission of WATCOM International Inc.                 %
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//
//  Modified    By              Reason
//  ========    ==              ======
//  92/02/28    Steve McDowell  Initial implementation.
//  92/09/08	Greg Bentz	Cleanup.
//  94/04/06	Greg Bentz	combine header files

#ifdef __SW_FH
#include "iost.h"
#else
#include "variety.h"
#include <stdio.h>
#include <iostream.h>
#include <streambu.h>
#endif

void streambuf::dbp() {
/*********************/
    printf( "STREAMBUF Debug Info:\n"
	    "this  = %p, unbuffered = %d, delete_reserve = %d\n"
	    "base  = %p, ebuf = %p\n"
	    "eback = %p, gptr = %p, egptr = %p\n"
	    "pbase = %p, pptr = %p, epptr = %p\n"
	  , this
	  , __unbuffered_state
	  , __delete_reserve
	  , __reserve_base
	  , __reserve_end
	  , __get_base
	  , __get_ptr
	  , __get_end
	  , __put_base
	  , __put_ptr
	  , __put_end
     );
}
