;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
;%       reserved. No part of this software may be reproduced      %
;%       in any form or by any means - graphic, electronic or      %
;%       mechanical, including photocopying, recording, taping     %
;%       or information storage and retrieval systems - except     %
;%       with the written permission of WATCOM Systems Inc.        %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
; MODDTORA.ASM -- reference for program DTOR
;
; An external reference to this object file is placed in the compiled
; object when the module being compiled has static objects which
; require DTORing.
;
; The close-up code will call the routine __wcpp_module_dtor__ to DTOR
; all such static objects.
;
; date          by              reason
; ====          ==              ======
; 92/03/10      J.W.Welch       defined
; 92/09/11      A.F.Scian       fixed for large code model
;
        name    moddtora

        include mdef.inc
        include xinit.inc

#ifdef __3S__
#define __wcpp_module_dtor__     __wcpp_module_dtor_
#define __wcpp_module_dtor_ref__ __wcpp_module_dtor_ref_
#endif

        codeptr __wcpp_module_dtor__

YI      segment word public 'DATA'
        public  __wcpp_module_dtor_ref__
__wcpp_module_dtor_ref__ label word
YI      ends

        xfini   __wcpp_module_dtor__,DEF_PRIORITY+8

        end
