// DARRNEW.C -- support to stuff the #elems in the allocation and return
//              the correct address
//
// 92/05/18 -- A.F.Scian        -- defined
// 94/12/12 -- J.W.Welch        -- moved to CPP

#include "cpplib.h"


extern "C"
void * CPPLIB(new_darray)(          // CALL CONSTRUCTORS FOR NEW ARRAY ELEMENTS
    ARRAY_STORAGE *new_alloc,       // - what was allocated
    unsigned count )                // - number of elements
{
    void *retn;                     // - return: NULL or first element

    if( new_alloc == NULL ) {
        retn = NULL;
    } else {
        new_alloc->element_count = count;
        retn = new_alloc->apparent_address;
    }
    return( retn );
}

