/*
**********************************************************************
*       Copyright by WATCOM International Corporation, 1987, 1992.   *
*       All rights reserved. No part of this software may be         *
*       reproduced in any form or by any means - graphic, electronic,*
*       mechanical or otherwise, including, without limitation,      *
*       photocopying, recording, taping or information storage and   *
*       retrieval systems - except with the written permission of    *
*       WATCOM International Corporation.                            *
**********************************************************************

Modified        By              Reason
--------        --              ------
94/01/25        Greg Bentz      Initial Implementation
95/09/28        J.W.Welch       Call exit if debugger active
*/

#include <cpplib.h>
#include <process.h>
#include "exitwmsg.h"

void CPPLIB(fatal_runtime_error)(   // FATAL RUNTIME ERROR
    char *msg,                      // - diagnostic message
    int code )                      // - exit code
{
    if( __EnterWVIDEO( msg ) ) {
        exit( code );
    } else {
        __exit_with_msg( msg, code );
    }
}
