/*
**********************************************************************
*       Copyright by WATCOM International Corporation, 1987, 1992.   *
*       All rights reserved. No part of this software may be         *
*       reproduced in any form or by any means - graphic, electronic,*
*       mechanical or otherwise, including, without limitation,      *
*       photocopying, recording, taping or information storage and   *
*       retrieval systems - except with the written permission of    *
*       WATCOM International Corporation.                            *
**********************************************************************

LJMPINIT -- initialization of longjmp handler
         -- this routine cannot referenced in a dll
         -- it is referenced from compiled code when a setjmp is used
            and there is system-independent exception handling

Modified        By              Reason
--------        --              ------
95/09/27        J.W.Welch       Defined
95/10/02        J.W.Welch       Fixed definition

*/

#include "cpplib.h"
#include "rtexcept.h"
#include "rtinit.h"
extern "C" {
    #include "ljmphdl.h"
};

static void longjmpInit(        // INITIALIZATION FOR longjmp SUPPORT
    void )
{
    __longjmp_handler = (pfun)CPPLIB( lj_handler )();
}

extern "C" XI( CPPDATA( init_longjmp ), longjmpInit, INIT_PRIORITY_THREAD )

#ifdef M_PC_INTEL

#pragma aux CPPDATA(init_longjmp) "_*";

#endif
