// SISEMA.CPP -- static initialization semaphore for multi-threading
//
// 92/10/27  -- G.R.Bentz       -- defined
// 93/03/95  -- Greg Bentz	-- integrated with front end
// 95/06/14  -- Greg Bentz	-- dll linkage

#ifdef __MT__

#include <cpplib.h>
#include <new>

extern "C"
_WPRTLINK
int CPPLIB(static_init)(	    // CHECK STATIC INIT ONCE ONLY BIT
    unsigned char *bits,	    // - bit field to check
    int mask )			    // - mask we are interested in
{
    int retn = 1;

    if( (*bits & mask) == 0 ) {
	_RWD_StaticInitSema.p();
	if( (*bits & mask) == 0 ) {
	    (*bits) |= (unsigned char)mask;
	    retn = 0;
	}
	_RWD_StaticInitSema.v();
    }
    return( retn );
}

#endif
