/*
**********************************************************************
*       Copyright by WATCOM International Corporation, 1987, 1992.   *
*       All rights reserved. No part of this software may be         *
*       reproduced in any form or by any means - graphic, electronic,*
*       mechanical or otherwise, including, without limitation,      *
*       photocopying, recording, taping or information storage and   *
*       retrieval systems - except with the written permission of    *
*       WATCOM International Corporation.                            *
**********************************************************************

THRDDATA -- handle allocation of thread specific data in 32 bit multi-thread
            libraries.  This method is new for 10.0 and is not supported
            under 16 bit OS/2 multi-thread.

Modified        By              Reason
--------        --              ------
93/12/02        Greg Bentz      Defined
*/

#if defined(__MT__) && defined(__386__)
#include "cpplib.h"
#include "rtinit.h"

extern "C"
_WPRTLINK
void CPPLIB(multi_thread_init)( // MULTI-THREAD INITIALIZATION
    void )
{
    _wint_thread_data_offset =
        __RegisterThreadDataSize( sizeof( THREAD_CTL ) );
}

#endif
