/*
**********************************************************************
*       Copyright by WATCOM International Corporation, 1987, 1992.   *
*       All rights reserved. No part of this software may be         *
*       reproduced in any form or by any means - graphic, electronic,*
*       mechanical or otherwise, including, without limitation,      *
*       photocopying, recording, taping or information storage and   *
*       retrieval systems - except with the written permission of    *
*       WATCOM International Corporation.                            *
**********************************************************************

UNDEFMBD -- used to resolve unreferenced (by user code) references to
            static member data
         -- required because there are debug references to the data
         -- cannot reside in DLL

Modified        By              Reason
--------        --              ------
95/01/11        A.F.Scian       defined
95/09/25        J.W.Welch       Removed #pragma for naming convention
                                Added conditional mangling for now
*/
#include <cpplib.h>

extern "C" {

#ifdef M_PC_INTEL
    int CPPDATA_LIB( undefined_member_data );
#else
    int CPPDATA( undefined_member_data );
#endif

};
