// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// %     Copyright (C) 1992, by WATCOM International Inc.  All rights    %
// %     reserved.  No part of this software may be reproduced or        %
// %     used in any form or by any means - graphic, electronic or       %
// %     mechanical, including photocopying, recording, taping or        %
// %     information storage and retrieval systems - except with the     %
// %     written permission of WATCOM International Inc.                 %
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//
//  Modified    By              Reason
//  ========    ==              ======
//  94/04/21	Kevin Hui	Initial implementation
//  95/05/19	Greg Bentz	dll linkage

#include "strng.h"

_WPRTLINK String operator + ( const String &l, char r ) {
/******************************************************/
// Concatenate operator: String + character

    // If "l" is an empty string, just use "r":
    if( l.__slength == 0 ) {
        String result( r );
        return( result );
    }

    // If "r" is a null char, just use "l":
    if( r == '\0' ) {
	String result( l );
	return( result );
    }

    // Append "r" to "l" giving "*this":
    String result;

    result.__JoinStrings( l.__srep->__value + l.__offset,
                          l.__slength,
			  &r,
			  1 );
    return( result );
}
