#ifndef __NTEX_INCLUDED__
#define __NTEX_INCLUDED__

#include "variety.h"

typedef struct _REGISTRATION_RECORD {
    struct _REGISTRATION_RECORD	*RegistrationRecordPrev;
    void			*RegistrationRecordFilter;
} REGISTRATION_RECORD;

#define __EXCEPTION_RECORD struct _REGISTRATION_RECORD

_WCRTLINK void __NewExceptionHandler( REGISTRATION_RECORD * );
_WCRTLINK void __DoneExceptionHandler( void );

struct dirent;

int __NTAtMaxFiles( void );
void __GetNTCreateAttr( int mode, LPDWORD desired_access, LPDWORD attr );
extern void __GetNTAccessAttr( int rwmode, LPDWORD desired_access, LPDWORD attr );
extern void __GetNTShareAttr( int share, LPDWORD share_mode );
extern void __MakeDOSDT( FILETIME *NT_stamp, unsigned short *d, unsigned short *t );
extern void __FromDOSDT( unsigned short d, unsigned short t, FILETIME *NT_stamp );
void __GetNTDirInfo( struct dirent *dirp, LPWIN32_FIND_DATA ffb );
void _w__GetNTDirInfo( struct _wdirent *dirp, LPWIN32_FIND_DATA ffb );
BOOL __NTFindNextFileWithAttr( HANDLE h, DWORD attr, LPWIN32_FIND_DATA ffb );
BOOL _w__NTFindNextFileWithAttr( HANDLE h, DWORD attr, LPWIN32_FIND_DATA ffb );
void __NTInitFileHandles( void );
int __NTGetFileHandleIndex( int h );
int __NTAddFileHandle( int h );
int __NTAddSpecificFileHandle( HANDLE h, int hid );
void __NTRemoveFileHandle( int h );
int __NTGetFakeHandle( void );
int __NTRealKey( INPUT_RECORD * );
HANDLE __NTConsoleInput( void );
HANDLE __NTConsoleOutput( void );

extern HANDLE *__FileHandleIDs;

#define HANDLE_OF(dirp)	( *( HANDLE * )( &(((char *)(dirp))[0]) ) )
#define	BAD_HANDLE	((HANDLE)(~0))
#define ATTR_OF(dirp)  ( *( DWORD * )( &(((char *)(dirp))[4]) ) )
#define NT_STDIN_FILENO (__FileHandleIDs[ STDIN_FILENO ])
#define NT_STDOUT_FILENO (__FileHandleIDs[ STDOUT_FILENO ])
#define NT_STDERR_FILENO (__FileHandleIDs[ STDERR_FILENO ])
#endif
