#ifndef _OSTHREAD_H_INCLUDED
// include Operating System specific header files required for threads

#include "variety.h"
#if defined(__QNX__)
  #include <semaphor.h>
#elif defined(__NT__)
  #include <windows.h>
  #include <ntex.h>
#elif defined(__OS2__)
  #ifndef OS2_INCLUDED
    #define INCL_DOSEXCEPTIONS
    #include <wos2.h>
  #endif
  #ifdef OS2_INCLUDED
    #if defined(__386__) || defined(__PPC__)
      #undef  __EXCEPTION_RECORD
      #define __EXCEPTION_RECORD EXCEPTIONREGISTRATIONRECORD
    #endif
  #endif
#endif
#include <thread.h>

#define _OSTHREAD_H_INCLUDED
#endif
