;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%	 Copyright (C) 1990 by WATCOM Systems Inc. All rights	   %
;%	 reserved. No part of this software may be reproduced	   %
;%	 in any form or by any means - graphic, electronic or	   %
;%	 mechanical, including photocopying, recording, taping	   %
;%	 or information storage and retrieval systems - except	   %
;%	 with the written permission of WATCOM Systems Inc.	   %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  Modified:	by:		reason:
;  ---------	---		-------
;  12-apr-90	F.W.Crigger	replacement for C version
;  20-mar-91	F.W.Crigger	traceable stack frames added with prolog/epilog
;  03-sep-91	J.B.Schueler	added __8087 xref
;  12-mar-95	Greg Bentz	remove _ from "C" symbols, wasm version check
;
ifdef __386__
 include mdef.inc
 .387
else
 include mdef.inc
 .8087
endif
include struct.inc
include math387.inc

	xref		IF@DATAN2
	xref		__@DSQRT
	xref		__8087	; indicate that NDP instructions are present

	modstart	asin387

    if __WASM__ ge 100
	xdefp	"C",asin	; double asin( double x )
    else
	xdefp	<"C",asin>	; double asin( double x )
    endif

;
;	asin(x) = atan( x / sqrt( 1 - x*x ) );
;

	public	IF@DASIN	; double asin( double x )
	public	IF@ASIN 	; double asin( double x )
	defp	IF@DASIN
	defp	IF@ASIN
ifndef __386__
	prolog
endif
	fld	st(0)		; duplicate x
	fmul	st(0),st	; calc. x * x
	fld1			; 1.0
	fsubrp	st(1),st	; 1.0 - x * x
	mov	AL,FUNC_ASIN	; indicate ASIN function
	call	__@DSQRT	; calculate sqrt( 1.0 - x * x )
	cmp	AL,0		; if no error
	_if	e		; then
	  fxch	  st(1) 	; - flip arguments around
;;;	   fpatan		; - atan( x / sqrt( 1.0 - x * x ) )
	  call	  IF@DATAN2	; - atan2( x, sqrt( 1.0 - x * x ) );
	_endif			; endif
ifndef __386__
	epilog
endif
	ret			; return
	endproc IF@ASIN
	endproc IF@DASIN


;  input:	x - on the stack
;  output:	arcsin of x in st(0)
;
	defp	asin
ifdef __386__
	fld	qword ptr 4[ESP]; load argument x
	call	IF@DASIN	; calculate asin(x)
	loadres 		; load result
else
if _MODEL and _BIG_CODE
argx	equ	6
else
argx	equ	4
endif
	prolog
	fld	qword ptr argx[BP]; load argument x
	call	IF@DASIN	; calculate asin(x)
	epilog
endif
	ret_pop 8		; return
	endproc asin

	endmod
	end
