;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%	 Copyright (C) 1991 by WATCOM Systems Inc. All rights	   %
;%	 reserved. No part of this software may be reproduced	   %
;%	 in any form or by any means - graphic, electronic or	   %
;%	 mechanical, including photocopying, recording, taping	   %
;%	 or information storage and retrieval systems - except	   %
;%	 with the written permission of WATCOM Systems Inc.	   %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  Modified:	by:		reason:
;  ---------	---		-------
;  20-sep-91	F.W.Crigger	Initial implementation
;
ifdef __386__
 include mdef.inc
 .387
else
 include mdef.inc
 .8087
endif
include struct.inc
include math387.inc

	xref		IF@DATAN
	xref		IF@DATAN2

	modstart	atanl87

	xdefp	atanl_	; long double atanl( long double x )
	xdefp	atan2l_	; long double atan2l( long double y, long double x )

ifndef __386__
if _MODEL and _BIG_CODE
argx	equ	6
else
argx	equ	4
endif
endif


;  input:	x - on the stack
;  output:	arctan of x in st(0)
;
	defp	atanl_
ifdef __386__
	fld	tbyte ptr 4[ESP]; load x
	call	IF@DATAN	; calculate atan(x)
	loadres 		; load result
else
	push	BP		; save BP
	mov	BP,SP		; get access to parms
	fld	tbyte ptr argx[BP]; load argument x
	call	IF@DATAN	; calculate atan(x)
	pop	BP		; restore BP
endif
	ret_pop _POP_LD_	; return
	endproc atanl_

	defp	atan2l_
ifdef __386__
	fld	tbyte ptr 4+12[ESP]; load x
	fld	tbyte ptr 4[ESP]; load y
	call	IF@DATAN2	; calculate atan2(y,x)
	loadres 		; load result
else
	push	BP		; save BP
	mov	BP,SP		; get access to stack
	fld	tbyte ptr argx+10[BP]; load x
	fld	tbyte ptr argx[BP]; load y
	call	IF@DATAN2	; calculate atan2(y,x)
	pop	BP		; restore BP
endif
	ret_pop _POP_LD_*2	; return
	endproc atan2l_

	endmod
	end
