;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%       Copyright (C) 1986,1987 by WATCOM Systems Inc. All rights %
;%       reserved. No part of this software may be reproduced      %
;%       in any form or by any means - graphic, electronic or      %
;%       mechanical, including photocopying, recording, taping     %
;%       or information storage and retrieval systems - except     %
;%       with the written permission of WATCOM Systems Inc.        %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  Modified:    by:             reason:
;  ---------    ---             -------
;   12-oct-87   F.W.Crigger     initial implementation for C Library
;   13-mar-89   F.W.Crigger     Adapted for 386
;
include mdef.inc

.287
        modstart        log87
        xdefp   __log87         ; calc log(fac1)


        defp    __log87
        fldln2                  ; load ln(2)
        push    EBP             ; save BP
        mov     EBP,ESP         ; get access to stack
        push    EDX             ; push argument
        push    EAX             ; . . .
        fld     qword ptr -8[EBP]; load argument
        fyl2x                   ; ln(x) = ln(2) * log2(x)
        fstp    qword ptr -8[EBP]; store result
        fwait                   ; wait
        pop     EAX             ; load result
        pop     EDX             ; . . .
        pop     EBP             ; restore BP
        ret                     ; return
        endproc __log87

        endmod
        end
