;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%	 Copyright (C) 1990 by WATCOM Systems Inc. All rights	   %
;%	 reserved. No part of this software may be reproduced	   %
;%	 in any form or by any means - graphic, electronic or	   %
;%	 mechanical, including photocopying, recording, taping	   %
;%	 or information storage and retrieval systems - except	   %
;%	 with the written permission of WATCOM Systems Inc.	   %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  modified:	by:		reason:
;  ---------	---		-------
;  23-feb-90	F.W.Crigger	Initial implementation
;  01-apr-90	F.W.Crigger	__sqrtd added for /fpc math library
;  22-jun-93	Greg Bentz	wasm doesn't like leading digits
;  29-nov-95	Greg Bentz	migrated from emu to mathlib
;
;
include mdef.inc
include struct.inc

	xref	__iFDLD
	xref	__iLDFD

	modstart  sqrt386

	xdefp	__sqrtd

;
;      double __sqrtd( double EDX EAX );
;

	defp	__sqrtd
	push	EDX			; make double parm addressable
	push	EAX			; ...
	mov	EAX,ESP			; get address of first parm
	sub	ESP,12			; allocate space for long double
	mov	EDX,ESP			; point EDX to long double
	call	__iFDLD			; convert double to long double
	mov	EAX,ESP			; point to long double
	call	__sqrt			; calculate square root
	mov	EAX,ESP			; point to long double
	mov	EDX,ESP			; get address of double
	add	EDX,12			; ...
	call	__iLDFD			; convert it to double
	add	ESP,12			; remove long double from stack
	pop	EAX			; pop double into return regs
	pop	EDX			; ...
	ret				; return
	endproc __sqrtd

include xception.inc
include fstatus.inc
include 386sqrt.inc

	endmod
	end
