;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%	 Copyright (C) 1994 by WATCOM International Inc. All rights%
;%	 reserved. No part of this software may be reproduced	   %
;%	 in any form or by any means - graphic, electronic or	   %
;%	 mechanical, including photocopying, recording, taping	   %
;%	 or information storage and retrieval systems - except	   %
;%	 with the written permission of WATCOM International Inc.  %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  Modified:	by:		reason:
;  ---------	---		-------
;  30-jun-94	F.W.Crigger	Initial implementation
;  12-mar-95	Greg Bentz	remove _ from "C" symbols, wasm version check
;
ifdef __386__
 include mdef.inc
 .387
else
 include mdef.inc
 .8087
endif
include struct.inc
include math387.inc

	xref		IF@DCOS
	xref		IF@DSIN
	xref		IF@DTAN

	modstart	trigl87

    if __WASM__ ge 100
	xdefp	"C",_cosl	; long double _cosl( long double x )
	xdefp	"C",_sinl	; long double _sinl( long double x )
	xdefp	"C",_tanl	; long double _tanl( long double x )
    else
	xdefp	<"C",_cosl>	; long double _cosl( long double x )
	xdefp	<"C",_sinl>	; long double _sinl( long double x )
	xdefp	<"C",_tanl>	; long double _tanl( long double x )
    endif

;  input:	x - on the stack
;  output:	cos of x in st(0)
;
	defp	_cosl
ifdef __386__
	fld	tbyte ptr 4[ESP]; load argument x
	call	IF@DCOS		; calculate cos(x)
	loadres 		; load result
else
 if _MODEL and _BIG_CODE
  argx	equ	6
 else
  argx	equ	4
 endif
	prolog
	fld	tbyte ptr argx[BP]; load argument x
	call	IF@DCOS		; calculate cos(x)
	epilog
endif
	ret_pop _POP_LD_	; return
	endproc _cosl

;  input:	x - on the stack
;  output:	sin of x in st(0)
;
	defp	_sinl
ifdef __386__
	fld	tbyte ptr 4[ESP]; load argument x
	call	IF@DSIN		; calculate sin(x)
	loadres 		; load result
else
	prolog
	fld	tbyte ptr argx[BP]; load argument x
	call	IF@DSIN		; calculate sin(x)
	epilog
endif
	ret_pop _POP_LD_	; return
	endproc _sinl

;  input:	x - on the stack
;  output:	tan of x in st(0)
;
	defp	_tanl
ifdef __386__
	fld	tbyte ptr 4[ESP]; load argument x
	call	IF@DTAN		; calculate tan(x)
	loadres 		; load result
else
	prolog
	fld	tbyte ptr argx[BP]; load argument x
	call	IF@DTAN		; calculate tan(x)
	epilog
endif
	ret_pop _POP_LD_	; return
	endproc _tanl

	endmod
	end
