/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  10-dec-87	F.W.Crigger	Initial implementation
  11-jul-90	F.W.Crigger	added float prefix for 8087 fixups
  20-mar-91	F.W.Crigger	added 0x9b to fclex instruction
  02-jul-91	J.B.Schueler	macrotized read/write data reference
--------------------------------------------------------Version-11.0---------
  06-jun-95	Greg Bentz	variety.h and dll linkage
*/
#include "variety.h"
#include <math.h>
#include "rtdata.h"

extern	void	__fclex(), __fstsw();

#if defined(__386__)
#pragma aux	__fclex = 0xdb 0xe2;
#pragma aux	__fstsw = 0x36 0xdd 0x3f 0x9b parm caller [edi];
			/* fstsw ss:[edi] */
			/* fwait	 */
#else
#pragma aux	__fclex = float 0x9b 0xdb 0xe2;
#pragma aux	__fstsw = 0x95			/* xchg ax,bp */\
			  float 0x9b 0xdd 0x7e 0x00  /* fstsw 0[bp]*/\
			  float 0x9b 0xd9 0xd0	/* fnop       */\
			  0x95			/* xchg ax,bp */\
			  parm caller [ax];
#endif


_WMRTLINK unsigned _status87()
/******************/
{
    auto int status;

    status = 0;
    if( _RWD_8087 ) {
	__fstsw( &status );
    }
    return( status );
}


_WMRTLINK unsigned _clear87()
/*****************/
{
    register int status;

    status = 0;
    if( _RWD_8087 ) {
	status = _status87();
	__fclex();
    }
    return( status );
}
