/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1986, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  11-aug-87     F.W.Crigger     Initial implementation in C
  91-jan-04     John Dahms      Made IF@ routines conform to new code generator
--------------------------------------------------------Version-11.0---------
  06-jun-95	Greg Bentz	variety.h and dll linkage
  19-sep-95	Greg Bentz	modify name of IF@ functions for alpha
  28-may-96	Greg Bentz	fixup _IF_ function modifiers
*/
#include "variety.h"
#include <math.h>
#include <ifprag.h>

        
_WMRTLINK extern double _IF_dfabs( double );
#if defined(_M_IX86)
  #pragma aux (if_rtn) _IF_fabs "IF@FABS";
  #pragma aux (if_rtn) _IF_dfabs "IF@DFABS";
#endif

_WMRTLINK float _IF_fabs( float x )
/*********************/
    {
        if( x < 0.0f ) x = - x;
        return( x );
    }
    
_WMRTLINK double (fabs)( double x )
/***********************/
    {
        return( _IF_dfabs( x ) );
    }
    

_WMRTLINK double _IF_dfabs( double x )
/*********************/
    {
        if( x < 0.0 ) x = - x;
        return( x );
    }
