/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1986, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  16-jan-87	A.J.Stein	Converted from WSL to C
  30-aug-91	J.B.Schueler	Added "const" attribute to table
--------------------------------------------------------Version-11.0---------
  06-jun-95	Greg Bentz	variety.h and dll linkage

*/
#include "variety.h"

/* floating point powers of 10 table for large powers of 10 */

const short int _BigPow10Table[] = {
	216,	0xF9C6,0x40C6,0x34E9,0x6CC7,	/* 10**216 */
	108,	0x4E12,0xCC83,0x403D,0x565B,	/* 10**108 */
	54,	0xC9CE,0x8814,0xE187,0x4B24,	/* 10**54  */
	27,	0x8402,0xE4FE,0xD971,0x4589,	/* 10**27  */
	14,	0x0000,0x1E90,0xBCC4,0x42D6,	/* 10**14  */
	8,	0x0000,0x0000,0xD784,0x4197,	/* 10**8   */
	4,	0x0000,0x0000,0x8800,0x40C3,	/* 10**4   */
	1,	0x0000,0x0000,0x0000,0x4024	/* 10**1   */
};

