/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1986, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  24-aug-87     A.F.Scian       defined
  06-jan-88     F.W.Crigger     modified way _FrExp works
  10-feb-88     F.W.Crigger     Assembler rtn discarded, done in C now
------------------------------------------------------------Version 6.5-----
  19-oct-88     F.W.Crigger     exponent returned was wrong if # was -ve
--------------------------------------------------------Version-11.0---------
  06-jun-95	Greg Bentz	variety.h and dll linkage
*/
#include "variety.h"
#include <math.h>


_WMRTLINK double frexp( double value, int *exp )
/************************************/
    {
        register int n;
        auto    union {
                        double x;
                        unsigned short int a[4];
                } u;

        n = 0;
        u.x = value;
        if( value != 0.0 ) {
            n = (u.a[3] & 0x7ff0) >> 4;
            n -= 0x03fe;
            u.a[3] &= 0x800f;
            u.a[3] |= 0x3fe0;
        }
        *exp = n;
        return( u.x );
    }
