/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  27-sep-90     F.W.Crigger     Initial implementation
  20-dec-90     F.W.Crigger     IF@DLOG2 entry added
--------------------------------------------------------Version-11.0---------
  06-jun-95	Greg Bentz	variety.h and dll linkage
*/
#include "variety.h"
#include <math.h>
#include "mathcode.h"

#define log2_of_e    1.44269504888963407

#if defined(_M_IX86)
  #pragma aux __log2 "IF@DLOG2";
#endif

_WMRTLINK double __log2( double x )
    {
        return( log2( x ) );
    }

_WMRTLINK double log2( double x )
/*********************/
{
    if( x <= 0.0 ) {
//        x = _matherr( x == 0.0 ? SING : DOMAIN, "log2", &x, &x, -HUGE_VAL );
        x = __log87_err( x, FUNC_LOG2 );
    } else {
        x =  log(x) * log2_of_e;
    }
    return( x );
}
