/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1986, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  24-aug-87     A.F.Scian       defined
  06-jan-88     F.W.Crigger     interface to asm code changed
  13-sep-92	B.J. Stecher	clean up warnings
--------------------------------------------------------Version-11.0---------
  28-apr-95	Greg Bentz	variety.h for near/far and composite macros
  06-jun-95	Greg Bentz	dll linkage
*/
#include "variety.h"
#include <math.h>

extern  void    _ModF( double _WCNEAR *x, double _WCNEAR *ipart);
#if defined(__386__)
  #pragma aux     _ModF "_*" parm caller [eax] [edx];
#elif defined(M_I86)
  #pragma aux     _ModF "_*" parm caller [ax] [dx];
#endif

_WMRTLINK double modf( double x, double *iptr )
/***********************************/
    {
        auto    double value;
        auto    double ipart;

        value = x;
        _ModF( (double _WCNEAR *)&value, (double _WCNEAR *)&ipart );
        *iptr = ipart;
        return( value );
    }
