;========================================================================
;==     Name:           FDN                                            ==
;==     Operation:      Floating double negate                         ==
;==     Inputs:         AX      high word of float                     ==
;==     Outputs:        AX      new high word of float                 ==
;==     Volatile:       none                                           ==
;==     Date:           By:             Reason:                        ==
;==     10-jan-87       John Dahms      Initial implementation         ==
;==---------------------------------------------------Version 11.0-----==
;==	25-nov-95	Greg Bentz	wasm export support            ==
;========================================================================
include mdef.inc
include struct.inc

        modstart        fdn

        xdefp   __FDN

        defpe	__FDN
        test    ax,ax           ; if non zero number then
	_if	e
	  test	dx,dx
	  _if	e
	    test bx,bx
	    _if e
	      test cx,cx
	    _endif
	  _endif
	_endif
        _if     ne              ; ...
          xor   ah,80h          ; - flip the sign bit
        _endif                  ; endif
        ret                     ; and return!!!
        endproc __FDN

        endmod
        end
