;========================================================================
;==     Name:           FDN                                            ==
;==     Operation:      Floating double negate                         ==
;==     Inputs:         EDX     high word of float                     ==
;==     Outputs:        EDX     new high word of float                 ==
;==     Volatile:       none                                           ==
;==     Date:           By:             Reason:                        ==
;==     10-jan-87       John Dahms      Initial implementation         ==
;==     10-mar-89       F.W.Crigger     Adapted for 386                ==
;==----------------------------------------------------Version 11.0----==
;==	25-nov-95	Greg Bentz	wasm export support            ==
;========================================================================
include mdef.inc
include struct.inc

        modstart        fdn

        xdefp   __FDN

        defpe	__FDN
        test    EDX,EDX         ; if non zero number then
	_if	e
	  test	EAX,EAX
	_endif
        _if     ne              ; ...
          xor   EDX,80000000h   ; - flip the sign bit
        _endif                  ; endif
        ret                     ; and return!!!
        endproc __FDN

        endmod
        end
