/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  17-mar-87     F.W.Crigger     Initial implementation
  11-Jun-92	D. Wellstood	Unicode support
  02-mar-94	Greg Bentz	add _tolower
--------------------------------------------------------Version-11.0---------
  23-feb-95	M. Hildebrand	Changed from UNICODE.H to WIDECHAR.H.
  24-apr-95	M. Hildebrand	towlower returns a wint_t.
  22-may-95	Greg Bentz	variety.h and dll linkage
  21-sep-95	M. Hildebrand	Added _u version, which calls wide version.
  03-jan-96	Greg Bentz	remove stubs that are now aliases
*/

#include "variety.h"
#include "widechar.h"
#include <ctype.h>
#include <wchar.h>

#ifdef __NETWARE__
 #ifndef _WCTYPE_T_DEFINED
  #define _WCTYPE_T_DEFINED
  #define _WCTYPE_T_DEFINED_
  typedef long wint_t;
  typedef int wctype_t;
 #endif
#endif


#ifdef __WIDECHAR__
 _WCRTLINK wint_t towlower( wint_t c ) {
#else
 _WCRTLINK int tolower( int c ) {
#endif
    if( c >= 'A' && c <= 'Z' ) {
	c = c - 'A' + 'a';
    }
    return( c );
}
