/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
  %     reserved.  No part of this software may be reproduced or        %
  %     used in any form or by any means - graphic, electronic or       %
  %     mechanical, including photocopying, recording, taping or        %
  %     information storage and retrieval systems - except with the     %
  %     written permission of Watcom International Inc.                 %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
  Date		By		Reason
  ----		--		------
--------------------------------------------------------Version-11.0---------
  06-mar-95	M. Hildebrand	Initial implementation.
  22-may-95	Greg Bentz	variety.h and dll linkage
*/

#include "variety.h"
#include <string.h>
#include <wchar.h>
#include "wctype.h"



/****
***** Return a type ID usable by iswctype on success, or zero on error.
****/

_WCRTLINK wctype_t wctype( const char *property )
{
    if( !strcmp( property, "alnum" ) )   return( WCTYPE_ALNUM );
    if( !strcmp( property, "alpha" ) )   return( WCTYPE_ALPHA );
    if( !strcmp( property, "cntrl" ) )   return( WCTYPE_CNTRL );
    if( !strcmp( property, "digit" ) )   return( WCTYPE_DIGIT );
    if( !strcmp( property, "graph" ) )   return( WCTYPE_GRAPH );
    if( !strcmp( property, "lower" ) )   return( WCTYPE_LOWER );
    if( !strcmp( property, "print" ) )   return( WCTYPE_PRINT );
    if( !strcmp( property, "punct" ) )   return( WCTYPE_PUNCT );
    if( !strcmp( property, "space" ) )   return( WCTYPE_SPACE );
    if( !strcmp( property, "upper" ) )   return( WCTYPE_UPPER );
    if( !strcmp( property, "xdigit" ) )  return( WCTYPE_XDIGIT );
    return( 0 );
}
