/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  13-jan-90	J.B.Schueler	PQNX version using POSIX I/O
--------------------------------------------------------Version-11.0---------
  22-may-95	Greg Bentz	variety.h and dll linkage

*/

#include "variety.h"
#include <conio.h>
#include <unistd.h>
#include <termios.h>


extern unsigned    _cbyte;

_WCRTLINK int (getch)()
{
    auto char buf[1];
    register unsigned int c;
    struct termios  old, new;

    c = _cbyte;
    _cbyte = 0;
    if( c == 0 ) {
	tcgetattr( STDIN_FILENO, &old );
	new = old;
	new.c_iflag &= ~(IXOFF | IXON);
	new.c_lflag &= ~(ECHO | ICANON | NOFLSH);
	new.c_lflag |= ISIG;
	new.c_cc[VMIN] = 1;
	new.c_cc[VTIME] = 0;
	tcsetattr( STDIN_FILENO, TCSADRAIN, &new );
	read( STDIN_FILENO, &buf, 1 );	/* must be read with no echo */
	c = buf[0];
	tcsetattr( STDIN_FILENO, TCSADRAIN, &old );
    }
    return( c );
}
