/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  01-sep-87	F.W.Crigger	Initial implementation
  26-jan-88	F.W.Crigger	add check for _cbyte
--------------------------------------------------------------Version 8.5----
  05-aug-91	C.G.Eisler	default windowing system for Windows
--------------------------------------------------Version 9.0----------
  15-dec-91	C.G.Eisler	multiple windowing
  21-oct-92	Craig Eisler	ANSI function names for default windowing
--------------------------------------------------------Version-11.0---------
  22-may-95	Greg Bentz	variety.h and dll linkage
*/
#include "variety.h"
#include "dos.h"
#include "rtdata.h"
#include "defwin.h"

#ifndef DEFAULT_WINDOWING
    extern	signed char _kbhit();

    #pragma aux	_kbhit = 0xb4 0x0b	/* mov ah,0bh */\
			 0xcd 0x21	/* int 21h    */\
			 value [al];
#endif

_WCRTLINK int kbhit()
    {
	if( _RWD_cbyte != 0 ) return( 1 );
	#ifdef DEFAULT_WINDOWING
	    if( _WindowsKbhit != 0 ) {
		LPWDATA	res;
		res = _WindowsIsWindowedHandle( STDIN_FILENO );
		return( _WindowsKbhit( res ) );
	    } else {
		return( 0 );
	    }
	#else
	    return( _kbhit() );
	#endif
    }
