/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  09-aug-89     John Dahms      defined for OS/2
--------------------------------------------------Version 8.5----------
  09-jul-91     G. Coschi       support OS/2 2.0
  15-may-92     D.J.Gaudet      fixed OS/2 2.0 support
  15-mar-93     J.B.Schueler    under DOS execution mode, use DOS call since MS
                                implements KbdPeek in terms of BIOS INT 16 calls
  26-jan-94	Kevin Hui	support default windowing
--------------------------------------------------------Version-11.0---------
  20-mar-95	M. Hildebrand	Undefine CHAR_TYPE before including rtdata.h, so
				sigdefn.h won't complain.
  22-may-95	Greg Bentz	variety.h and dll linkage
*/
#include "variety.h"
#include <stdlib.h>
#define INCL_16
#define INCL_SUB
#include <wos2.h>
#include "rtdata.h"
#include "defwin.h"

#if defined(__OS2_286__)
    extern  signed char _kbhit();
    #pragma aux     _kbhit = 0xb4 0x0b      /* mov ah,0bh */\
			     0xcd 0x21      /* int 21h    */\
			     value [al];
#endif

_WCRTLINK int kbhit()
    {
        KBDKEYINFO  info;

        if( _RWD_cbyte != 0 ) return( 1 );
	if( _WindowsKbhit != 0 ) {	// Default windowing
	    LPWDATA	res;
	    res = _WindowsIsWindowedHandle( (int) STDIN_FILENO );
	    return( _WindowsKbhit( res ) );
	} 
	#if defined(__OS2_286__)
	    if( _RWD_osmode == DOS_MODE ) {
		return( _kbhit() );
	    }
	    KbdPeek( &info, 0 );
	    return( ( info.fbStatus & 0xe0 ) != 0 );
	#else
	    KbdPeek( &info, 0 );
	    return( ( info.fbStatus & 0xe0 ) != 0 );
	#endif
    }
