/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %       Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
   %       reserved. No part of this software may be reproduced      %
   %       in any form or by any means - graphic, electronic or      %
   %       mechanical, including photocopying, recording, taping     %
   %       or information storage and retrieval systems - except     %
   %       with the written permission of WATCOM Systems Inc.        %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
   01-aug-91	Craig Eisler	initial implementation
---------------------------------------------------------Version 9.0--------
   10-oct-91	G. Coschi	modifications for OS/2 PM
   15-dec-91	Craig Eisler	multiple windowing
---------------------------------------------------------Version 9.x--------
   27-mar-92	Craig Eisler	NT version
   21-oct-92	Craig Eisler	ANSI function names
--------------------------------------------------------Version-11.0---------
   18-apr-95	M. Hildebrand	Fixed a _dwShutDown bug.
*/

#include "variety.h"
#if defined( __OS2__ )
  #define INCL_WIN
  #include <wos2.h>
#endif
#include "win.h"

#if defined( __OS2__ )
HAB	_AnchorBlock;
HWND	_MainFrameWindow;
#else
#if 0
/* these literal strings were placed inline in the calls in winmain.c */
char _MenuFlush[] = "&Clear";
char _MenuWrite[] = "&Save As ...";
char _MenuSetClearInt[] = "Set &Lines Between Auto-Clears ...";
char _MenuExit[] = "E&xit";
char _MenuFile[] = "&File";
char _MenuCopy[] = "&Copy";
char _MenuEdit[] = "&Edit";
char _MenuHelp[] = "&Help";
char _MenuWindows[] = "&Windows";
char _MenuAbout[] = "&About...";
#endif
HFONT _FixedFont;
HMENU _MainMenu,_SubMenuEdit,_SubMenuWindows;

#define IL 0x54
#define IM 0xA8
#define IH 0xFF

DWORD _ColorMap[16] = {
RGB(0,0,0),
RGB(0,0,IM),
RGB(0,IM,0),
RGB(0,IM,IM),
RGB(IM,0,0),
RGB(IM,0,IM),
RGB(IM,IL,0),
RGB(IM,IM,IM),
RGB(IL,IL,IL),
RGB(IL,IL,IH),
RGB(IL,IH,IL),
RGB(IL,IH,IH),
RGB(IH,IL,IL),
RGB(IH,IL,IH),
RGB(IH,IH,IL),
RGB(IH,IH,IH)
};
#endif
HWND		_MainWindow;
int		_MainWindowDestroyed = 0;
LPMWDATA	_MainWindowData;
char 		*_ClassName;
DWORD		_AutoClearLines = DEFAULT_CLEAR_INTERVAL;
BOOL		_GotEOF=FALSE;
