/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %       Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
   %       reserved. No part of this software may be reproduced      %
   %       in any form or by any means - graphic, electronic or      %
   %       mechanical, including photocopying, recording, taping     %
   %       or information storage and retrieval systems - except     %
   %       with the written permission of WATCOM Systems Inc.        %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
   930305   	Alex Brodsky	Initial Implementation
   21-apr-95	Greg Bentz	variety.h for near/far and composite macros
*/
#include "variety.h"
#if defined( __OS2__ )
#define INCL_WIN
#include <wos2.h>

/*
 * Below are the general memory manager defines, using these
 * you can specify a different memory manager without
 * modifying the source code. 
 */
#define PMmalloc 	malloc
#define PMrealloc 	realloc
#define PMfree 		free

/*
 * The conversion of the default windowing system from WINDOWS to PM tried
 * not to make to many modifcations.  The following macros handle some
 * minor differences.
 */
#define _FARmemcpy	memcpy
#define MK_FP32( a )	a
#define SLEN( a ) (safeStrLen((a))+0)
#define ADJUST_ITEMLEN( a )
#define ADJUST_BLOCKLEN( a )
#define ROUND_CLASSLEN( a ) a
typedef BYTE INFOTYPE;

/*
 * OS/2 PM defaults,
 */
#define CODE_PAGE	850
#define TEMP_TYPE	0
#define RESERVED	0

/*
 * the pm data structures
 */
typedef DLGTITEM	 	DLGITEMTEMPLATE;

/*
 * these are normally defined in windows.h
 */
typedef void * 		GLOBALHANDLE;
#if !defined( WPI_INTERFAC )
typedef void *		LPVOID;
#endif

extern GLOBALHANDLE _DialogTemplate( USHORT temptype, USHORT codepage, USHORT focus );
extern GLOBALHANDLE _DoneAddingControls( GLOBALHANDLE data );
GLOBALHANDLE _AddControl( GLOBALHANDLE data, long style, USHORT dtx,
			USHORT dty, USHORT dtcx, USHORT dtcy, USHORT id,
			USHORT children, ULONG nclass, char *class,
			char *text, char *presparms, char *ctldata,
			ULONG *ctldatlen );
int _DynamicDialogBox( LPVOID fn, HWND hwnd, GLOBALHANDLE data );

#endif
