/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %       Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
   %       reserved. No part of this software may be reproduced      %
   %       in any form or by any means - graphic, electronic or      %
   %       mechanical, including photocopying, recording, taping     %
   %       or information storage and retrieval systems - except     %
   %       with the written permission of WATCOM Systems Inc.        %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
   27-mar-92	Craig Eisler	split out of win.h; NT version
   23-jun-92	Craig Eisler	new dialog template
   21-oct-92	Craig Eisler	ANSI function names
   21-apr-95	Greg Bentz	variety.h for near/far and composite macros
*/
#if !defined( __OS2__ )

#ifdef __NT__
#define ADJUST_ITEMLEN( a ) a = (((a)+7) & ~7)
#define ADJUST_BLOCKLEN( a ) a = (((a)+3) & ~3)
#define ROUND_CLASSLEN( a ) (((a)+1) & ~1)
#define _FARmemcpy	memcpy
#define MK_FP32( a )	a
#define SLEN( a ) (strlen((a))*2+2)
typedef WORD INFOTYPE;
#else
#define SLEN( a ) (strlen((a))+1)
#define ADJUST_ITEMLEN( a )
#define ADJUST_BLOCKLEN( a )
#define ROUND_CLASSLEN( a ) a
#define _FARmemcpy	_fmemcpy
typedef BYTE INFOTYPE;
#endif

#if defined(__NT__)
    #include <pshpack2.h>
#endif
typedef struct {
long	dtStyle;
#ifdef __NT__
DWORD 	dtExtendedStyle;
WORD	dtItemCount;
#else
BYTE	dtItemCount;
BYTE	filler;
#endif
short	dtX;
short	dtY;
short	dtCX;
short	dtCY;
//char	dtMenuName[];      
//char	dtClassName[];    
//char	dtCaptionText[]; 
} _DLGTEMPLATE;

typedef struct {
short	PointSize;
//char	szTypeFace[];
} FONTINFO; 

typedef struct {
#ifdef __NT__
long	dtilStyle;
DWORD 	dtExtendedStyle;
#endif
short	dtilX;
short	dtilY;
short	dtilCX;
short	dtilCY;
short	dtilID;
#ifndef __NT__
#if !defined(_M_IX86)
short	filler;
#endif
long	dtilStyle;
#endif
#if defined(__NT__)
unsigned short	crap;
#endif
//char	dtilClass[];
//char	dtilText[];
//BYTE	dtilInfo;
//BYTE	dtilData;
} _DLGITEMTEMPLATE;
#if defined(__NT__)
    #include <poppack.h>
#endif

extern GLOBALHANDLE _DialogTemplate( LONG dtStyle, int dtx, int dty, int dtcx,
		       int dtcy, char *menuname, char *classname,
		       char *captiontext, int pointsize, char *typeface );
extern void _DoneAddingControls( GLOBALHANDLE data );
extern GLOBALHANDLE _AddControl( GLOBALHANDLE data, int dtilx, int dtily,
		   int dtilcx, int dtilcy, int id, long style, char *class,
		   char *text, BYTE infolen, char *infodata );
int _DynamicDialogBox( LPVOID fn, HANDLE inst, HWND hwnd, GLOBALHANDLE data );

#endif
