/*
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 %	 Copyright (C) 1989, by WATCOM Systems Inc. All rights	   %
 %	 reserved. No part of this software may be reproduced	   %
 %	 in any form or by any means - graphic, electronic or	   %
 %	 mechanical, including photocopying, recording, taping	   %
 %	 or information storage and retrieval systems - except	   %
 %	 with the written permission of WATCOM Systems Inc.	   %
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
   Modified:	by:		reason:
   ---------	---		-------
   28-dec-89	F.W.Crigger	New implementation
   25-oct-90	J.B.Schueler	Added env_mask to support clearenv, setenv fns
   07-nov-91	F.W.Crigger	Use xinit macro
   28-jul-93	Greg Bentz	merge 286 and 386 versions of environ.asm
--------------------------------------------------------Version-11.0---------
   03-mar-95	Greg Bentz	converted from asm to C
   21-apr-95	Greg Bentz	variety.h for near/far and composite macros
   22-may-95	Greg Bentz	dll linkage
   26-sep-95	M. Hildebrand	Added _wenviron.
*/
#include "variety.h"
#include <stdlib.h>
#include "rtdata.h"
#include "rtinit.h"

_WCRTLINK char ** _WCNEAR environ;		/* pointer to environment table	*/
_WCRTLINK wchar_t ** _WCNEAR _wenviron;	/* pointer to wide char environment */
char * _WCNEAR __env_mask;	/* ptr to char array of flags */

extern void __setenvp( void );

AXI( __setenvp, INIT_PRIORITY_LIBRARY )

#if !defined(__NETWARE__)
extern void __freeenvp( void );
AYI( __freeenvp, INIT_PRIORITY_LIBRARY )
#endif
