/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  02-dec-87	F.W.Crigger	Initial implementation
  28-jan-94	Greg Bentz	added getcmd2
  25-may-94	Greg Bentz	change getcmd2 to _bgetcmd
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  22-may-95	Greg Bentz	dll linkage
  19-sep-95	T. Schiller	modified _bgetcmd to always return the full
				length of the cmd line regardless of how
				many bytes are written into the buffer
*/
#include "variety.h"
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <dos.h>
#include <limits.h>
#include "rtdata.h"

_WCRTLINK int _bgetcmd( char *buffer, int len )
{
    int i;
    int cmdlen;
    char *p;
    char _WCFAR *cmd;

    cmd    = MK_FP( _RWD_psp, 0x0080 );
    cmdlen = *cmd++;

    while ((cmdlen > 0) && isspace(*cmd))
    {
	++cmd;
	--cmdlen;
    }

    if (cmdlen <= 0)
    {
	if (buffer && (len > 0))
	    *buffer = 0x00;

	return 0;
    }

    i = cmdlen;

    if( buffer == 0 ) {
	return( cmdlen );
    } else if( len < 2 ) {
	*buffer = '\0';
	return( cmdlen );
    } else {
	p = buffer;
	if( i >= len ) i = len - 1;
	while( i-- ) {
	    *p++ = *cmd++;
	}
	*p = '\0';
	return cmdlen;
	//return( p - buffer );
    }
}

_WCRTLINK char *getcmd( char *buffer )
{
    _bgetcmd( buffer, INT_MAX );
    return( buffer );
}

