/*
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
  %       reserved. No part of this software may be reproduced      %
  %       in any form or by any means - graphic, electronic or      %
  %       mechanical, including photocopying, recording, taping     %
  %       or information storage and retrieval systems - except     %
  %       with the written permission of WATCOM Systems Inc.        %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  06-mar-92     Craig Eisler	defined for NT
  12-aug-93	F.W.Crigger	modified for OS independent library
  28-jan-94	Greg Bentz	added getcmd2
  25-may-94	Greg Bentz	change getcmd2 to _bgetcmd
--------------------------------------------------------Version-11.0---------
  22-may-95	Greg Bentz	variety.h and dll linkage

*/
#include "variety.h"
#include <limits.h>

extern char *_LpCmdLine;

_WCRTLINK int _bgetcmd( char *buffer, int len )
{
    char *p;
    char *cmd;

    cmd = _LpCmdLine;
    if( cmd == 0 ) {
	if( buffer && len ) {
	    *buffer = '\0';
	}
	return( 0 );
    }
    if( buffer == 0 ) {
	for( p = cmd ; *p ; p++ );
	return( p - cmd );
    } else if( len == 0 ) {
	return( 0 );
    } else {
	p = buffer;
	for( --len ; len ; --len ) {
	    if( !*cmd ) break;
	    *p++ = *cmd++;
	}
	*p = '\0';
	return( p - buffer );
    }
}


_WCRTLINK char *getcmd( char *buffer )
{
    _bgetcmd( buffer, INT_MAX );
    return( buffer );
}

