/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  19-apr-91     C.G.Eisler      Initial implementation
  28-jan-94	Greg Bentz	added getcmd2
  25-may-94	Greg Bentz	change getcmd2 to _bgetcmd
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  22-may-95	Greg Bentz	dll linkage
*/
#include "variety.h"
#include <limits.h>

extern char _WCFAR *_wincmdptr;

_WCRTLINK int _bgetcmd( char *buffer, int len )
{
    char _WCFAR *cmd;

    cmd = _wincmdptr;
    if( cmd == 0 ) {
	if( buffer && len ) {
	    *buffer = '\0';
	}
	return( 0 );
    }
    if( buffer == 0 ) {
	char _WCFAR *p;
	for( p = cmd ; *p ; p++ );
	return( p - cmd );
    } else if( len == 0 ) {
	return( 0 );
    } else {
	char *p;
	p = buffer;
	for( --len ; len ; --len ) {
	    if( !*cmd ) break;
	    *p++ = *cmd++;
	}
	*p = '\0';
	return( p - buffer );
    }
}


_WCRTLINK char *getcmd( char *buffer )
{
    _bgetcmd( buffer, INT_MAX );
    return( buffer );
}

