/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  17-mar-90     F.W.Crigger     defined
--------------------------------------------------Version 8.5----------
  09-jul-91     G. Coschi	support OS/2 2.0
--------------------------------------------------------Version-11.0---------
  22-may-95	Greg Bentz	variety.h and dll linkage
*/
#include "variety.h"
#include <process.h>
#define INCL_DOSPROCESS
#include <wos2.h>


#if defined(__WARP__)

_WCRTLINK int	getpid() {                  /* get process id */

    PTIB	ptib;
    PPIB	ppib;
    
    DosGetInfoBlocks( &ptib, &ppib );
    return( ppib->pib_ulpid );
}

#else

_WCRTLINK int	getpid()                    /* get process id */
    {
        PIDINFO pinfo;

        DosGetPID( &pinfo );
        return( pinfo.pid );
    }
    
#endif
