#ifndef _FINDdotH
#define _FINDdotH

#include <io.h>
#ifdef __NT__
    #include <windows.h>
#else
    #include <dos.h>
#endif


#define FIND_ATTR	(_A_NORMAL | _A_SUBDIR | _A_ARCH | _A_HIDDEN |	\
			 _A_RDONLY | _A_SYSTEM )


#ifdef __NT__

    extern void	    __nt_finddata_cvt( WIN32_FIND_DATA *ffb,
				       struct _finddata_t *fileinfo );
    extern void	    __nt_wfinddata_cvt( WIN32_FIND_DATA *ffb,
					struct _wfinddata_t *fileinfo );
    extern void	    __nt_finddatai64_cvt( WIN32_FIND_DATA *ffb,
					  struct _finddatai64_t *fileinfo );
    extern void	    __nt_wfinddatai64_cvt( WIN32_FIND_DATA *ffb,
					   struct _wfinddatai64_t *fileinfo );
    extern time_t   __nt_filetime_cvt( FILETIME *ft );

#else

    #ifdef __WIDECHAR__
	#define DOSFINDTYPE	struct _wfind_t
    #else
	#define DOSFINDTYPE	struct find_t
    #endif

    extern void	    __dos_finddata_cvt( struct find_t *findbuf,
					struct _finddata_t *fileinfo );
    extern void	    __dos_wfinddata_cvt( struct _wfind_t *findbuf,
					 struct _wfinddata_t *fileinfo );
    extern void	    __dos_finddatai64_cvt( struct find_t *findbuf,
					   struct _finddatai64_t *fileinfo );
    extern void	    __dos_wfinddatai64_cvt( struct _wfind_t *findbuf,
					    struct _wfinddatai64_t *fileinfo );
    extern time_t   __dos_filetime_cvt( unsigned short ftime,
					unsigned short fdate );

#endif


#endif
