#ifndef _RTCHECK_H_INCLUDED
#define _RTCHECK_H_INCLUDED

#include "variety.h"
#include <errno.h>
#include "seterrno.h"


#if ( defined(__NT__) || defined(__NETWARE__) || defined(__RUNTIME_HANDLE_CHECKS__) ) \
    && ( !defined(__QNX__) && !defined(__OSI__) )

    extern unsigned __NFiles;

    #define __handle_check( __h, __r )				\
		    if( (__h) < 0  ||  (__h) > __NFiles ) {	\
			__set_errno( EBADF );			\
			return( __r );				\
		    }

#else

    #define __handle_check( __h, __r )

#endif


#endif
