/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  13-oct-87	F.W.Crigger	Initial implementation
--------------------------------------------------------Version-11.0---------
  28-may-95	Greg Bentz	variety.h and dll linkage
  26-jul-96	M. Hildebrand	Use rtcheck.h support.
*/

#include "variety.h"
#include <stdio.h>
#include "rtcheck.h"

extern	long	filelength(int);
extern	long	tell(int);


_WCRTLINK int eof( int handle )		/* determine if at EOF */
{
    long current_posn, file_len;

    __handle_check( handle, -1 );
    file_len = filelength( handle );
    if( file_len == -1L ) return( -1 );
    current_posn = tell( handle );
    if( current_posn == -1L ) return( -1L );
    if( current_posn == file_len ) return( 1 );
    return( 0 );
}
