/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1992, by WATCOM International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of WATCOM International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
   26-jan-94	Greg Bentz	defined
--------------------------------------------------------Version-11.0---------
   28-may-95	Greg Bentz	variety.h and dll linkage
   22-nov-95	M. Hildebrand	Added _get_osfhandle.
   26-jul-96	M. Hildebrand	Use rtcheck.h support.
*/
#include "variety.h"
#include <errno.h>
#include <unistd.h>
#include "fileacc.h"
#include "rtcheck.h"
#include "seterrno.h"

#if defined(__NT__)
    #include <windows.h>
    #include "ntex.h"
#endif


_WCRTLINK long _get_osfhandle( int handle )
{
    return( (long) _os_handle( handle ) );
}


_WCRTLINK int _os_handle( int handle )
{
    __handle_check( handle, -1 );
    #if defined(__NT__)
	handle = (int)__FileHandleIDs[ handle ];
    #elif defined(__NETWARE__)
	handle = __FileHandles[ handle ];
    #endif
    return( handle );
}
