/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  09-aug-89     John Dahms      defined for OS/2
--------------------------------------------------Version 8.5----------
  09-jul-91     G. Coschi	support OS/2 2.0
--------------------------------------------------------Version-11.0---------
  28-may-95	Greg Bentz	variety.h and dll linkage
  26-jul-96	M. Hildebrand	Use rtcheck.h support.
*/

#include "variety.h"
#include <stdio.h>
#include "fileacc.h"
#include "rtcheck.h"
#include "seterrno.h"
#include <wos2.h>



_WCRTLINK long int tell( int handle )
    {
        APIRET	rc;
        ULONG   fileptr;

	__handle_check( handle, -1 );

        _AccessFileH( handle );
        rc = DosChgFilePtr( handle, 0, SEEK_CUR, &fileptr );
        if( rc != 0 ) {
            __set_errno_dos( rc );
            fileptr = -1;
        }
        _ReleaseFileH( handle );
        return( fileptr );
    }
