/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  29-dec-90     F.W.Crigger     initial implementation
  01-dec-91	F.W.Crigger	parms to __MemFree were backwards
  25-feb-94	Kevin Hui	use _nfree() when segment is _DGroup
--------------------------------------------------------Version-11.0---------
  28-may-95	Greg Bentz	variety.h and dll linkage
*/
#include "dll.h"	// needs to be first
#include "variety.h"
#include <malloc.h>
#include "heap.h"
#include "heapacc.h"


_WCRTLINK void _bfree( __segment seg, void __based(void) *offset )
    {
        _AccessFHeap();
	if( offset != _NULLOFF ) {
	    if( seg == _DGroup() ) {
		_nfree( offset );
	    } else {
		__MemFree( (unsigned)offset, seg, 0 );
	    }
	}
        _ReleaseFHeap();
    }
