/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  24-oct-91     F.W.Crigger     Initial implementation
--------------------------------------------------------Version-11.0---------
  28-may-95	Greg Bentz	variety.h and dll linkage
*/

#include "dll.h"	// needs to be first
#include "variety.h"
#include <malloc.h>
#include "heap.h"

__segment __bheap = 0;

_WCRTLINK __segment _bheapseg( size_t size )
{
    __segment	seg;
    struct heapblk __based(seg) *p;

    seg = __AllocSeg( size );
    if( seg == 0 )  return( _NULLSEG );
    p = 0;
    p->nextseg = __bheap;
    __bheap = seg;
    seg = p->nextseg;
    if( seg != 0 ) {
	p->prevseg = __bheap;
    }
    return( __bheap );
}
