/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1990 by WATCOM Systems Inc. All rights      %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  29-dec-90     F.W.Crigger     initial implementation
  28-oct-91	F.W.Crigger	changed to based pointer syntax
  25-feb-94	Kevin Hui	use _nmalloc if seg is _DGroup
--------------------------------------------------------Version-11.0---------
  28-may-95	Greg Bentz	variety.h and dll linkage
*/
#include "dll.h"	// needs to be first
#include "variety.h"
#include <stddef.h>
#include <stdlib.h>
#include <malloc.h>
#include "heapacc.h"
#include "heap.h"

_WCRTLINK void __based(void) *_bmalloc( __segment seg, size_t amt )
{
    void __based(void)  *ptr;

    if( amt == 0 ) return( _NULLOFF );
    if( seg == _DGroup() ) {
	ptr = (void __based(void) *) _nmalloc( amt );
	return( ( ptr == NULL ) ? _NULLOFF : ptr );
    }
    _AccessFHeap();
    for(;;) {
	ptr = (void __based(void) *)__MemAllocator( amt, seg, 0 );
	if( ptr != 0 ) break;
	ptr = _NULLOFF;
	if( __GrowSeg( seg, amt ) == 0 ) break;
    }
    _ReleaseFHeap();
    return( ptr );
}
