/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1985,1986 by WATCOM Systems Inc. All rights %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  10-jun-88     A.F.Scian       defined
  28-sep-88     A.F.Scian       fixed modify exact in pragma to contain cx
                                fixed fill address by parenthesizing
                                curr + 1 (used to add 1, now adds sizeof(FRL))
  16-aug-89     John Dahms      Added multi-thread & OS/2 support
  30-dec-90     F.W.Crigger     Adapted for new memory manager
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  28-may-95	Greg Bentz	dll linkage
*/
#include "dll.h"	// needs to be first
#include "variety.h"
#include <malloc.h>
#include "heap.h"


#if defined(__BIG_DATA__)
_WCRTLINK int _heapset( unsigned int fill )
{
    return( _fheapset( fill ) );
}
#endif


_WCRTLINK int _fheapset( unsigned int fill )
{
    int		test_heap;

    test_heap = _heapchk();
    if( test_heap != _HEAPOK ) {
	return( test_heap );
    }
    return( __HeapSet( __fheap, fill ) );
}
