/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  17-jan-91     F.W.Crigger     Initial implementation
  28-jan-91	A.F.Scian	changed argument to be a void *
  ---		---		Version 8.5
  11-sep-91	A.F.Scian	adjusted for the allocation tag
--------------------------------------------------------Version-11.0---------
  22-feb-95	Greg Bentz	alpha support
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  28-may-95	Greg Bentz	dll linkage
*/

#include "dll.h"	// needs to be first
#include "variety.h"
#include <malloc.h>
#include "heap.h"


#if defined(__SMALL_DATA__)
_WCRTLINK size_t _msize( void *p )
{
    tag *q;

    q = (tag *)(((unsigned char *)p) - TAG_SIZE);
    return( ( *q & ~1 ) - TAG_SIZE );
}
#endif

_WCRTLINK size_t _nmsize( void _WCNEAR *p )
{
    tag _WCNEAR *q;

    q = (tag _WCNEAR *)(((unsigned char _WCNEAR *)p) - TAG_SIZE);
    return( ( *q & ~1 ) - TAG_SIZE );
}
