/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  20-aug-90	J.B.Schueler	protected mode version for QNX
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  28-may-95	Greg Bentz	dll linkage
*/

#include "variety.h"
#include <i86.h>

#if defined(__386__)
extern	void		_DoINTR( int, union REGPACK * );
#pragma aux		_DoINTR "*_" parm [eax] [edx];
#else
extern	void		_DoINTR( int, union REGPACK _WCFAR * );
#pragma aux		_DoINTR parm [bx] [ax dx] modify [cx si di es];
#endif

_WCRTLINK int (int86x)( int intno,
		union REGS *inregs,
		union REGS *outregs,
		struct SREGS *segregs )
{
    union REGPACK regs;

    regs.w.ax = inregs->w.ax;
    regs.w.bx = inregs->w.bx;
    regs.w.cx = inregs->w.cx;
    regs.w.dx = inregs->w.dx;
/*  regs.w.bp = inregs->w.bp;	no bp in REGS union */
    regs.w.si = inregs->w.si;
    regs.w.di = inregs->w.di;
    regs.w.flags = inregs->w.cflag;
    regs.w.ds = segregs->ds;
    regs.w.es = segregs->es;

    _DoINTR( intno, &regs );

    outregs->w.ax = regs.w.ax;
    outregs->w.bx = regs.w.bx;
    outregs->w.cx = regs.w.cx;
    outregs->w.dx = regs.w.dx;
/*  outregs->w.bp = regs.w.bp;	no bp in REGS union */
    outregs->w.si = regs.w.si;
    outregs->w.di = regs.w.di;
    outregs->w.cflag = regs.w.flags;
    segregs->ds = regs.w.ds;
    segregs->es = regs.w.es;

    return( outregs->w.ax );
}
