/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage

*/

#include "variety.h"
#include <jstring.h>


/**
*
*  Name:	btom
*
*  Synopsis:	nm = btom( s, nb );
*
*		int nm; 	
*		JSTRING s;	
*		int nb; 	oCg
*
*  Description: 񂓂̐擪炎Ŏw肵oCg̊Ԃɂ镶
*		ԂBR[h͂QoCgłPƐB
*
*  Name:	btom
*
*  Synopsis:	nm = btom( s, nb );
*
*		int nm; 	Number of characters
*		JSTRING s;	String
*		int nb; 	Number of bytes
*
*  Description: Return the number of characters between the head of the
*		string specified by s and nb bytes from s. 2-byte KANJI
*		character is treated as one character.
**/

_WCRTLINK size_t btom( const JCHAR *s, int nb )
{
    size_t count;
    const JCHAR *ss;
    JMOJI m;

    count = 0;
    ss = s + nb;
    while( s = jgetmoji( s, &m ), m ) {
	if( s > ss ) break;
	count++;
    }
    return( count );
}
