/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
  01-oct-92	J.B.Schueler	NULL character returns CT_ILGL always
				(as indicated by the documentation)
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage
*/

#include "variety.h"
#include <jstring.h>
#include <jctype.h>

/**
*
*  Name:	chkctype	oCgPʂ̕^Cv𒲂ׂ
*
*  Synopsis:	ret = chkctype( c, mode );
*
*		int ret;	^Cv
*		unsigned char c;ioCgPʁj
*		int mode;	[h
*
*  Description: oCgPʂ̃^Cv𒲂ׂBł
*		ɂPȊO̒l^ƁȂPoCg
*		ǂ𒲂ׁAPoCgȂbsQjiPԂ
*		ȊOȂ΂bsQ`mjԂBɂP
*		^Ɗ̑QoCgǂ𒲂ׁAQoC
*		gȂ΂bsQjiQԂȊOȂ΂bsQh
*		kfkԂB
*		͕̐擪OƂʒu
*		oCgɂă^Cv𒲂ׂB
*
*  Returns:	k̏ꍇ͂bsQhkfkԂB
*		ł͈ʒu܂ł̊ԂɃk
*		ꍇbsQnkfkԂB
*
*
*  Name:	chkctype	Check type of character by byte unit
*
*  Synopsis:	ret = chkctype( c, mode );
*
*		int ret;	Type
*		unsigned char c;Character (byte unit)
*		int mode;	mode
*
*  Description: Check type of character by byte unit. Checktype
*		checks whether c is the first byte of KANJI character
*		when mode is something except 1, if c is the first byte,
*		it returns CT_KJ1. If c is other, it returns CT_ANK.
*		When mode is 1, it checks whether c is the second byte of
*		KANJI character and if c is the second byte of KANJI character,
*		it returns CT_KJ2. If c is other, it returns CT_ILGL.
*		Nthctype checks type of the b th byte of string.
*
*  Returns:	If c is NULL character, chkctype returns CT_ILGL.
*		Nthctype returns CT_ILGL when it find NULL character until
*		the b th byte.
*
**/


_WCRTLINK int chkctype( JCHAR c, int type )
{
    if( c == '\0' ) return( CT_ILGL );			// JBS 92/10/01
    if( type == CT_KJ1 )
	return( iskanji2( c ) ? CT_KJ2 : CT_ILGL );
    else
	return( iskanji( c ) ? CT_KJ1 : CT_ANK );
}
