/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   12-dec-95	M. Hildebrand	Initial implementation.
*/

#include "variety.h"
#include <ctype.h>
#include <mbctype.h>
#include <mbstring.h>


_WCRTLINK int _ismbdxdigit( unsigned int ch )
{
    unsigned int	han;

    if( _ismbclegal( ch ) ) {
	han = _mbdzentohan( ch );
	if( han & (~0xFF) ) {
	    return( 0 );
	} else {
	    return( isxdigit( han ) );
	}
    } else {
	return( isxdigit( ch ) );
    }
}
