/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
  30-sep-92	J.B.Schueler	Revised to parallel ctime (accounts for
				daylight savings)
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage

*/

#include "variety.h"
#include <jtime.h>
#include <time.h>

/**
*
*  Name:	jctime
*
*  Synopsis:	s = jctime( timer )
*
*		char *s;		ASCII 
*		time_t *timer;		bPʂ̎(long ^)
*
*  Description: timer w long int ^̒l jasctime() Ԃ` ASCII
*		ɕϊB
*
*		͎́A GMT ŕ\ĂȂ΂ȂȂB̊֐
*		 timezone Ŏ鎞ƂŁAnZo
*		ĂB
*
*  Name:	jctime
*
*  Synopsis:	s = jctime( timer )
*
*		char *s;		ASCII string returned
*		time_t *timer;		long (seconds) input
*
*  Description: Converts the long integer pointed to by timer to an ASCII
*		string in the form returned by jasctime().
*
*		Note that this function expects its input to be expressed
*		as GMT and it converts to local time by subtracting the
*		timezone bias.
*
**/

_WCRTLINK unsigned char *jctime( const time_t *timer )
{
/* JBS 92/09/30
    time_t x;

    tzset();
    x = *timer - timezone;
    return( jasctime( gmtime( &x ) ) );
*/
    return( jasctime( localtime( timer ) ) );
}
