/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage

*/

#include "variety.h"
#include <jstring.h>

/**
*
*  Name:	jiskana 	SpJ^JiER[h
*
*  Synopsis:	ret = jiskana( c );	(0x8340 <= c <= 0x8396
*					   && c != 0x837f )
*
*		int ret;	ɍĂ΂OȊO̒l
*		JMOJI c;	R[h
*
*  Description: ^ꂽR[hɍĂ邩𒲂ׂB
*		ɍĂꍇ͂OȊOԂAȂꍇ
*		OԂB
*
*  Name:	jiskana 	Check 2-byte KANJI code of katakana
*
*  Synopsis:	ret = jiskana( c );	(0x8340 <= c <= 0x8396
*					   && c != 0x837f )
*
*		int ret;	0 if fault, non-zero if true
*		JMOJI c;	KANJI code
*
*  Description: Check whether the givin character c is 2-byte KANJI code of
*		katakana. It returns non-zero if true, zero if fault.
*		The range of 2-byte KANJI code set is the below.
*		0x8340 <= c <= 0x8396 &&  c != 0x837f
*
**/

_WCRTLINK int jiskana( JMOJI c )	/* change from jiskata to jiskana, compatible to MS-C */
			/* by M/M Mar/15/87 */
{
    return( c >= 0x8340 && c <= 0x8396 && c != 0x837f );
}
