/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage

*/

#include "variety.h"
#include <jctype.h>
#include <jstring.h>

/**
*
*  Name:	jiszen		R[h̃`FbN
*
*  Synopsis:	ret = jiszen( c );
*
*		int ret;	R[hȂ΂OȊO̒l
*		JMOJI c;	R[h
*
*  Description: R[h𐮐lƂė^AꂪR[hȂ
*		΂OȊO̒lԂB
*
*
*  Name:	jiszen		Check 2-byte KANJI code
*
*  Synopsis:	ret = jiszen( c );
*
*		int ret;	non-zero if c is 2-byte KANJI code
*		JMOJI c;	2-byte KANJI code
*
*  Description: Return non-zero if c is valid 2-byte KANJI code.
*
**/

_WCRTLINK int jiszen( JMOJI c )
{
    return( iskanji( c >> 8 ) && iskanji2( c & 0xff ) );
}
