/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage

*/
#include "variety.h"
#include <string.h>
#include <jstring.h>

/*******************************************************************
*
*  Name:	jstrnset	ɕ𖄂߂
*
*  Synopsis:	p = jstrnset( str, c, n );
*
*		JSTRING p;	strƓ|C^
*		JSTRING str;	𖄂߂镶
*		JMOJI	c;	߂镶̒l
*		unsigned int n; 𖄂߂钷
*
*  Description: jstrnset֐͕str c ̒lŖ߂܂Bc 
*		ꍇAʂWrbgȂPoCgŁAʂWrbg
*		QoCgłBQoCg NULL̏ꍇAPoCg NULL
*		ƂĈ܂BA c ɂPoCgw肷ꍇɂ́A
*		ʃoCǵAOɂKv܂Bn ̒l̒
*		傫AA̒̏ꍇɂ́Ac ̎ɂ́A
*		̍Ō̃oCg0x20ɂȂ܂Bn ڂ̑P
*		oCg̏ꍇAQoCg0x20ɕύX܂B
*
*  Returns:	jstrnset֐ str ƓlԂ܂B
*
*
*  Name:	jstrnset	fill the string with a letter
*
*  Synopsis:	p = jstrnset( str, c, n );
*
*		JSTRING p;	return value same as "str"
*		JSTRING str;	pointer to the string to be filled
*		JMOJI	c;	value of letter
*		unsigned int n; length to fill letter
*
*  Description: The jstrnset function fills the string "str" with the value of
*		the argument "c". If you specify "c" with KANJI letter, JMOJI
*		consist with 16 bit and its' high byte consist with first byte
*		code of KANJI letter, and low byte consist with second byte
*		code of KANJI letter.
*		If second byte code is NULL then also consider the first byte
*		code to NULL. If you specify the 1 byte character code, it must
*		be into low byte of JMOJI, and high byte has to consist with
*		NULL code.
*		If the value of "n" is greater than the length of the string
*		then, and if also length of the string is odd number then,
*		and if you have specified "c" with KANJI letter then, the last
*		byte of string is changed to 0x20.
*		Also When the value which "n" points to is the first byte code
*		of KANJI letter in the "str" string, the second byte code is
*		changed to 0x20.
*
*  Returns:	The jstrnset function returns the same value of "str".		*
******************************************************************************/

_WCRTLINK JSTRING jstrnset( JCHAR *str, JMOJI c, size_t n )
{
    JCHAR *dest, *keep = str;
    JMOJI c2;
    size_t byte, count, len;

    if( !n ) return str;
    byte = n * ( jiszen( c ) ? 2 : 1 );
    len = strlen( str );
    if( len <= byte ) {
	if( jiszen( c ) ) {
	    for( count = 0; count < len/2; count++ ) {
		str = jputmoji( str, c );
	    }
	    if( len & 1 ) *str = ' ';
	} else {
	    memset( str, c, len );
	}
    } else {
	for( dest = str; dest - str < byte - 1; ) {
	    dest = jgetmoji( dest, &c2 );
	}
	jgetmoji( dest, &c2 );
	if( dest - str != byte && jiszen( c2 ) ) {
	    *(dest + 1) = ' ';
	}
	if( jiszen( c ) ) {
	    for( count = 0; count < n; count++ ) {
		str = jputmoji( str, c );
	    }
	} else {
	    memset( str, c, n );
	}
    }
    return( keep );
}
