/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage

*/

#include "variety.h"
#include <jstring.h>

/**
*
*  Name:	jtoupper	啶ɕϊ
*
*  Synopsis:	nc = jtoupper( c );
*
*		JMOJI nc;	ϊSp
*		JMOJI c;	ϊSp
*
*  Description: ^ꂽSpϊBjtolower͑啶
*		ɁAjtoupper͏啶ɕϊB
*		jtohira ̓J^JiЂ炪ȂɁAjtokata ͂Ђ炪
*		J^JiɕϊB
*
*  Returns:	ϊs\̏ꍇ͂Ȃɂc ̒lԂB
*
*
*  Name:	jtoupper	Convert to upper case 2-byte KANJI code
*
*  Synopsis:	nc = jtoupper( c );
*
*		JMOJI nc;	Upper case 2-byte KANJI code
*		JMOJI c;	2-byte KANJI code
*
*  Description: Convert to given 2-byte KANJI code. Jtolower converts upper
*		case 2-byte KANJI code to lower case, jtoupper converts lower
*		case 2-byte KANJI code to upper case. Jtohira converts
*		katakana 2-byte KANJI code to hiragana and jtokata hiragana
*		2-byte KANJI code to katakana.
*
*  Returns:	If it is not able to be converted, it returns the value of c.
*
**/


_WCRTLINK JMOJI jtoupper( JMOJI c )
{
    return( jislower( c ) ? ( c - 0x21 ) : c );
}
