/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   12-dec-95	M. Hildebrand	Initial implementation (same as j version).
   29-may-96	M. Hildebrand	Support conversion of more characters.
*/

#include "variety.h"
#include <mbctype.h>
#include "hanzentb.h"


_WCRTLINK unsigned int _mbdhantozen( unsigned int ch )
{
    if( ch >= 0x20  &&  ch <= 0x7E ) {
	return( __HanZen1[ch-0x20] );
    } else if( ch >= 0xA1  &&  ch <= 0xDF ) {
	return( __HanZen2[ch-0xA1] );
    } else {
	return( ch );
    }
}
