/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  04-mar-92	J.B.Schueler	Adapted from LifeBoat code
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage

*/

#include "variety.h"
#include <jstring.h>


/**
*
*  Name:	mtob
*
*  Synopsis:	nb = mtob( s, nm );
*
*		int nb; 	oCg
*		JSTRING s;	
*		int nm; 	
*
*  Description: 񂓂̐擪炎Ŏw肵̊ԂɂoCg
*		ԂBR[h͂QoCgłPƐB
*
*  Name:	mtob
*
*  Synopsis:	nb = mtob( s, nm );
*
*		int nb; 	Length of string s (Unit:byte)
*		JSTRING s;	String
*		int nm; 	The number of character
*
*  Description: Return the length of the string s by byte from the head of s
*		to the nm th character. Two bytes of KANJI code is treated as
*		one character.
*
**/

_WCRTLINK size_t mtob( const JCHAR *s, size_t nm )
{
    const JCHAR *ss;
    JMOJI m;

    ss = s;
    while( nm-- ) {
	ss = jgetmoji( ss, &m );
	if( m == 0 ) break;
    }
    return( ss - s );
}
