/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   15-feb-95	M.P.Hildebrand	Initial implementation.
   15-mar-95	M. Hildebrand	Changed all char * to unsigned char *, and
				included mbstring.h.
   11-apr-95	M. Hildebrand	Avoid conflict with new macro version.
   30-may-95	Greg Bentz	variety.h and dll linkage
   11-sep-95	M. Hildebrand	Conditional far/near compilation.
   04-dec-95	M. Hildebrand	Changed _mbislead to _ismbblead.
   08-apr-96	Greg Bentz	unsigned char for subtraction
*/

#include "variety.h"
#include <mbstring.h>
#include "farfunc.h"



/****
***** Compare two characters.
****/

_WCRTLINK int _NEARFAR((_mbccmp),(_fmbccmp))( const unsigned char _FFAR *s1, const unsigned char _FFAR *s2 )
{
    if( *s1 == *s2 ) {
	if( _ismbblead(*s1) ) {
	    if( s1[1] == s2[1] )
		return( 0 );
	    else
		return( (s1[1]) - (s2[1]) );
	}
	else
	    return( 0 );
    }
    else
	return( *s1 - *s2 );
}
