/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   15-feb-95	M.P.Hildebrand	Initial implementation.
   15-mar-95	M. Hildebrand	Changed all char * to unsigned char *, and
				included mbstring.h.
   24-mar-95	M. Hildebrand	__mbvtop now null-terminates its result.
   30-may-95	Greg Bentz	variety.h and dll linkage
   11-sep-95	M. Hildebrand	Conditional far/near compilation.
   15-sep-95	M. Hildebrand	Removed __mbvtop.
   04-dec-95	M. Hildebrand	Changed _mbislead to _ismbblead.
   13-dec-95	M. Hildebrand	Removed _mbptov; use _mbsnextc instead.
*/

#include "variety.h"
#include <mbstring.h>
#include "farfunc.h"



/****
***** Given an unsigned int type, store the character in a character string.
****/

_WCRTLINK unsigned char _FFAR *_NEARFAR(_mbvtop,_fmbvtop)( unsigned int ch, unsigned char _FFAR *addr )
{
    if( ch & 0xFF00 ) {
	addr[0] = (unsigned char) (ch >> 8);
	addr[1] = (unsigned char) ch;
    } else {
	addr[0] = (unsigned char) ch;
    }

    return( addr );
}
