/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   13-sep-95	M. Hildebrand	Adapted from Lifeboat code.
   29-may-96	M. Hildebrand	Change to match MS: _ismbclegal(ch) returns
				false if ch is a single-byte character.
*/

#include "variety.h"
#include <mbstring.h>
#include "mbchar.h"



/****
***** Determine if a multibyte character is legal.
****/

_WCRTLINK int _ismbclegal( unsigned int ch )
{
    return( _ismbblead(ch>>8) && _ismbbtrail(ch&0xFF) );
}
