/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   13-sep-95	M. Hildebrand	Adapted from Lifeboat code.
*/

#include "variety.h"
#include <mbctype.h>
#include "mbchar.h"



/****
***** Determine if a multibyte character is a Japanese symbol.
****/

_WCRTLINK int _ismbcsymbol( unsigned int ch )
{
    if( __MBCodePage == 932 ) {
	return( ch >= 0x8141  &&  ch <= 0x81AC  &&  ch != 0x817F );
    } else {
	return( 0 );
    }
}
