/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   12-sep-95	M. Hildebrand	Adapted from Lifeboat code.
*/

#include "variety.h"
#include <limits.h>
#include <mbstring.h>
#include "farfunc.h"



#ifdef __FARFUNC__
    _WCRTLINK unsigned char _WCFAR *_fmbputchar( unsigned char _WCFAR *src, unsigned int moji )
#else
    _WCRTLINK unsigned char *_mbputchar( unsigned char *src, unsigned int moji )
#endif
{
    if( __IsDBCS ) {
	if( _ismbclegal(moji) )  *src++ = (unsigned char)(moji>>8);
	*src++ = (unsigned char)(moji&UCHAR_MAX);
    } else {
	*src++ = (unsigned char)(moji&UCHAR_MAX);
    }
    *src = '\0';

    return( src );
}
