/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   15-feb-95	M.P.Hildebrand	Initial implementation.
   06-mar-95	M.P.Hildebrand	Minimal support for OSs without DBCS support.
   15-mar-95	M. Hildebrand	Changed all char * to unsigned char *, and
				included mbstring.h.
   17-apr-95	M. Hildebrand	If !__IsDBCS, do SBCS behaviour for speed.
   30-may-95	Greg Bentz	variety.h and dll linkage
   08-sep-95	M. Hildebrand	Handle lead byte followed by null byte.
   11-sep-95	M. Hildebrand	Conditional far/near compilation.
   15-sep-95	M. Hildebrand	Removed __mbvtop.
   04-dec-95	M. Hildebrand	Changed _mbislead to _ismbblead.
   13-dec-95	M. Hildebrand	Changed _mbptov to _mbsnextc.
   14-dec-95	M. Hildebrand	Some characters weren't getting converted.
*/

#include "variety.h"
#include <mbstring.h>
#include "farfunc.h"



/****
***** Convert a string to lowercase.  Equivalent to strlwr().
****/

_WCRTLINK unsigned char _FFAR *_NEARFAR(_mbslwr,_fmbslwr)( unsigned char _FFAR *string )
{
    unsigned int	    ch;
    unsigned char _FFAR *   p;
    char		    mbc[MB_CUR_MAX+1];

//    if( !__IsDBCS )  return( strlwr( string ) );

    p = string;
    while( !_NEARFAR(_mbterm,_fmbterm)(p) ) {
	ch = _mbctolower( _NEARFAR(_mbsnextc,_fmbsnextc)(p) );
	_NEARFAR(_mbvtop,_fmbvtop)( ch, mbc );
	mbc[_NEARFAR(_mbclen,_fmbclen)(mbc)] = '\0';
	_NEARFAR(_mbccpy,_fmbccpy)( p, mbc );
	p = _NEARFAR(_mbsinc,_fmbsinc)( p );
    }
    return( string );
}
