/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   06-mar-95	M. Hildebrand	Initial implementation.
   15-mar-95	M. Hildebrand	Use mbstring.h, not mbchar.h.
   30-may-95	Greg Bentz	variety.h and dll linkage
   12-sep-95	M. Hildebrand	Conditional far/near compilation.
   08-dec-95	M. Hildebrand	Make smarter use of wctomb return value.
*/

#include "variety.h"
#include <errno.h>
#include <mbstring.h>
#include <wchar.h>
#include "farfunc.h"
#include "seterrno.h"


_WCRTLINK int _NEARFAR(wcrtomb,_fwcrtomb)( char _FFAR *s, wchar_t wc, mbstate_t _FFAR *ps )
{
    int			rc;

    /*** Check the simple cases ***/
    if( s == NULL )  return( 0 );	    /* always in initial state */

    /*** Check for a valid wide character ***/
    rc = _NEARFAR(wctomb,_fwctomb)( s, wc );
    if( rc != -1 ) {
	if( rc != 0 ) {
	    return( rc );
	} else {
	    return( 1 );
	}
    } else {
	__set_errno( EILSEQ );
	return( -1 );
    }
}
