/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
--------------------------------------------------------Version-11.0---------
   06-mar-95	M. Hildebrand	Initial implementation.
   15-mar-95	M. Hildebrand	Use mbstring.h, not mbchar.h.
   30-may-95	Greg Bentz	variety.h and dll linkage
*/

#include "variety.h"
#include <mbstring.h>
#include <stdio.h>
#include <wchar.h>



/****
***** Determine if 'c' corresponds to a member of the extended character set
***** whose multibyte representation is as a single byte when in the initial
***** shift state.  Returns the single byte representation if appropriate,
***** or EOF otherwise.
****/

_WCRTLINK int wctob( wint_t c )
{
    char		mbc[MB_CUR_MAX+1];

    if( wctomb( mbc, c ) == -1 )  return( EOF );
    if( _mbclen( mbc ) == 1 )
	return( mbc[0] );
    else
	return( EOF );
}
