/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  21-apr-90	F.W.Crigger	Initial implementation
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  30-may-95	Greg Bentz	dll linkage
*/
#include "variety.h"
#include <stddef.h>
#include "xstring.h"

/* locate the first occurrence of c in the initial n characters of the
   object pointed to by s.
   If the character c is not found, NULL is returned.
*/

#undef	_fmemchr

_WCRTLINK void _WCFAR *_fmemchr( const char _WCFAR *s, int c, size_t n )
    {
#if defined(__INLINE_FUNCTIONS__)
	return( _inline__fmemchr( s, c, n ) );
#else
	while( n ) {
	    if( *s == c ) return( s );
	    ++s;
	    --n;
	}
	return( NULL );
#endif
    }
