/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1986, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  30-nov-86     F.W.Crigger     Initial implementation
--------------------------------------------------------Version 6.0-------
  12-apr-88     F.W.Crigger     use _inline_ support
  10-Jun-92	D. Wellstood	Unicode support
--------------------------------------------------------Version-11.0---------
  22-apr-95	Greg Bentz	alpha support
  02-mar-95	M. Hildebrand	Changed from UNICODE.H to WIDECHAR.H.
  30-may-95	Greg Bentz	variety.h and dll linkage
  15-sep-95	Greg Bentz	ppc support
  30-may-96	M. Hildebrand	Removed wide character version.
*/
#include "variety.h"
#include <string.h>
#include <stddef.h>
#include "xstring.h"

/* locate the first occurrence of c in the initial n characters of the
   object pointed to by s.
   If the character c is not found, NULL is returned.
*/

#undef  memchr

_WCRTLINK void *memchr( const char *s, int c, size_t n )
    {
#if defined(__INLINE_FUNCTIONS__) && !defined(__WIDECHAR__) && defined(_M_IX86)
        return( _inline_memchr( s, c, n ) );
#else
        while( n ) {
            if( *s == c ) return( (void*)s );
            ++s;
            --n;
        }
        return( NULL );
#endif
    }
