/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1986, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  25-jan-87	F.W.Crigger	Initial implementation
---------------------------------------------------------Version 6.0-------
  12-apr-88	F.W.Crigger	use _inline_ function support
--------------------------------------------------------Version-11.0---------
  22-apr-95	Greg Bentz	alpha support
  30-may-95	Greg Bentz	merge set386.asm into the C file
  30-may-95	Greg Bentz	variety.h and dll linkage
  15-sep-95	Greg Bentz	ppc support
*/
#include "variety.h"
#include <string.h>
#include <stddef.h>
#include "xstring.h"

#undef	memset

#if defined(__386__)
extern  void	__STOSB( void *, int, unsigned );
#pragma aux	__STOSB "*" parm [eax] [edx] [ecx];

extern  void    *__set386( void *, int, unsigned );
#pragma aux     __set386 =  \
	"push	EAX"		/* save return value*/\
	"mov	DH,DL"		/* duplicate byte value thru EDX */\
	"shl	EDX,8"		/* ... */\
	"mov	DL,DH"		/* ... */\
	"shl	EDX,8"		/* ... */\
	"mov	DL,DH"		/* ... */\
	"call	__STOSB"	/* do store */\
	"pop	EAX"		/* restore return value*/\
        parm [eax] [edx] [ecx] \
	value [eax];
#endif

_WCRTLINK void *memset( void *dst, int c, size_t len ) {

    #if defined(__INLINE_FUNCTIONS__) && defined(_M_IX86)
	#if defined(__386__)
	    return( __set386( dst, c, len ) );
	#else
	    return( _inline_memset( dst, c, len ) );
	#endif
    #else
	char *p;
	for( p = dst; len; --len ) {
	    *p++ = c;
	}
	return( dst );
    #endif
}
