/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1996, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date         By              Reason
   ----         --              ------
--------------------------------------------------------Version-11.0---------
   16-may-96	M. Hildebrand	Initial implementation.
*/

#include <string.h>
#include "riscstr.h"


void *memccpy( void *dest, const void *src, int c, size_t n )
/***********************************************************/
{
    void *		p;

    p = memchr( src, c, n );
    if( p != NULL ) {
	n = (char*)p - (char*)src + 1;
	memcpy( dest, src, n );
	return( (char*)dest + n );
    } else {
	memcpy( dest, src, n );
	return( NULL );
    }
}
