/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1988, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  26-feb-88     F.W.Crigger     Initial implementation
-----------------------------------------------------------Version 7.0-----
  22-feb-89     F.W.Crigger     386 version added
  27-jan-93	F.W.Crigger	Use new assembler support
--------------------------------------------------------Version-11.0---------
  22-feb-95	Greg Bentz	alpha support
  30-may-95	Greg Bentz	variety.h and dll linkage
  15-sep-95	Greg Bentz	ppc support
*/

#include "variety.h"
#include <stdlib.h>
#include <limits.h>

#undef _lrotr

extern  unsigned long __lrotr(unsigned long,unsigned);

#if defined(__AXP__)
#elif defined(__PPC__)
#elif defined(__386__)
#pragma aux __lrotr = "ror eax,cl" parm [eax] [ecx] value [eax] modify [ecx];
#else
#pragma aux __lrotr =	"   and cx,31"\
			"   jcxz L2"\
			"L1:ror dx,1"\
			"   rol dx,1"\
			"   rcr ax,1"\
			"   rcr dx,1"\
			"   dec cx"\
			"   jne L1"\
			"L2:"\
                        parm [ax dx] [cx] value [ax dx];
#endif


_WCRTLINK unsigned long _lrotr( unsigned long value, unsigned int shift )
{
    #if defined(__AXP__) || defined(__PPC__)
	unsigned long tmp;
	tmp = value;
	value = value >> shift;
	tmp = tmp << ((sizeof(tmp)*CHAR_BIT)-shift);
	value = value | tmp;
	return( value );
    #else
	return( __lrotr( value, shift ) );
    #endif
}
