;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%       Copyright (C) 1996 by WATCOM Systems Inc. All rights      %
;%       reserved. No part of this software may be reproduced      %
;%       in any form or by any means - graphic, electronic or      %
;%       mechanical, including photocopying, recording, taping     %
;%       or information storage and retrieval systems - except     %
;%       with the written permission of WATCOM Systems Inc.        %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
; Modified:     By:             Reason:
; ---------     ---             -------
;-------------------------------------------------------Version-11.0---------
; 17-jul-96	Greg Bentz	defined
; 21-mar-97	Greg Bentz	add twelve extra bytes to __tls_used

.387
.386p
		PUBLIC	__tls_region
		PUBLIC	__tls_used
		PUBLIC	__tls_index
		PUBLIC	__tls_start
		PUBLIC	__tls_end
		EXTRN	__tls_array:BYTE

DGROUP		GROUP	CONST,CONST2,_DATA,_BSS
TLS		GROUP	'.tls','.tls$','.tls$ZZZ'

_TEXT		SEGMENT	BYTE PUBLIC USE32 'CODE'
		ASSUME CS:_TEXT, DS:DGROUP, SS:DGROUP
__tls_region:
    push      edx
    mov       eax,dword ptr fs:__tls_array
    mov       edx,dword ptr __tls_index
    mov       eax,dword ptr [eax+edx*4]
    sub       eax,dword ptr __tls_used
    pop       edx
    ret       
_TEXT		ENDS

CONST		SEGMENT	DWORD PUBLIC USE32 'DATA'
CONST		ENDS

CONST2		SEGMENT	DWORD PUBLIC USE32 'DATA'
CONST2		ENDS

_DATA		SEGMENT	DWORD PUBLIC USE32 'DATA'
__tls_used:
		DD	__tls_start
		DD	__tls_end
		DD	__tls_index
		DD	0
		DD	0
		DD	0

_DATA		ENDS

_BSS		SEGMENT	DWORD PUBLIC USE32 'BSS'
		ORG 0x00000000
__tls_index	LABEL	BYTE
		ORG 0x00000004
_BSS		ENDS

.tls		SEGMENT	DWORD PUBLIC USE32 'TLS'
__tls_start:
		DD	__tls_start
.tls		ENDS

.tls$		SEGMENT	DWORD PUBLIC USE32 'TLS'
.tls$		ENDS

.tls$ZZZ	SEGMENT	DWORD PUBLIC USE32 'TLS'
__tls_end:
		DD	__tls_end
.tls$ZZZ	ENDS

		END
