/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1992, by WATCOM International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of WATCOM International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
  Date		By		Reason
  ----		--		------
  02-dec-93	Greg Bentz	defined for 32bit only
  16-jun-94	Greg Bentz	split out thread data size
--------------------------------------------------------Version-11.0---------
  30-may-95	Greg Bentz	variety.h and dll linkage
  23-oct-95	Greg Bentz	support DLL initialization
*/
#include "variety.h"
#include "thread.h"
#include "trdlist.h"

extern void	(*_AccessTDList)(void);
extern void	(*_ReleaseTDList)(void);

_WCRTLINK unsigned __ThreadDataSize = sizeof( thread_data );

_WCRTLINK unsigned __RegisterThreadDataSize( unsigned size )
/*********************************************************/
{
    unsigned	offset;

    _AccessTDList();
    offset = __ThreadDataSize;
    __ThreadDataSize += size;
    #if !defined( __QNX__ ) && !defined( __NETWARE__ )
	__ResizeThreadDataList();
    #endif
    _ReleaseTDList();
    return( offset );
}
