/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1992, by WATCOM International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of WATCOM International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ----		--		------
   02-dec-93	Greg Bentz	defined for 32bit only
--------------------------------------------------------Version-11.0---------
  30-may-95	Greg Bentz	variety.h and dll linkage
*/
#include "variety.h"
#include "extfunc.h"
#include "thread.h"

extern beginner	__CBeginThread;
extern ender 	__CEndThread;
static int __CInitThread( void *p ) { p=p; return 0; }

static beginner	    *__BeginThread  	= __CBeginThread;
static ender	    *__EndThread    	= __CEndThread;
static initializer  *__InitThread   	= __CInitThread;

_WCRTLINK int _beginthread( thread_fn *start_addr, void *stack_bottom,
			unsigned stack_size, void *arglist )
{
    return( __BeginThread( start_addr, stack_bottom, stack_size, arglist ) );
}

_WCRTLINK void _endthread( void )
{
    __EndThread();
}

int __initthread( void *p )
{
    return __InitThread( p );
}

_WCRTLINK void __RegisterThreadData( beginner **begin, ender **end, initializer **init )
/*************************************************************************************/
{
    beginner	*old_begin;
    ender	*old_end;
    initializer	*old_init;

    if( begin != NULL ) {
	old_begin = __BeginThread;
	__BeginThread = *begin;
	*begin = old_begin;
    }

    if( end != NULL ) {
	old_end = __EndThread;
	__EndThread = *end;
	*end = old_end;
    }

    if( init != NULL ) {
	old_init = __InitThread;
	__InitThread = *init;
	*init = old_init;
    }
}
