/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  23-aug-87     F.W.Crigger     Initial implementation
  14-may-90     J.B.Schueler    ANSI'fied processing of parms
  23-dec-90     John Dahms      add arg0 to match header file.
--------------------------------------------------------Version-11.0---------
  14-mar-95	Greg Bentz	alpha support
  30-may-95	Greg Bentz	variety.h and dll linkage
  15-sep-95	Greg Bentz	ppc support
  29-sep-95	T. Schiller	Small fix to make it work for PPC
  03-oct-95	M. Hildebrand	Added _wexeclp.
  27-nov-95	Greg Bentz	fixup const in function definition
*/

#include "variety.h"
#include "widechar.h"
#include <stdarg.h>
#include <process.h>


_WCRTLINK int __F_NAME(execlp,_wexeclp)( const CHAR_TYPE *path, const CHAR_TYPE *arg0, ... )
    {
        va_list ap;

        arg0 = arg0;
        va_start( ap, path );
	#if defined(__AXP__)
	    return( __F_NAME(execvp,_wexecvp)( path,
	    	(const CHAR_TYPE**)ap.__base ) );
	#else
	    return( __F_NAME(execvp,_wexecvp)( path,
	    	(const CHAR_TYPE**)ap[0] ) );
	#endif
    }
