/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  24-apr-90	J.T.Laughlin	Adapted from spawnv.c
--------------------------------------------------------Version-11.0---------
  30-may-95	Greg Bentz	variety.h and dll linkage
  22-apr-96	Greg Bentz	tweak typing inconsistencies
*/

#include "variety.h"
#include <stdlib.h>
#include <ctype.h>
#include <sys/types.h>
#include <process.h>
#include <stdarg.h>

#ifdef __STDC__
_WCRTLINK int (execl)( path, arg, ... )
#else
_WCRTLINK int (execl)( path, arg )
#endif
    const char	*path;	    /* path name of path to be executed */
    const char	*arg;
{
    return( spawnve( P_OVERLAY, path, &arg, (const char **)environ ) );
}
