/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  01-nov-87	F.W.Crigger	Initial implementation
---------------------------------------------------------Version 8.0-------
  29-mar-90	J.B.Schueler	Removed __ptr_check
  19-apr-90	J.B.Schueler	Removed explicit extern for environ
  14-may-90	J.B.Schueler	ANSI'fied processing of parms
--------------------------------------------------------Version-11.0---------
  30-may-95	Greg Bentz	variety.h and dll linkage
  03-oct-95	M. Hildebrand	Added _wexecl.
  27-nov-95	Greg Bentz	fixup const in function definition
  13-mar-96	Greg Bentz	tweak typing inconsistencies
  03-oct-97	Greg Bentz	Fixed problems in the use of _RWD_wenviron.
*/

#include "variety.h"
#include "widechar.h"
#include <stdlib.h>
#include <process.h>
#include "rtdata.h"
#include "wenviron.h"

_WCRTLINK int __F_NAME(execvp,_wexecvp)( const CHAR_TYPE *file, const CHAR_TYPE * const *argv )
    {
	#ifdef __WIDECHAR__
	    if( _RWD_wenviron == NULL )  __create_wide_environment();
	    return( _wexecvpe( file, argv, (const CHAR_TYPE **)_RWD_wenviron ) );
	#else
	    return( execvpe( file, argv, (const CHAR_TYPE **)_RWD_environ ) );
	#endif
    }
