/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  22-mar-90	J.B.Schueler	Adapted for PQNX
  24-apr-90	J.T.Laughlin	Change to use spawnvpe( P_OVERLAY, ... );
--------------------------------------------------------Version-11.0---------
  30-may-95	Greg Bentz	variety.h and dll linkage
  22-apr-96	Greg Bentz	tweak typing inconsistencies
*/
#undef __INLINE_FUNCTIONS__
#include "variety.h"
#include <process.h>

_WCRTLINK int (execvpe)( path, argv, envp )
    const char *path;		/* path name of path to be executed */
    const char *const argv[];	/* array of pointers to arguments   */
    const char *const envp[];	/* array of pointers to environment strings */
{
    return( spawnvpe( P_OVERLAY, path, argv, envp ) );
}
