/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  05-apr-90	J.B.Schueler	Initial implementation for PQNX
  08-sep-91	B.J. Stecher	only send signal to *this* process
   9-oct-92	B.J. Stecher	QNX magic memory changes
--------------------------------------------------------Version-11.0---------
  30-may-95	Greg Bentz	variety.h and dll linkage
*/

#include "variety.h"
#include <stdio.h>
#include <errno.h>
#include <signal.h>
#include <sys/proc_msg.h>
#include <sys/magic.h>


_WCRTLINK int (raise)( sig )
int sig;
{
    pid_t	me;

    __getmagicvar( &me, _m_my_pid );
    return( kill( me, sig ) );
}


void __sigabort()
{
    raise( SIGABRT );
}


_WCRTLINK void __sigfpe_handler()
{
    raise( SIGFPE );
}
