/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  24-apr-90	J.T.Laughlin	Adapted from spawnve.c
--------------------------------------------------------Version-11.0---------
  30-may-95	Greg Bentz	variety.h and dll linkage
  22-apr-96	Greg Bentz	tweak typing inconsistencies
*/

#include "variety.h"
#include <stdlib.h>
#include <ctype.h>
#include <sys/types.h>
#include <process.h>

_WCRTLINK int (spawnvp)( mode, path, argv )
    int		mode;		/* wait, nowait or overlay(==exec) */
    const char	*path;		/* path name of file to be executed */
    const char	*const argv[];	/* Array of pointers to arguments */
{
    return( spawnvpe( mode, path, argv, (const char **)environ ) );
}
