extern int      __sigfpe_handler(int);
extern void     _ClearFPE(void);

/*
 * MICROSOFT, as usual, refuses to document stuff that other compiler
 * vendors need, so this had to be reverse engineered
 */
#define UNWINDING	0x6


#define APP_ERR	"Application Error: "

#if defined(__PPC__)
    #define FMT_STRING wsprintf
#elif defined(__AXP__)
    #define FMT_STRING wsprintf

    extern unsigned long _GetFPCR(void);
    extern void          _SetFPCR(unsigned long);
#else
    unsigned int sw;
    #define FMT_STRING wsprintf

    extern DWORD GetFromFS(DWORD off);
    extern void  PutToFS(DWORD value, DWORD off);
    
    #pragma aux (__outside_CLIB) sig_func;

    #pragma aux GetFromFS = \
	    "mov	eax,fs:[eax]" \
	    parm[eax] value[eax];
    
    #pragma aux PutToFS = \
	    "mov	fs:[edx], eax" \
	    parm[eax] [edx];
#endif
