;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%       Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
;%       reserved. No part of this software may be reproduced      %
;%       in any form or by any means - graphic, electronic or      %
;%       mechanical, including photocopying, recording, taping     %
;%       or information storage and retrieval systems - except     %
;%       with the written permission of WATCOM Systems Inc.        %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
; R/W data for WATCOM C 386
;
        name    crwdata

.387
.386p

        assume  nothing

DGROUP group _DATA

_TEXT segment byte public 'CODE'
        assume cs:_TEXT
__null_FPE_rtn proc near
        ret
__null_FPE_rtn endp
_TEXT ends

_DATA   segment dword public 'DATA'

	assume	DS:DGROUP

ifndef __NETWARE__
_dynend    dd 0                 ; top of dynamic data area
_curbrk    dd 0                 ; top of usable memory
endif
ifndef __QNX__
_LpCmdLine  dd 0		; pointer to raw command line
_LpPgmName  dd 0		; pointer to program name (for argv[0])
ifdef __NT__
_LpDllName  dd 0		; pointer to dll name (for OS/2,WIN32)
_LpwCmdLine  dd 0		; pointer to widechar raw command line
_LpwPgmName  dd 0		; pointer to widechar program name (for argv[0])
_LpwDllName  dd 0		; pointer to widechar dll name (for OS/2,WIN32)
endif
ifdef __OS2__
_LpDllName  dd 0		; pointer to dll name (for OS/2,WIN32)
_LpwCmdLine  dd 0		; pointer to widechar raw command line
_LpwPgmName  dd 0		; pointer to widechar program name (for argv[0])
_LpwDllName  dd 0		; pointer to widechar dll name (for OS/2,WIN32)
endif
ifndef __NETWARE__
_psp	    dw 0,0               ; segment addr of program segment prefix
__x386_stacklow label   dword
endif
endif
_STACKLOW  dd 0                 ; lowest address in stack
_STACKTOP  dd 0                 ; highest address in stack
__ASTACKSIZ dd 0		; alternate stack size
__ASTACKPTR dd 0		; alternate stack pointer
ifndef __NETWARE__
_cbyte     dd 0                 ; used by getch, getche
_cbyte2    dd 0                 ; used by getch, getche
_child     dd 0                 ; non-zero => a spawned process is running
endif
__no87     dw 0                 ; non-zero => "NO87" environment var present
ifndef __NETWARE__
ifndef __QNX__
_Extender	  db 0		; see clib\h\extender.inc for values
_ExtenderSubtype  db 0          ; non-zero -> variant of extender
__X32VM    db 0                 ; non-zero => X-32VM DOS Extender
endif
_Envptr    dd 0                 ; offset part of environment pointer
_Envseg    dw 0                 ; segment containing environment strings
ifndef __QNX__
_osmajor   db 0                 ; major DOS version number
_osminor   db 0                 ; minor DOS version number
ifdef __NT__
_osbuild   dw 0                 ; operating system build number
_osver	   dd 0                 ; operating system build number
_winmajor  dd 0                 ; operating system major version number
_winminor  dd 0                 ; operating system minor version number
_winver    dd 0                 ; operating system version number
endif
endif
endif
 __FPE_handler label dword
___FPE_handler dd __null_FPE_rtn ; FPE handler


ifndef __QNX__
ifndef __NETWARE__
        public  "C",_psp
        public  "C",_osmajor
        public  "C",_osminor
ifdef __NT__
        public  "C",_osbuild
        public  "C",_osver
        public  "C",_winmajor
        public  "C",_winminor
        public  "C",_winver
endif
        public  "C",_Extender
        public  "C",_ExtenderSubtype
        public  __X32VM
	public	__x386_stacklow
endif
	public	"C",_LpCmdLine
	public	"C",_LpPgmName
ifdef __NT__
	public	"C",_LpDllName
	public	"C",_LpwCmdLine
	public	"C",_LpwPgmName
	public	"C",_LpwDllName
endif
ifdef __OS2__
	public	"C",_LpDllName
	public	"C",_LpwCmdLine
	public	"C",_LpwPgmName
	public	"C",_LpwDllName
endif
endif
ifndef __NETWARE__
        public  "C",_dynend
        public  "C",_curbrk
endif
        public  "C",_STACKLOW
        public  "C",_STACKTOP
        public  __ASTACKSIZ
        public  __ASTACKPTR
ifndef __NETWARE__
        public  "C",_cbyte
        public  "C",_cbyte2
        public  "C",_child
        public  "C",_Envptr
        public  "C",_Envseg
endif
        public  __no87
        public   __FPE_handler
        public  ___FPE_handler

_DATA   ends

        end
