;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%       Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
;%       reserved. No part of this software may be reproduced      %
;%       in any form or by any means - graphic, electronic or      %
;%       mechanical, including photocopying, recording, taping     %
;%       or information storage and retrieval systems - except     %
;%       with the written permission of WATCOM Systems Inc.        %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
; date          by              reason
; ====          ==              ======
; 19-apr-90     F.W.Crigger     placed chk8087 in initializer segment
; 08-aug-90     F.W.Crigger     move __8087cw variable to separate module
; 05-jul-91	John Dahms	define both __8087 and _8087 for front ends.
; 18-oct-91	C.G.Eisler	changed __8087 to __real87
; 07-nov-91	F.W.Crigger	Use xinit macro
; 07-mar-95	M. Hildebrand	Deal with different versions of WASM.
; 12-mar-95	Greg Bentz	remove _ from "C" symbols
;
include mdef.inc

	if __WASM__ ge 100
	    xref    "C",__chk8087
	else
	    xref    <"C",__chk8087>
	endif

        name    _8087

_DATA   segment dword public 'DATA'
        public  __8087
        public  __real87
        extrn   __no87 :word
__8087   db	0                 ; 0 => no 8087, otherwise 8087 present
__real87 db	0                 ; 0 => no 8087, otherwise 8087 present
_DATA   ends

include xinit.inc

	xinit	__chk8087,2

        end
