/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1995, by WATCOM International Inc. All rights %
 *%       reserved. No part of this software may be reproduced        %
 *%       in any form or by any means - graphic, electronic or        %
 *%       mechanical, including photocopying, recording, taping       %
 *%       or information storage and retrieval systems - except       %
 *%       with the written permission of WATCOM International Inc.    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  17-feb-95	Greg Bentz	defined
--------------------------------------------------------Version-11.0---------
*/
#include "variety.h"
#include <windows.h>
#include <string.h>
#include <stdlib.h>

#define message_prefix \
    "This Dynamic Link Library is already in use by:\n"

#define message_suffix \
    "\n\nThe Watcom WIN32 runtime library does not support "\
    "attaching more than one process to a Dynamic Link Library "\
    "that does not have a separate data space for each attached process.\n"

static char buf[sizeof(message_prefix)+_MAX_PATH+sizeof(message_suffix)];
static char dllname[_MAX_PATH];
static char pgmname[_MAX_PATH];

BOOL __disallow_single_dgroup( HANDLE hdll ) {
    GetModuleFileName( 0, pgmname, sizeof( pgmname ) );
    GetModuleFileName( hdll, dllname, sizeof( dllname ) );
    buf[0] = '\0';
    strcat( buf, message_prefix );
    strcat( buf, pgmname );
    strcat( buf, message_suffix );
    MessageBox( NULL, buf, dllname, MB_OK );
    return 1;
}
