/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%     Copyright (C) 1990, 1992 by WATCOM International. All rights  %
 *%     reserved. No part of this software may be reproduced        %
 *%     in any form or by any means - graphic, electronic or        %
 *%     mechanical, including photocopying, recording, taping       %
 *%     or information storage and retrieval systems - except       %
 *%     with the written permission of WATCOM Systems Inc.          %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  20-sep-92	B.J. Stecher	split out from CMAIN.C
--------------------------------------------------------Version-11.0---------
  16-may-95     T. Schiller     added reference to crwd.h
*/
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <unistd.h>
#include <string.h>
#include <i86.h>
#include <sys/proc_msg.h>
#include <sys/kernel.h>
#include <sys/utsname.h>
#include "crwd.h"

extern unsigned char	__87;
extern unsigned char	__r87;

void __DetOSInfo()
{
    struct _osinfo osdata;

    qnx_osinfo( 0, &osdata );
    _osmajor = osdata.version/100;
    _osminor = osdata.version%100;
#if !defined(__386__)
    if( (osdata.sflags & _PSF_PROTECTED) != 0 ) {
        _HShift = 3;
    } else {
        _HShift = 12;
    }
    if( osdata.sflags & _PSF_EMU16_INSTALLED ) {
#else
    if( osdata.sflags & _PSF_EMU32_INSTALLED ) {
#endif
        __r87 = 0;
	__87 = 3;
    } else if( osdata.fpu >= 387 ) {
	__r87 = 3;
	__87 = 3;
    } else if( osdata.fpu != 0 ) {
	__r87 = 1;
	__87 = 1;
    } else {
	__r87 = 0;
	__87 = 0;
    }
}
