/*
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 %  Copyright (C) 1988-1995 by WATCOM International Corp. All	%
 %  rights reserved. No part of this software may be reproduced %
 %  in any form or by any means - graphic, electronic or	%
 %  mechanical, including photocopying, recording, taping	%
 %  or information storage and retrieval systems - except	%
 %  with the written permission of WATCOM International Corp.	%
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
--------------------------------------------------------Version-11.0---------
  02-may-95	Greg Bentz	defined
  01-jun-95	Greg Bentz	variety.h and dll linkage
  14-may-96	Greg Bentz	add to 16bit OS/2 libraries
*/

#include "variety.h"
#include "rtinit.h"

#if defined(__NT__)
  extern unsigned __NTThreadInit( void );
#elif defined(__QNX__)
#elif defined(__WARP__)
  extern void *__InitThreadProcessing(void);
#endif
#if defined(__OS2_286__) || defined(__NETWARE__)
    #if defined(__SW_BM)
	int __imthread;
    #endif
#else
    extern void __InitMultipleThread();
    
    static void __imthread_fn( void ) {
	#if defined(__NT__)
	    if( !__NTThreadInit() ) return;
	#elif defined(__QNX__)
	#elif defined(__WARP__)
	    if( __InitThreadProcessing() == 0 ) return;
	#endif
	__InitMultipleThread();
    }
    
    _WCRTLINK XI( __imthread, __imthread_fn, INIT_PRIORITY_RUNTIME + 1 )
#endif

#if defined(_M_IX86)
  #pragma aux __imthread "*";
#endif
