/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1988, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
--------------------------------------------------------Version-11.0---------
  01-jun-95	Greg Bentz	variety.h and dll linkage
  23-may-96	Greg Bentz	harvested from stack386.c
*/

#include "variety.h"
#include "rtdata.h"
#include "stacklow.h"
#include "exitwmsg.h"

#if defined(__AXP__) || defined(__PPC__)
void _init_stk( void ) {
}

_WCRTLINK unsigned __CHK( unsigned i ) {
    return( i );
}

_WCRTLINK void __GRO( unsigned i ) {
    i = i;
}

_WCRTLINK void __STKOVERFLOW( void ) {
    __fatal_runtime_error( "stack overflow", -1 );
}
#endif

_WCRTLINK unsigned stackavail() {
    #if defined(__AXP__) || defined(__PPC__)
	unsigned _SP;
	_SP = (unsigned)&_SP;
	return( _SP - _RWD_stacklow );
    #else
	return( _SP() - _RWD_stacklow );
    #endif
}

