/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  93/11/15	Greg Bentz	defined for NETWARE
  28-jan-94	Greg Bentz	add __fatal_runtime_error
--------------------------------------------------------Version-11.0---------
  01-jun-95	Greg Bentz	variety.h and dll linkage
*/
#include "variety.h"
#include <string.h>
#include <io.h>
#include "exitwmsg.h"

extern void		ExitThread( int,int );

_WCRTLINK void __exit_with_msg( char *msg, unsigned retcode )
{
    write( STDOUT_HANDLE, msg, strlen( msg ) );
    ExitThread( 0, retcode );
}

_WCRTLINK void __fatal_runtime_error( char *msg, unsigned retcode )
{
    if( !__EnterWVIDEO( msg ) ) {
	__exit_with_msg( msg, retcode );
    }
}
