/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  93/11/15	Greg Bentz	defined for QNX
  28-jan-94	Greg Bentz	add __fatal_runtime_error
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  01-jun-95	Greg Bentz	dll linkage
*/
#include "variety.h"
#include <unistd.h>
#include "exitwmsg.h"

extern  void    __qnx_exit( int );

_WCRTLINK void __exit_with_msg( char _WCI86FAR *msg, unsigned retcode )
{
    char	c;

    for( ;; ) {
	c = *msg++;
	if( c == '\0' ) break;
	write( 2, &c, 1 );
    }
    __qnx_exit( retcode );
}
 

_WCRTLINK void __fatal_runtime_error( char _WCI86FAR *msg, unsigned retcode )
{
    if( !__EnterWVIDEO( msg ) ) {
	__exit_with_msg( msg, retcode );
    }
}
