/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  93/11/15	Greg Bentz	defined for windows
  28-jan-94	Greg Bentz	add __fatal_runtime_error
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  01-jun-95	Greg Bentz	dll linkage
*/
#include "variety.h"
#include <stdlib.h>
#include <windows.h>
#include "exitwmsg.h"

_WCRTLINK void __exit_with_msg( char _WCI86FAR *msg, unsigned retcode )
{
    char	tmp[128];
    LPSTR	a,b;

    a = msg;
    b = tmp;
    while( *a && *a != '\r' && b < tmp+sizeof(tmp) )
	*b++ = *a++;
    *b = 0;

    MessageBox( NULL, tmp, "WATCOM", MB_OK );
    _exit( retcode );
}

_WCRTLINK void __fatal_runtime_error( char _WCI86FAR *msg, unsigned retcode )
{
    if( !__EnterWVIDEO( msg ) ) {
	__exit_with_msg( msg, retcode );
    }
}
