/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1985,1986 by WATCOM Systems Inc. All rights %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  29-May-86	A.C.C.Wai	Initial implementation
  14-jul-87	F.W.Crigger	removed _IONBF flags from stdin, stdout
  20-aug-87	F.W.Crigger	Added stdaux, stdprn, _iomode array
------------------------------------------------------------Version 6.0-----
  08-may-88	F.W.Crigger	moved _iomode array to separate file
  06-sep-89	F.W.Crigger	_iob renamed to __iob for ANSI
  16-oct-90	J.B.Schueler	don't need __tmpfnext for QNX
				don't need stdaux, stdprn for QNX
   2-Dec-90	B.J. Stecher	added __OpenStreams variable for QNX
  20-sep-92	B.J. Stecher	use initializers with stream stuff 
  20-jan-93	A. Gupta	added __FileHandles, __FHandles for Netware
   9-apr-93	B.J. Stecher	added __ClosedStreams
--------------------------------------------------------Version-11.0---------
  16-feb-95	Greg Bentz	moved initializers and finalizers here from
  				stinit.asm
  13-mar-95	M. Hildebrand	Renamed stream_link to __stream_link, added
  				some new fields to it, and modified __iobuf.
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  29-may-95	Greg Bentz	dll linkage
*/

#include "variety.h"
#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include "rtdata.h"
#include "rtinit.h"

#ifdef __NETWARE__
int		__FHandles[ _NFILES ];
int  		*__FileHandles = __FHandles;
#define		NW_TMPFL	,0
#else
#define		NW_TMPFL	
#endif


_WCRTLINK FILE _WCNEAR __iob[_NFILES] = {
    { NULL, 0, NULL, _READ  ,	    0, 0, 0 NW_TMPFL }  /* stdin */
   ,{ NULL, 0, NULL, _WRITE ,	    1, 0, 0 NW_TMPFL }  /* stdout */
   ,{ NULL, 0, NULL, _WRITE ,	    2, 0, 0 NW_TMPFL }  /* stderr */
  #if !defined(__QNX__) && !defined(__NETWARE__) && !defined(__NT__)
   ,{ NULL, 0, NULL, _READ|_WRITE , 3, 0, 0 NW_TMPFL }  /* stdaux */
   ,{ NULL, 0, NULL, _WRITE ,	    4, 0, 0 NW_TMPFL }  /* stdprn */
  #endif
};

__stream_link *__ClosedStreams;
__stream_link *__OpenStreams;

#ifndef __QNX__
char __tmpfnext		  = 'a';
_WCRTLINK int _WCNEAR _fmode = O_TEXT;	/* default file translation mode */
#endif

extern void __InitFiles();
extern void __full_io_exit();

AXI(__InitFiles,INIT_PRIORITY_LIBRARY);
AYI(__full_io_exit,INIT_PRIORITY_LIBRARY);
