/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  17-mar-87	F.W.Crigger	Initial implementation
  10-jul-92	D. Wellstood	Unicode support
--------------------------------------------------------Version-11.0---------
  23-feb-95	M. Hildebrand	Changed from UNICODE.H to WIDECHAR.H.
  29-may-95	Greg Bentz	variety.h and dll linkage
  21-sep-95	M. Hildebrand	Added _u version, which calls wide version.
  03-jan-96	Greg Bentz	remove stubs that are now aliases
*/

#include "variety.h"
#include "widechar.h"
#include <stddef.h>
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include "rtdata.h"
#include "seterrno.h"

#if defined(__WIDECHAR__)
 #define STR_COLON	(CHAR_TYPE *)":\0 \0\0"
#else
 #define STR_COLON	": "
#endif


_WCRTLINK void __F_NAME(perror,_wperror)( const CHAR_TYPE *s )
    {
	__null_check( s, 0 );
	if( s != NULL && *s != '\0' ) {
	    __F_NAME(fputs,fputws)( s, stderr );
	    __F_NAME(fputs,fputws)( STR_COLON, stderr );
	}
	__F_NAME(fputs,fputws)( __F_NAME(strerror,wcserror)( _RWD_errno ), stderr );
	__F_NAME(fputc,fputwc)( '\n', stderr );
    }
