/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1989,1990 by WATCOM Systems Inc. All rights %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  28-dec-89	F.W.Crigger	E,F,G format in printf is being used
  27-mar-90	F.W.Crigger	similar stub added for scanf
  25-oct-90	B.J.Stecher	conditionals for QNX shared library stuff
  13-aug-91	J.B.Schueler	added FAR_STRING typedef
--------------------------------------------------------Version-11.0---------
  29-may-95	Greg Bentz	variety.h and dll linkage
  02-apr-97	Greg Bentz	use a function to get the address of
  				the routines for rtdll support

*/
#include "variety.h"
#include <stdio.h>
#include "ftos.h"
#include "farsupp.h"

/* This routine will be called by cstart if "_fltused" is referenced. */

void __setEFGfmt()
    {
#ifndef IN_SLIB
    #ifdef __SW_BR
	__EFG_printf = __get_EFG_Format();
	__EFG_scanf  = __get__cnvs2d();			/* 27-mar-90 */
    #else
	__EFG_printf = _EFG_Format;
	__EFG_scanf  = __cnvs2d;			/* 27-mar-90 */
    #endif
#endif
    }
