/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1994 by WATCOM International Inc. All rights %
 *%       reserved. No part of this software may be reproduced       %
 *%       in any form or by any means - graphic, electronic or       %
 *%       mechanical, including photocopying, recording, taping      %
 *%       or information storage and retrieval systems - except      %
 *%       with the written permission of WATCOM International Inc.   %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  94-oct-07	B.J. Stecher	split out from flush/fwrite
  22-apr-96	Greg Bentz	tweak typing inconsistencies
*/

#if defined(__NETWARE__)
    #define __qwrite( h, b, l ) write( h, (void *)b, l )
#elif defined(__PENPOINT__)
    #define __qwrite( h, b, l ) write( h, b, l ) 
#else
    extern unsigned __qwrite( int, const void *, unsigned );
#endif
