/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  11-may-88	A.F.Scian	Initial implementation
  21-apr-90	F.W.Crigger	Made a far version
  30-aug-91	J.B.Schueler	Added "const" attribute to Bits vector
  23-sep-92	F.W.Crigger	declared _Bits vector to be near to avoid
				segment fixups under Windows
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  31-may-95	Greg Bentz	dll linkage
*/
#include "variety.h"
#include <string.h>

extern const unsigned char _HUGEDATA _Bits[8];

void __fsetbits( unsigned char _WCFAR *vector, unsigned char _WCFAR *charset )
{
    unsigned char c;

    _fmemset( vector, 0, 32 );
    for( ; c = *charset; ++charset ) {
	vector[ c >> 3 ] |= _Bits[ c & 0x07 ];
    }
}
