/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  21-apr-90	F.W.Crigger	Initial implementation
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  31-may-95	Greg Bentz	dll linkage
*/
#include "variety.h"
#include <string.h>

#ifdef M_I86

extern char _WCFAR *fast_strncpy( char _WCFAR *, const char _WCFAR *, size_t );

#pragma aux fast_strncpy = \
	0x1e		/* push ds    */\
	0x96		/* xchg si,ax */\
	0x8e 0xd8	/* mov ds,ax  */\
	0x57		/* push di */\
	0xac		/* L1: lodsb */\
	0xaa		/* stosb */\
	0x84 0xc0	/* test al,al */\
	0xe0 0xfa	/* loopne L1 */\
	0x31 0xc0	/* xor ax,ax */\
	0xd1 0xe9	/* shr cx,1 */\
	0xf3 0xab	/* rep stosw */\
	0x11 0xc9	/* adc cx,cx */\
	0xf3 0xaa	/* rep stosb */\
	0x58		/* pop ax */\
	0x1f		/* pop ds */\
	parm caller	[es di] [si ax] [cx]\
	value		[es ax] \
	modify exact	[ax cx si di];
#endif

_WCRTLINK char _WCFAR *_fstrncpy( char _WCFAR *dst, const char _WCFAR *src, size_t len )
    {
#ifdef M_I86
	if( len ) {
	    return( fast_strncpy( dst, src, len ) );
	}
	return( dst );
#else
	char _WCFAR *ret;

	ret = dst;
	for(;len; --len ) {
	    if( *src == '\0' ) break;
	    *dst++ = *src++;
	}
	while( len != 0 ) {
	    *dst++ = '\0';	/* pad destination string with null chars */
	    --len;
	}
	return( ret );
#endif
    }
