/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  21-apr-90	F.W.Crigger	Initial implementation
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  31-may-95	Greg Bentz	dll linkage
*/
#include "variety.h"
#include <ctype.h>
#include <string.h>

/* return <0 if s<t, 0 if s==t, >0 if s>t */

_WCRTLINK int _fstrnicmp( const char _WCFAR *s, const char _WCFAR *t, size_t n )
    {
	unsigned char c1;
	unsigned char c2;

	for(;;) {
	    if( n == 0 )     return( 0 );	/* equal */
	    c1 = *s;
	    if( c1 >= 'A'  &&  c1 <= 'Z' )  c1 += 'a' - 'A';
	    c2 = *t;
	    if( c2 >= 'A'  &&  c2 <= 'Z' )  c2 += 'a' - 'A';
	    if( c1 != c2 )   return( c1 - c2 ); /* less than or greater than */
	    if( c1 == '\0' ) return( 0 );	/* equal */
	    ++s;
	    ++t;
	    --n;
	}
    }
