/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  21-apr-90     F.W.Crigger     Initial implementation
--------------------------------------------------------Version-11.0---------
  21-apr-95	Greg Bentz	variety.h for near/far and composite macros
  31-may-95	Greg Bentz	dll linkage
  23-nov-95	T. Schiller	Disabled i86 scan pragmas since it was
				possible for them to overrun the end of
				a selector when doing word-wise comps
*/
#include "variety.h"
#include <string.h>

#ifdef M_I86

extern char _WCFAR *fast_strset( char _WCFAR *, char );

#pragma aux fast_strset = \
        0x1e            /* push ds */\
        0x56            /* push si */\
        0x50            /* push ax */\
        0x8e 0xda       /* mov ds,dx */\
        0x89 0xc6       /* mov si,ax */\
        0x88 0xdf       /* mov bh,bl */\
        0xad            /* L1:lodsw */\
        0x84 0xc0       /* test al,al */\
        0x74 0x0c       /* je L3 */\
        0x84 0xe4       /* test ah,ah */\
        0x74 0x05       /* je L2 */\
        0x89 0x5c 0xfe  /* mov -2[si],bx */\
        0xeb 0xf2       /* jmp L1 */\
        0x88 0x5c 0xfe  /* L2:mov -2[si],bl */\
        0x58            /* L3:pop ax */\
        0x5e            /* pop si */\
        0x1f            /* pop ds */\
        parm caller     [dx ax] [bl] \
        value           [dx ax] \
        modify exact    [bh];
#endif

_WCRTLINK char _WCFAR *_fstrset( char _WCFAR *s, int c )
    {
//#ifdef M_I86
        //return( fast_strset( s, c ) );
//#else
        char _WCFAR *p;

        for( p = s; *p; ++p ) {
            *p = c;
        }
        return( s );
//#endif
    }
