/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1996, by Watcom International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of Watcom International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date         By              Reason
   ----         --              ------
--------------------------------------------------------Version-11.0---------
   15-may-96	M. Hildebrand	Initial implementation.
   27-may-96	M. Hildebrand	Added wide character support.
*/

#include "widechar.h"
#include <string.h>
#include "riscstr.h"


CHAR_TYPE *__F_NAME(strpbrk,wcspbrk)( const CHAR_TYPE *str,
				      const CHAR_TYPE *charset )
/**************************************************************/
{
    CHAR_TYPE *		p;

    while( *str != NULLCHAR ) {
	p = __F_NAME(strchr,wcschr)( charset, *str );
	if( p != NULL )  return( (CHAR_TYPE*)str );
	str++;
    }

    return( NULL );
}
