/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1987, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  19-jul-87     F.W.Crigger     Initial implementation
  12-jan-88     F.W.Crigger     must process entire src string even if
                                it is longer than n.
--------------------------------------------------------Version-11.0---------
  31-may-95	Greg Bentz	variety.h and dll linkage
  27-sep-95	M. Hildebrand	Added wcsxfrm.
*/
#include "variety.h"
#include "widechar.h"
#include <string.h>

/* Transform the string so that two transformed strings can be properly
   compared in the current locale.
   We only support the "C" locale, so just copy the string.
*/

_WCRTLINK size_t __F_NAME(strxfrm,wcsxfrm)( CHAR_TYPE *dst, const CHAR_TYPE *src, size_t n )
    {
        size_t len;

        len = 0;
        for(;;) {
            if( len < n ) *dst = *src;
            if( *src == __F_NAME('\0',L'\0') )  break;
            ++src;
            ++dst;
            ++len;
        }
        return( len );
    }
