/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %     Copyright (C) 1995, by Watcom International Inc.  All rights    %
  %     reserved.  No part of this software may be reproduced or        %
  %     used in any form or by any means - graphic, electronic or       %
  %     mechanical, including photocopying, recording, taping or        %
  %     information storage and retrieval systems - except with the     %
  %     written permission of Watcom International Inc.                 %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
  Date		By		Reason
  ----		--		------
--------------------------------------------------------Version-11.0---------
  20-oct-95	M. Hildebrand	Initial implementation.
*/

#include "variety.h"
#define _UNICODE
#include <stdarg.h>
#include <stdio.h>
#include <tchar.h>
#include <limits.h>


_WCRTLINK int _stprintf( wchar_t *dest, const wchar_t *format, ... )
{
    va_list		args;
    int			rc;

    va_start( args, format );
    rc = vswprintf( dest, INT_MAX, format, args );
    va_end( args );
    return( rc );
}
