/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
   %       reserved. No part of this software may be reproduced      %
   %       in any form or by any means - graphic, electronic or      %
   %       mechanical, including photocopying, recording, taping     %
   %       or information storage and retrieval systems - except     %
   %       with the written permission of WATCOM Systems Inc.        %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ====		==		======
   19-oct-92	Craig Eisler	defined
*/
#define INCLUDE_COMMDLG_H
#include "cover.h"

BOOL PASCAL _CoverChooseFont( LPCHOOSEFONT pcf )
{
    LPVOID	old;
    BOOL	rc;

    if( pcf->Flags & CF_ENABLEHOOK ) {
	old = pcf->lpfnHook;
    	pcf->lpfnHook = SetProc( old, GETPROC_CALLBACK );
	rc = ChooseFont( pcf );
	pcf->lpfnHook = old;
	return( rc );
    } else {
	return( ChooseFont( pcf ) );
    }
}
