/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %       Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
   %       reserved. No part of this software may be reproduced      %
   %       in any form or by any means - graphic, electronic or      %
   %       mechanical, including photocopying, recording, taping     %
   %       or information storage and retrieval systems - except     %
   %       with the written permission of WATCOM Systems Inc.        %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ====		==		======
   02-nov-91	C.G.Eisler	defined
   12-nov-91	C.G.Eisler	new SetProc
   19-jan-95	F.W.Crigger	Added _Cover_DdeClientTransaction
*/
#define INCLUDE_DDEML_H
#include "cover.h"

WORD PASCAL _Cover_DdeInitialize( LPDWORD pidInst, PFNCALLBACK p,
				DWORD afCmd, DWORD ulRes)
{
    return( DdeInitialize( pidInst,
    	(PFNCALLBACK) SetProc( (LPVOID) p, GETPROC_DDEMLCALLBACK ),
    		afCmd, ulRes ) );
}

HDDEDATA PASCAL _Cover_DdeClientTransaction( LPVOID lpvdata,
					     DWORD cbdata,
					     HCONV hconv,
					     HSZ hszitem,
					     WORD ufmt,
					     WORD utype,
					     DWORD utimeout,
					     LPDWORD lpuresult )
{
    HDDEDATA	rc;
    DWORD	pdata;
    DWORD	presult;
    
    pdata = (DWORD)lpvdata;
    if( cbdata != -1L ) {
	if( pdata != 0 ) {
	    pdata = AllocAlias16( lpvdata );
	}
    }
    presult = (DWORD)lpuresult;
    if( presult != 0 ) {
	presult = AllocAlias16( lpuresult );
    }
    rc = _16DdeClientTransaction( (LPBYTE)pdata, cbdata, hconv, hszitem,
				  ufmt, utype, utimeout, (LPDWORD)presult );
    if( cbdata != -1L ) {
	if( pdata != 0 ) {
	    FreeAlias16( pdata );
	}
    }
    if( presult != 0 ) {
	FreeAlias16( presult );
    }
    return( rc );
}
