/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
   %       reserved. No part of this software may be reproduced      %
   %       in any form or by any means - graphic, electronic or      %
   %       mechanical, including photocopying, recording, taping     %
   %       or information storage and retrieval systems - except     %
   %       with the written permission of WATCOM Systems Inc.        %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ====		==		======
   16-sep-93	F.W.Crigger	Initial implementation
   26-sep-93	F.W.Crigger	WaveIn callback is done at interrupt time
*/
#define INCLUDE_MMSYSTEM_H
#include "cover.h"

#define	GetWaveInCallBack	WINFUNCTION255ADDR
#pragma	aux	WINFUNCTION255ADDR	"*"

extern DWORD	(__far *GetWaveInCallBack)();
static DWORD	CallBackFunc;

extern	void __InvokeCallBack();
#pragma aux  __InvokeCallBack = \
	"and	esp,0000FFFFh"	\
	"jmp	eax"		\
	parm [eax];

void __WaveInCallBack()
{
    __InvokeCallBack( CallBackFunc );
}

UINT PASCAL _Cover_waveInOpen( HWAVEIN *lphWaveIn,
				UINT uDeviceID,
				const WAVEFORMAT *lpFormat,
				DWORD dwCallback,
				DWORD dwInstance,
				DWORD dwFlags )
{
    if( (dwFlags & CALLBACK_TYPEMASK) == CALLBACK_FUNCTION ) {
	CallBackFunc = dwCallback;
	dwCallback = GetWaveInCallBack( __WaveInCallBack );
    }
    return( waveInOpen( lphWaveIn, uDeviceID, lpFormat,
			 dwCallback, dwInstance, dwFlags ) );
}
