/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
   %       reserved. No part of this software may be reproduced      %
   %       in any form or by any means - graphic, electronic or      %
   %       mechanical, including photocopying, recording, taping     %
   %       or information storage and retrieval systems - except     %
   %       with the written permission of WATCOM Systems Inc.        %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ====		==		======
   19-apr-92	Craig Eisler	Initial implementation
*/
#define INCLUDE_PENWIN_H
#include "cover.h"

void __InitPenWinRC( LPRC lprc )
{
    int	i;

    if( lprc == NULL ) return;

    if( lprc->lpfnYield != NULL && lprc->lpfnYield != (RCYIELDPROC) RC_LDEFAULT ) {
	SetProc( lprc->lpfnYield, GETPROC_PENWIN_RCYIELDPROC );
    }
    for( i=0;i<MAXDICTIONARIES;i++ ) {
	if( lprc->rglpdf[i] == NULL ) break;
	if( lprc->rglpdf[i] != (LPDF) RC_LDEFAULT ) {
	    SetProc( lprc->rglpdf[i], GETPROC_PENWIN_LPDF );
	}
    }
}
