
/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %       Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
   %       reserved. No part of this software may be reproduced      %
   %       in any form or by any means - graphic, electronic or      %
   %       mechanical, including photocopying, recording, taping     %
   %       or information storage and retrieval systems - except     %
   %       with the written permission of WATCOM Systems Inc.        %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
   Date		By		Reason
   ====		==		======
   02-nov-91	C.G.Eisler	split from cover.c
*/
#include "cover.h"

LONG PASCAL _Cover_SendDlgItemMessage(HWND hwnd, int dlgitem, WORD msg,
				  WORD wp, LONG lp)
{
    BOOL	alias;
    LONG	rc;
    HWND	cwnd;

    cwnd = GetDlgItem( hwnd, dlgitem );
    alias = TryAlias( cwnd, msg, &lp );
    rc = SendDlgItemMessage( hwnd, dlgitem, msg, wp, lp );
    if( alias ) {
	FreeAlias16( lp );
    }
    return( rc );
}
