;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%	 Copyright (C) 1989 by WATCOM Systems Inc. All rights	   %
;%	 reserved. No part of this software may be reproduced	   %
;%	 in any form or by any means - graphic, electronic or	   %
;%	 mechanical, including photocopying, recording, taping	   %
;%	 or information storage and retrieval systems - except	   %
;%	 with the written permission of WATCOM Systems Inc.	   %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  modified:	  by:		reason:
;  ---------	  ---		-------
;  31-dec-89	F.W.Crigger	Initial implementation for 386
;  16-sep-93	F.W.Crigger	int21 added
;  07-mar-95	M. Hildebrand	Deal with different versions of WASM.
;  12-mar-95	Greg Bentz	remove extra _ from "C" symbols
;
include mdef.inc
include struct.inc
include int21.inc

	xref	__doserror_
	modstart dosattr

	defp	_dos_getfileattr
	if __WASM__ ge 100
	    xdefp	"C",_dos_getfileattr
	else
	    xdefp	<"C",_dos_getfileattr>
	endif
;
;	unsigned _dos_getfileattr( char *path, unsigned *attr );
;
ifdef __STACK__
	push	EDX
	mov	EAX,8[ESP]	; get drivenum
	mov	EDX,12[ESP]	; drives
endif
	push	EBX		; save BX
	push	ECX		; save CX
	mov	EBX,EDX		; save pointer to attributes
	mov	EDX,EAX		; get path
	sub	ECX,ECX		; zero ECX
	mov	AX,4300h	; get file attributes
	int21h			; ...
	_if	nc		; if no error
	  mov	[EBX],CX	; - store file attributes
	_endif			; endif
	call	__doserror_	; set return code
	pop	ECX		; restore CX
	pop	EBX		; restore BX
ifdef __STACK__
	pop	EDX
endif
	ret			; return to caller
	endproc _dos_getfileattr
;-----------------------------------------------------------------------
	defp	_dos_setfileattr
	if __WASM__ ge 100
	    xdefp	"C",_dos_setfileattr
	else
	    xdefp	<"C",_dos_setfileattr>
	endif
;
;	unsigned _dos_setfileattr( char *path, unsigned attr );
;
ifdef __STACK__
	push	EDX
	mov	EAX,8[ESP]	; get drivenum
	mov	EDX,12[ESP]	; drives
endif
	push	ECX		; save CX
	mov	ECX,EDX		; get attributes
	mov	EDX,EAX		; get path
	mov	AX,4301h	; set file attributes
	int21h			; ...
	call	__doserror_	; set return code
	pop	ECX		; restore CX
ifdef __STACK__
	pop	EDX
endif
	ret			; return to caller
	endproc _dos_setfileattr

	endmod
	end
