;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%	 Copyright (C) 1989 by WATCOM Systems Inc. All rights	   %
;%	 reserved. No part of this software may be reproduced	   %
;%	 in any form or by any means - graphic, electronic or	   %
;%	 mechanical, including photocopying, recording, taping	   %
;%	 or information storage and retrieval systems - except	   %
;%	 with the written permission of WATCOM Systems Inc.	   %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  modified:	  by:		reason:
;  ---------	  ---		-------
;  31-dec-89	F.W.Crigger	Initial implementation for 386
;  16-sep-93	F.W.Crigger	int21 added
;  07-mar-95	M. Hildebrand	Deal with different versions of WASM.
;  12-mar-95	Greg Bentz	remove extra _ from "C" symbols
;
include mdef.inc
include struct.inc
include int21.inc

	xref	__doserror_
	modstart doscreat

	defp	_dos_creat
	if __WASM__ ge 100
	    xdefp	"C",_dos_creat
	else
	    xdefp	<"C",_dos_creat>
	endif
;
;	unsigned _dos_creat( char *path, unsigned attr, int *handle )
;
ifdef __STACK__
	push	EBX
	push	EDX
	mov	EAX,12[ESP]	; get path
	mov	EDX,16[ESP]	; attr
	mov	EBX,20[ESP]	; handle
endif
	push	ECX		; save CX
	mov	ECX,EDX		; get attribute
	mov	EDX,EAX		; DX = path
	mov	AH,3Ch		; creat file
	int21h			; ...
	_if	nc		; if no error
	  mov	[EBX],EAX	; - store handle
	_endif			; endif
	call	__doserror_	; set return code
	pop	ECX		; restore CX
ifdef __STACK__
	pop	EDX
	pop	EBX
endif
	ret			; return to caller
	endproc _dos_creat
;-----------------------------------------------------------------------
	defp	_dos_creatnew
	if __WASM__ ge 100
	    xdefp	"C",_dos_creatnew
	else
	    xdefp	<"C",_dos_creatnew>
	endif
;
;	unsigned _dos_creatnew( char *path, unsigned attr, int *handle )
;
ifdef __STACK__
	push	EBX
	push	EDX
	mov	EAX,12[ESP]	; get path
	mov	EDX,16[ESP]	; attr
	mov	EBX,20[ESP]	; handle
endif
	push	ECX		; save CX
	mov	ECX,EDX		; get attribute
	mov	EDX,EAX		; DX = path
	mov	AH,5Bh		; create a new file
	int21h			; ...
	_if	nc		; if no error
	  mov	[EBX],EAX	; - store handle
	_endif			; endif
	call	__doserror_	; set return code
	pop	ECX		; restore CX
ifdef __STACK__
	pop	EDX
	pop	EBX
endif
	ret			; return to caller
	endproc _dos_creatnew

	endmod
	end
