;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%	 Copyright (C) 1989 by WATCOM Systems Inc. All rights	   %
;%	 reserved. No part of this software may be reproduced	   %
;%	 in any form or by any means - graphic, electronic or	   %
;%	 mechanical, including photocopying, recording, taping	   %
;%	 or information storage and retrieval systems - except	   %
;%	 with the written permission of WATCOM Systems Inc.	   %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  modified:	  by:		reason:
;  ---------	  ---		-------
;  31-dec-89	F.W.Crigger	Initial implementation for 386
;  16-sep-93	F.W.Crigger	int21 added
;  07-mar-95	M. Hildebrand	Deal with different versions of WASM.
;  12-mar-95	Greg Bentz	remove extra _ from "C" symbols
;  04-apr-97	Greg Bentz	adjust for new structure size
;
include mdef.inc
include struct.inc
include int21.inc

	if __WASM__ ge 100
	    xref	"C",__set_EINVAL
	else
	    xref	<"C",__set_EINVAL>
	endif
	modstart dosdisk

	defp	_dos_getdiskfree
	if __WASM__ ge 100
	    xdefp	"C",_dos_getdiskfree
	else
	    xdefp	<"C",_dos_getdiskfree>
	endif
;
;	unsigned _dos_getdiskfree( unsigned drive,
;				   struct diskfree_t *diskspace)
;	struct diskfree_t {
;		unsigned total_clusters;
;		unsigned avail_clusters;
;		unsigned sectors_per_cluster;
;		unsigned bytes_per_sector;
;	};
;
ifdef __STACK__
	push	EDX
	mov	EAX,8[ESP]	; get drivenum
	mov	EDX,12[ESP]	; drives
endif
	push	EDI		; save DI
	push	ECX		; save CX
	push	EBX		; save BX
	mov	EDI,EDX		; get address of diskfree_t structure
	mov	EDX,EAX		; get driver number
	mov	AH,36h		; get disk free space
	int21h			; ...
	cmp	AX,0FFFFh	; if valid drive number
	_if	ne		; then
	  and	EDX, 0000ffffh
	  mov	[EDI],EDX	; - save total # of clusters
	  and	EBX, 0000ffffh
	  mov	4[EDI],EBX	; - save available number of clusters
	  and	EAX, 0000ffffh
	  mov	8[EDI],EAX	; - save number of sectors per cluster
	  and	ECX, 0000ffffh
	  mov	12[EDI],ECX	; - save number of bytes per sector
	  sub	EAX,EAX		; - indicate no errors
	_else			; else
	  call	__set_EINVAL	; - set errno = EINVAL
	_endif			; endif
	pop	EBX		; restore BX
	pop	ECX		; restore CX
	pop	EDI		; restore DI
ifdef __STACK__
	pop	EDX
endif
	ret			; return to caller
	endproc _dos_getdiskfree

	endmod
	end
