;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%	 Copyright (C) 1989 by WATCOM Systems Inc. All rights	   %
;%	 reserved. No part of this software may be reproduced	   %
;%	 in any form or by any means - graphic, electronic or	   %
;%	 mechanical, including photocopying, recording, taping	   %
;%	 or information storage and retrieval systems - except	   %
;%	 with the written permission of WATCOM Systems Inc.	   %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  modified:	  by:		reason:
;  ---------	  ---		-------
;  31-dec-89	F.W.Crigger	Initial implementation for 386
;  16-sep-93	F.W.Crigger	int21 added
;  07-mar-95	M. Hildebrand	Deal with different versions of WASM.
;  12-mar-95	Greg Bentz	remove extra _ from "C" symbols
;
include mdef.inc
include struct.inc
include int21.inc

	modstart dosdrive

	defp	_dos_getdrive
	if __WASM__ ge 100
	    xdefp	"C",_dos_getdrive
	else
	    xdefp	<"C",_dos_getdrive>
	endif
;
;	unsigned _dos_getdrive( unsigned *drive );
;
ifdef __STACK__
	mov	EAX,4[ESP]	; get handle
endif
	push	EBX		; save BX
	mov	EBX,EAX		; save address of drive
	sub	EAX,EAX		; zero EAX
	mov	AH,19h		; get current drive
	int21h			; ...
	inc	AX		; increment drive #
	mov	AH,0		; zero high part
	mov	[EBX],EAX	; store drive #
	sub	AX,AX		; set return code
	pop	EBX		; restore BX
	ret			; return to caller
	endproc _dos_getdrive
;-----------------------------------------------------------------------
	defp	_dos_setdrive
	if __WASM__ ge 100
	    xdefp	"C",_dos_setdrive
	else
	    xdefp	<"C",_dos_setdrive>
	endif
;
;	void _dos_setdrive( unsigned drivenum, unsigned *drives )
;
ifdef __STACK__
	push	EDX
	mov	EAX,8[ESP]	; get drivenum
	mov	EDX,12[ESP]	; drives
endif
	push	EBX		; save BX
	mov	EBX,EDX		; save pointer to drives
	mov	EDX,EAX		; get drive number
	dec	EDX		; ...
	sub	EAX,EAX		; zero EAX
	mov	AH,0Eh		; set current drive
	int21h			; ...
	mov	AH,0		; zero high part of return
	mov	[EBX],EAX	; store total # of drives
	sub	EAX,EAX		; set return code
	pop	EBX		; restore BX
ifdef __STACK__
	pop	EDX
endif
	ret			; return to caller
	endproc _dos_setdrive

	endmod
	end
