;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%       Copyright (C) 1989 by WATCOM Systems Inc. All rights      %
;%       reserved. No part of this software may be reproduced      %
;%       in any form or by any means - graphic, electronic or      %
;%       mechanical, including photocopying, recording, taping     %
;%       or information storage and retrieval systems - except     %
;%       with the written permission of WATCOM Systems Inc.        %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  modified:      by:           reason:
;  ---------      ---           -------
;  04-dec-89    F.W.Crigger     Initial implementation
;  03-jun-90    F.W.Crigger     Added Windows support
;  07-mar-95	M. Hildebrand	Deal with different versions of WASM.
;  12-mar-95	Greg Bentz	remove extra _ from "C" symbols
;
include mdef.inc
include struct.inc

	if __WASM__ ge 100
	    xref    "C",__set_errno_dos
	else
	    xref    <"C",__set_errno_dos>
	endif
        modstart doserror

        xdefp   __doserror_
;
;
        defp    __doserror_
        _if     c               ; if error
          push  DX              ; - save DX
          push  AX              ; - save return code
          mov   DX,AX           ; - duplicate return code in DX
	  call	__set_errno_dos ; - set errno
          pop   AX              ; - restore return code
          pop   DX              ; - restore DX
        _else                   ; else
          sub   AX,AX           ; - return 0
        _endif                  ; endif
        ret                     ; return to caller
        endproc __doserror_

        endmod
        end
