;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%	 Copyright (C) 1989 by WATCOM Systems Inc. All rights	   %
;%	 reserved. No part of this software may be reproduced	   %
;%	 in any form or by any means - graphic, electronic or	   %
;%	 mechanical, including photocopying, recording, taping	   %
;%	 or information storage and retrieval systems - except	   %
;%	 with the written permission of WATCOM Systems Inc.	   %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  modified:	  by:		reason:
;  ---------	  ---		-------
;  31-dec-89	F.W.Crigger	Initial implementation for 386
;  16-sep-93	F.W.Crigger	int21 added
;  07-mar-95	M. Hildebrand	Deal with different versions of WASM.
;  12-mar-95	Greg Bentz	remove extra _ from "C" symbols
;
include mdef.inc
include struct.inc
include int21.inc

	xref	__doserror_
	modstart dosfile

	defp	_dos_close
	if __WASM__ ge 100
	    xdefp	"C",_dos_close
	else
	    xdefp	<"C",_dos_close>
	endif
;
;	unsigned _dos_close( int handle );
;
ifdef __STACK__
	mov	EAX,4[ESP]	; get handle
endif
	push	EBX		; save BX
	mov	BX,AX		; get file handle
	mov	AH,3Eh		; close file
	int21h			; ...
	call	__doserror_	; set return code
	pop	EBX		; restore BX
	ret			; return to caller
	endproc _dos_close
;-----------------------------------------------------------------------
	defp	_dos_commit
	if __WASM__ ge 100
	    xdefp	"C",_dos_commit
	else
	    xdefp	<"C",_dos_commit>
	endif
;
;	unsigned _dos_commit( int handle );
;
ifdef __STACK__
	mov	EAX,4[ESP]	; get handle
endif
	push	EBX		; save BX
	mov	BX,AX		; get file handle
	mov	AH,68h		; commit file
	clc
	int21h			; ...
	call	__doserror_	; set return code
	pop	EBX		; restore BX
	ret			; return to caller
	endproc _dos_commit
;-----------------------------------------------------------------------
	defp	_dos_open
	if __WASM__ ge 100
	    xdefp	"C",_dos_open
	else
	    xdefp	<"C",_dos_open>
	endif
;
;	unsigned _dos_open( char *path, unsigned mode, int *handle )
;
ifdef __STACK__
	push	EBX
	push	EDX
	mov	EAX,12[ESP]	; get path
	mov	EDX,16[ESP]	; mode
	mov	EBX,20[ESP]	; handle
endif
	xchg	EAX,EDX		; AX = mode, EDX = path
	mov	AH,3Dh		; open the file
	int21h			; ...
	_if	nc		; if no error
	  mov	[EBX],EAX	; - store handle
	_endif			; endif
	call	__doserror_	; set return code
ifdef __STACK__
	pop	EDX
	pop	EBX
endif
	ret			; return to caller
	endproc _dos_open

	endmod
	end
