;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%	 Copyright (C) 1989 by WATCOM Systems Inc. All rights	   %
;%	 reserved. No part of this software may be reproduced	   %
;%	 in any form or by any means - graphic, electronic or	   %
;%	 mechanical, including photocopying, recording, taping	   %
;%	 or information storage and retrieval systems - except	   %
;%	 with the written permission of WATCOM Systems Inc.	   %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  modified:	  by:		reason:
;  ---------	  ---		-------
;  31-dec-89	F.W.Crigger	Initial implementation for 386
;  16-sep-93	F.W.Crigger	int21 added
;  07-mar-95	M. Hildebrand	Deal with different versions of WASM.
;  12-mar-95	Greg Bentz	remove extra _ from "C" symbols
;
include mdef.inc
include struct.inc
include int21.inc

	xref	__doserror_
	modstart dosftime

	defp	_dos_getftime
	if __WASM__ ge 100
	    xdefp	"C",_dos_getftime
	else
	    xdefp	<"C",_dos_getftime>
	endif
;
;	unsigned _dos_getftime( int handle,
;				unsigned short *date,
;				unsigned short *time );
;
ifdef __STACK__
	push	EBX
	push	EDX
	mov	EAX,12[ESP]	; get path
	mov	EDX,16[ESP]	; mode
	mov	EBX,20[ESP]	; handle
endif
	push	EDI		; save DI
	push	EDX		; save DX
	push	ECX		; save CX
	push	EBX		; save BX
	mov	EDI,EDX		; get pointer to date
	mov	EBX,EAX		; get file handle
	mov	AX,5700h	; get file's date and time
	int21h			; ...
	pop	EBX		; get pointer to time
	_if	nc		; if no error
	  mov	[EDI],DX	; - store date
	  mov	[EBX],CX	; - store time
	_endif			; endif
	call	__doserror_	; set return code
	pop	ECX		; restore CX
	pop	EDX		; restore DX
	pop	EDI		; restore DI
ifdef __STACK__
	pop	EDX
	pop	EBX
endif
	ret			; return to caller
	endproc _dos_getftime
;-----------------------------------------------------------------------
	defp	_dos_setftime
	if __WASM__ ge 100
	    xdefp	"C",_dos_setftime
	else
	    xdefp	<"C",_dos_setftime>
	endif
;
;	unsigned _dos_setftime( int handle,
;				unsigned short date,
;				unsigned short time );
;
ifdef __STACK__
	push	EBX
	push	EDX
	mov	EAX,12[ESP]	; get path
	mov	EDX,16[ESP]	; mode
	mov	EBX,20[ESP]	; handle
endif
	push	ECX		; save ECX
	mov	CX,BX		; get time
	mov	BX,AX		; get file handle
	mov	AX,5701h	; set file's date and time
	int21h			; ...
	call	__doserror_	; set return code
	pop	ECX		; restore ECX
ifdef __STACK__
	pop	EDX
	pop	EBX
endif
	ret			; return to caller
	endproc _dos_setftime

	endmod
	end
