;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%	 Copyright (C) 1989 by WATCOM Systems Inc. All rights	   %
;%	 reserved. No part of this software may be reproduced	   %
;%	 in any form or by any means - graphic, electronic or	   %
;%	 mechanical, including photocopying, recording, taping	   %
;%	 or information storage and retrieval systems - except	   %
;%	 with the written permission of WATCOM Systems Inc.	   %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  modified:	  by:		reason:
;  ---------	  ---		-------
;  31-dec-89	F.W.Crigger	Initial implementation for 386
;  16-sep-93	F.W.Crigger	int21 added
;  07-mar-95	M. Hildebrand	Deal with different versions of WASM.
;  12-mar-95	Greg Bentz	remove extra _ from "C" symbols
;
include mdef.inc
include struct.inc
include int21.inc

	modstart dosgtime

	defp	_dos_getdate
	if __WASM__ ge 100
	    xdefp	"C",_dos_getdate
	else
	    xdefp	<"C",_dos_getdate>
	endif
;
;	void _dos_getdate( struct dosdate_t *date );
;	struct dosdate_t {
;		unsigned char day;	1-31
;		unsigned char month;	1-12
;		unsigned short year;	1980-2099
;		unsigned char dayofweek; 0-6 (0=Sunday)
;	};
;
ifdef __STACK__
	mov	EAX,4[ESP]	; get parm
endif
	push	EDX		; save DX
	push	ECX		; save CX
	push	EBX		; save BX
	mov	EBX,EAX		; get address of dosdate_t structure
	mov	AH,2Ah		; get date
	int21h			; ...
	mov	2[EBX],CX	; store the year
	mov	1[EBX],DH	; store the month
	mov	[EBX],DL	; store the day
	mov	4[EBX],AL	; store the day of the week
	sub	EAX,EAX		; set return code
	pop	EBX		; restore BX
	pop	ECX		; restore CX
	pop	EDX		; restore DX
	ret			; return to caller
	endproc _dos_getdate
;-----------------------------------------------------------------------
	defp	_dos_gettime
	if __WASM__ ge 100
	    xdefp	"C",_dos_gettime
	else
	    xdefp	<"C",_dos_gettime>
	endif
;
;	void _dos_gettime( struct dostime_t *time );
;	struct dostime_t {
;		unsigned char hour;	0-23
;		unsigned char minute;	0-59
;		unsigned char second;	0-59
;		unsigned char hsecond;	1/100 second; 0-99
;	};
;
ifdef __STACK__
	mov	EAX,4[ESP]	; get parm
endif
	push	EDX		; save DX
	push	ECX		; save CX
	push	EBX		; save BX
	mov	EBX,EAX		; get address of dostime_t structure
	mov	AH,2Ch		; get time
	int21h			; ...
	mov	[EBX],CH	; store the hour
	mov	1[EBX],CL	; store the minute
	mov	2[EBX],DH	; store the second
	mov	3[EBX],DL	; store the hundredths of seconds
	sub	EAX,EAX		; set return code
	pop	EBX		; restore BX
	pop	ECX		; restore CX
	pop	EDX		; restore DX
	ret			; return to caller
	endproc _dos_gettime

	endmod
	end
