;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%	 Copyright (C) 1989 by WATCOM Systems Inc. All rights	   %
;%	 reserved. No part of this software may be reproduced	   %
;%	 in any form or by any means - graphic, electronic or	   %
;%	 mechanical, including photocopying, recording, taping	   %
;%	 or information storage and retrieval systems - except	   %
;%	 with the written permission of WATCOM Systems Inc.	   %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  modified:	  by:		reason:
;  ---------	  ---		-------
;  31-dec-89	F.W.Crigger	Initial implementation for 386
;  16-jun-92	F.W.Crigger	-3r library wasn't popping a parm from stack
;  16-sep-93	F.W.Crigger	int21 added
;  22-nov-93	F.W.Crigger	cloned from io386.asm for 32-bit windows
;  07-mar-95	M. Hildebrand	Deal with different versions of WASM.
;  12-mar-95	Greg Bentz	remove extra _ from "C" symbols
;
include mdef.inc
include struct.inc
include int21.inc

	xref	__doserror_
	modstart iow32

	defp	_dos_read
	if __WASM__ ge 100
	    xdefp	"C",_dos_read
	else
	    xdefp	<"C",_dos_read>
	endif
;
;	unsigned _dos_read( int handle,		EAX
;			    void *buf,		EDX
;			    unsigned count,	EBX
;			    unsigned *bytes );	ECX
;
	push	3F00h		; push function code
_do_io:

	push	ECX
ifdef __STACK__
	push	EBX
	push	EDX
	mov	EBX,20[ESP]	; get handle
	mov	EDX,24[ESP]	; get address of buffer
	mov	ECX,28[ESP]	; get count
	mov	EAX,12[ESP]	; get function code
else
	mov	ECX,EBX		; get count
	mov	EBX,EAX		; get file handle
	mov	EAX,4[ESP]	; get function code
endif
	int21h			; do the operation
	_if	nc		; if no error
ifdef __STACK__
	  mov	EBX,32[ESP]	; - get pointer to number of bytes
else
	  mov	EBX,[ESP]	; - get pointer to number of bytes
endif
	  mov	[EBX],EAX	; - store number of bytes transferred
	_endif			; endif
	call	__doserror_	; set return code
ifdef __STACK__
	pop	EDX
	pop	EBX
endif
	pop	ECX
	add	ESP,4		; remove function code
	ret			; return to caller
	endproc _dos_read
;-----------------------------------------------------------------------
	defp	_dos_write
	if __WASM__ ge 100
	    xdefp	"C",_dos_write
	else
	    xdefp	<"C",_dos_write>
	endif
;
;	unsigned _dos_write( int handle,
;			    void *buf,
;			    unsigned count,
;			    unsigned *bytes );
;
	push	4000h		; push function code
	jmp	_do_io		; do the io
	endproc _dos_write

	endmod
	end
