/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  22-mar-91     C.G.Eisler      Initial implementation
  30-jul-92	Craig Eisler	be sure to set errno
  15-mar-94	Greg Bentz	add _dos_findclose
--------------------------------------------------------Version-11.0---------
  19-may-95	Greg Bentz	dll linkage
*/
#include "variety.h"
#include <dos.h>
#include <errno.h>

extern unsigned pascal _clib_dos_findfirst(const char *__path,unsigned __attr,struct find_t *__buf);
extern unsigned pascal _clib_dos_findnext( struct find_t *__buf);
extern int pascal _clib_errno( void );

_WCRTLINK unsigned _dos_findfirst(const char *__path,unsigned __attr,struct find_t *__buf)
{
    int	rc;
    rc = _clib_dos_findfirst(__path,__attr,__buf);
    errno = _clib_errno();
    return( rc );
}

_WCRTLINK unsigned _dos_findnext( struct find_t *__buf)
{
    int	rc;
    rc = _clib_dos_findnext( __buf);
    errno = _clib_errno();
    return( rc );
}

_WCRTLINK unsigned _dos_findclose( struct find_t *__buf)
{
    __buf = __buf;
    return( 0 );
}
