/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1991 by WATCOM Systems Inc. All rights	    %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  27-apr-91	F.W.Crigger	Initial implementation for OS/2
--------------------------------------------------Version 8.5----------
  09-jul-91     G. Coschi	support OS/2 2.0
--------------------------------------------------Version 9.0----------
  02-mar-92     G. Coschi	mask off network attribute before checking
  				if it's a disk file
--------------------------------------------------------Version-11.0---------
  19-may-95	Greg Bentz	dll linkage
*/
#include "variety.h"
#include <dos.h>
#include <wos2.h>
#include "seterrno.h"



_WCRTLINK unsigned _dos_getftime( int handle, unsigned short *date, unsigned short *time )
    {
	APIRET		error;
	OS_UINT		hand_type;
	OS_UINT		device_attr;
	FILESTATUS	info;
	USHORT		*p;

	error = DosQHandType( handle, &hand_type, &device_attr );
	if( error ) {
	    __set_errno_dos( error );
	    return( error );
	}
	if( ( hand_type & ~HANDTYPE_NETWORK ) == HANDTYPE_FILE ) {
	    error = DosQFileInfo( handle, 1, (PBYTE)&info, sizeof( FILESTATUS ) );
	    if( error ) {
		__set_errno_dos( error );
		return( error );
	    }
	    p = (USHORT *)(&info.fdateLastWrite);
	    *date = *(unsigned short *)p;
	    p = (USHORT *)(&info.ftimeLastWrite);
	    *time = *(unsigned short *)p;
	} else {			/* it is a device */
	    *date = 0;
	    *time = 0;
	}
	return( 0 );
    }

