/*
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
  %       reserved. No part of this software may be reproduced      %
  %       in any form or by any means - graphic, electronic or      %
  %       mechanical, including photocopying, recording, taping     %
  %       or information storage and retrieval systems - except     %
  %       with the written permission of WATCOM Systems Inc.        %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  05-mar-92     Craig Eisler	defined for NT
  16-oct-92	Craig Eisler	use integer ids for file handles
--------------------------------------------------------Version-11.0---------
  19-may-95	Greg Bentz	dll linkage
  27-nov-95	Greg Bentz	fixup const in function definition
*/
#include "variety.h"
#include <dos.h>
#include <windows.h>
#include "fileacc.h"
#include "ntex.h"
#include "seterrno.h"

_WCRTLINK unsigned _dos_write( int hid, void const *buffer, unsigned count, unsigned *bytes )
{
    HANDLE	h;

    h = __FileHandleIDs[ hid ];
    
    _AccessFileH( hid );
    if( !WriteFile( h, buffer, count, (LPDWORD) bytes, NULL ) ) {
	_ReleaseFileH( hid );
	return( __set_errno_nt() );
    }
    _ReleaseFileH( hid );
    return( 0 );
}
