// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// %     Copyright (C) 1992, by WATCOM International Inc.  All rights    %
// %     reserved.  No part of this software may be reproduced or        %
// %     used in any form or by any means - graphic, electronic or       %
// %     mechanical, including photocopying, recording, taping or        %
// %     information storage and retrieval systems - except with the     %
// %     written permission of WATCOM International Inc.                 %
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//
//  Modified    By              Reason
//  ========    ==              ======
//  92/01/30    Steve McDowell  Initial implementation.
//  92/02/28    ...             Modified to delay allocation of buffers
//                              until overflow/underflow called.
//  92/09/08	Greg Bentz	Cleanup.
//  93/07/22	Greg Bentz	Make sure overflow() function sets up the
//				put area
//  93/10/22	Raymond Tang	Split into seperate files.
//  94/04/06	Greg Bentz	combine header files

#ifdef __SW_FH
#include "iost.h"
#else
#include "variety.h"
#include <unistd.h>
#include <stdio.h>
#include <iostream.h>
#include <stdiobuf.h>
#endif
#include "sdfhdr.h"

int __stdiobuf_read( char *buf, size_t size, size_t len, FILE *fp ) {
/************************************************************************/
    int count;

    count = 0;
    if( isatty( fileno( fp ) ) ) {
	int ch;
	ch = fgetc( fp );
	if( ch != EOF ) {
	    *buf = (char)ch;
	    count = 1;
	}
    } else {
	count = ::fread( buf, size, len, fp );
    }
    return( count );
}
