// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// %     Copyright (C) 1992, by WATCOM International Inc.  All rights    %
// %     reserved.  No part of this software may be reproduced or        %
// %     used in any form or by any means - graphic, electronic or       %
// %     mechanical, including photocopying, recording, taping or        %
// %     information storage and retrieval systems - except with the     %
// %     written permission of WATCOM International Inc.                 %
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//
//  Modified    By              Reason
//  ========    ==              ======
//  92/02/28    Steve McDowell  Initial implementation.
//  92/09/08	Greg Bentz	Cleanup.
//  93/10/29	Raymond Tang 	Split into separate files.
//  94/04/06	Greg Bentz	combine header files

#ifdef __SW_FH
#include "iost.h"
#else
#include "variety.h"
#include <iostream.h>
#include <streambu.h>
#endif
#include "stfhdr.h"

streambuf::streambuf() {
/**********************/
// Construct an empty streambuf.

    #ifdef __MT__
	__b_lock = __get_next_streambuf_lock();
    #else
	__b_lock = NULL;
    #endif
    __reserve_base     = NULL;
    __reserve_end      = NULL;
    __get_base	       = NULL;
    __get_end	       = NULL;
    __get_ptr	       = NULL;
    __put_base	       = NULL;
    __put_end	       = NULL;
    __put_ptr	       = NULL;
    __delete_reserve   = 0;
    __unbuffered_state = 0;
}
