// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// %     Copyright (C) 1992, by WATCOM International Inc.  All rights    %
// %     reserved.  No part of this software may be reproduced or        %
// %     used in any form or by any means - graphic, electronic or       %
// %     mechanical, including photocopying, recording, taping or        %
// %     information storage and retrieval systems - except with the     %
// %     written permission of WATCOM International Inc.                 %
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//
//  Modified    By              Reason
//  ========    ==              ======
//  92/02/28    Steve McDowell  Initial implementation.
//  92/09/08	Greg Bentz	Cleanup.
//  93/10/29	Raymond Tang	Split into small files.
//  94/04/06	Greg Bentz	combine header files

#ifdef __SW_FH
#include "iost.h"
#else
#include "variety.h"
#include <iostream.h>
#include <streambu.h>
#endif
#include "lock.h"
#include "stfhdr.h"

#ifdef __MT__
__lock *__get_next_streambuf_lock( void ) {
/************************************/
    #define	    MAX_LOCKS	16
    static __lock   streambuf_lock[MAX_LOCKS];
    static unsigned next_streambuf_lock = 0;
    __lock *p;

    p = &(streambuf_lock[next_streambuf_lock]);
    next_streambuf_lock = ( next_streambuf_lock + 1 ) % MAX_LOCKS;
    return( p );
}
#endif
