// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// %     Copyright (C) 1992, by WATCOM International Inc.  All rights    %
// %     reserved.  No part of this software may be reproduced or        %
// %     used in any form or by any means - graphic, electronic or       %
// %     mechanical, including photocopying, recording, taping or        %
// %     information storage and retrieval systems - except with the     %
// %     written permission of WATCOM International Inc.                 %
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//
//  Modified    By              Reason
//  ========    ==              ======
//  92/01/30    Steve McDowell  Initial implementation.
//  92/09/08    Greg Bentz      Cleanup.
//  93/07/29    Greg Bentz      Change ostream::op<<(streambuf &) to
//                              ostream::op<<( streambuf * )
//  93/10/26    Raymond Tang    Split into separate files.

#ifndef __OSTHDR_H_INCLUDED
#define __OSTHDR_H_INCLUDED

enum {
    INTEGER_OVERHEAD= 3,            // 1 sign, 2-char hex prefix
    LONGEST_INTEGER = 11       + INTEGER_OVERHEAD,
    LONGEST_INT64   = 22       + INTEGER_OVERHEAD
};

extern void __AddPrefix( char, char *, int &, int, long );

#endif
