;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
;%       reserved. No part of this software may be reproduced      %
;%       in any form or by any means - graphic, electronic or      %
;%       mechanical, including photocopying, recording, taping     %
;%       or information storage and retrieval systems - except     %
;%       with the written permission of WATCOM Systems Inc.        %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
; FSHAND.ASM -- routine providing signature of our FS handler
;            
; date          by              reason
; ====          ==              ======
; 94/12/06      J.W.Welch       defined
; 95/03/19      J.W.Welch       bump library #
;

ifdef __NT__
THUNK   equ         ___wcpp_4_fs_handler_
HANDLER equ         ___wcpp_4_fs_handler_rtn_
else
THUNK   equ         __wcpp_4_fs_handler_
HANDLER equ         __wcpp_4_fs_handler_rtn_
endif

        name        FSHAND
        extern      HANDLER : proc
        
_text   segment byte public 'code'

assume cs:_text

        public      THUNK
        
THUNK   proc        near

        jmp HANDLER
        db  'W'
        db  'A'
        db  'T'
        db  'C'
        db  'O'
        db  'M'
        
THUNK   endp

_text   ends

        end
