/*
**********************************************************************
*       Copyright by WATCOM International Corporation, 1987, 1992.   *
*       All rights reserved. No part of this software may be         *
*       reproduced in any form or by any means - graphic, electronic,*
*       mechanical or otherwise, including, without limitation,      *
*       photocopying, recording, taping or information storage and   *
*       retrieval systems - except with the written permission of    *
*       WATCOM International Corporation.                            *
**********************************************************************

An external reference to this object file is placed in the compiled
object when the module being compiled has static objects which
require DTORing.

The close-up code will call the routine module_dtor to DTOR
all such static objects.

The routine must reside in each image referencing the symbol.

Modified        By              Reason
--------        --              ------
93/01/08        J.W.Welch       Defined
93/01/11        A.F.Scian       Fixed for 32-bit models
93/01/22        J.W.Welch       Use YI macro
95/05/24        J.W.Welch       Change naming convention
95/06/14        Greg Bentz      dll linkage
95/09/27        J.W.Welch       removed dll linkage
*/

#include <cpplib.h>
#include <rtinit.h>

extern "C" YI( CPPDATA(module_dtor_ref), CPPLIB(module_dtor), DTOR_PRIORITY );

#ifdef M_PC_INTEL
    #pragma aux CPPDATA(module_dtor_ref) "_*";
#endif
