// PUREERR.C -- support for trapping non-overridden pure virtual calls
//
// 92/05/18 -- A.F.Scian        -- defined
// 92/10/11 -- J.W.Welch        -- Use RTMSGS.H
// 94/12/12 -- J.W.Welch        -- moved to CPP
#include <cpplib.h>
#include "rtmsgs.h"


extern "C"
_WPRTLINK
void CPPLIB(pure_error)(        // TRAP NON-OVERRIDDEN PURE VIRTUAL CALLS
    void )
{
    if( !_RWD_PureErrorFlag ) {
        _RWD_PureErrorFlag = 1;
        CPPLIB(fatal_runtime_error)( RTMSG_PURE_ERR, 1 );
    }
}
