#ifndef NDEBUG

/*
**********************************************************************
*       Copyright by WATCOM International Corporation, 1987, 1993.   *
*       All rights reserved. No part of this software may be         *
*       reproduced in any form or by any means - graphic, electronic,*
*       mechanical or otherwise, including, without limitation,      *
*       photocopying, recording, taping or information storage and   *
*       retrieval systems - except with the written permission of    *
*       WATCOM International Corporation.                            *
**********************************************************************

RTDBGCOM -- run-time debugging support for comma insertion

Modified        By              Reason
--------        --              ------
95/01/04        J.W.Welch       Defined
*/

#include "cpplib.h"
#include "rtexcept.h"

static unsigned inserted_at;    // # inserted calls to atoms
static unsigned inserted_op;    // # inserted calls to operators

extern "C"
void __dbg_comma_op( void )     // INSERTED CALL AT OPERATOR
{
    ++ inserted_op;
}


extern "C"
void __dbg_comma_at( void )     // INSERTED CALL AT ATOM
{
    ++ inserted_at;
}

#endif
