/*
**********************************************************************
*       Copyright by WATCOM International Corporation, 1987, 1992.   *
*       All rights reserved. No part of this software may be         *
*       reproduced in any form or by any means - graphic, electronic,*
*       mechanical or otherwise, including, without limitation,      *
*       photocopying, recording, taping or information storage and   *
*       retrieval systems - except with the written permission of    *
*       WATCOM International Corporation.                            *
**********************************************************************

UNDEFED.C -- issue error for undefined DTOR or CTOR

Modified        By              Reason
--------        --              ------
92/12/02        J.W.Welch       Defined
93/07/29        A.F.Scian       added aborts pragma using __pragma to remove
                                kludgey previous method that broke when prefix
                                changed

94/01/28        J.W.Welch       Removed aborts
*/

#include "cpplib.h"
#include "rtmsgs.h"


extern "C"
void CPPLIB( undefed_cdtor )(   // ISSUE ERROR FOR UNDEFINED CTOR, DTOR
    void )
{
    CPPLIB(fatal_runtime_error)( RTMSG_UNDEFED_CDTOR, 1 );
}
