/*
**********************************************************************
*       Copyright by WATCOM International Corporation, 1987, 1992.   *
*       All rights reserved. No part of this software may be         *
*       reproduced in any form or by any means - graphic, electronic,*
*       mechanical or otherwise, including, without limitation,      *
*       photocopying, recording, taping or information storage and   *
*       retrieval systems - except with the written permission of    *
*       WATCOM International Corporation.                            *
**********************************************************************

UNDEFED.C -- issue error for debug info points at undefined member function

Modified        By              Reason
--------        --              ------
93/11/15        Greg Bentz      Defined
94/01/28        J.W.Welch       Removed aborts
95/06/14        Greg Bentz      dll linkage
*/

#include "cpplib.h"
#include "rtmsgs.h"


extern "C"
_WPRTLINK
void CPPLIB( undefined_member_function )( // ISSUE ERROR FOR UNDEFINED CTOR, DTOR
    void )
{
    CPPLIB(fatal_runtime_error)( RTMSG_UNDEFED_MEMBER, 1 );
}
