// VFUN_ERR.CPP -- support for trapping calls to stripped virtual calls
//
// This routine should never be called, since only functions which are
// not called virtually should be stripped.
//
// 93/02/04 -- J.W.Welch    -- Defined
// 94/12/12 -- J.W.Welch        -- moved to CPP
// 95/06/14 -- Greg Bentz	-- dll linkage

#include <cpplib.h>
#include "rtmsgs.h"


extern "C"
_WPRTLINK
void CPPLIB(undef_vfun)(        // TRAP STRIPPED VIRTUAL CALLS
    void )
{
    if( !_RWD_UndefVfunFlag ) {
        _RWD_UndefVfunFlag = 1;
        CPPLIB(fatal_runtime_error)( RTMSG_UNDEFED_VFUN, 1 );
    }
}

