/*
**********************************************************************
*       Copyright by WATCOM International Corporation, 1987, 1992.   *
*       All rights reserved. No part of this software may be         *
*       reproduced in any form or by any means - graphic, electronic,*
*       mechanical or otherwise, including, without limitation,      *
*       photocopying, recording, taping or information storage and   *
*       retrieval systems - except with the written permission of    *
*       WATCOM International Corporation.                            *
**********************************************************************

Modified        By              Reason
--------        --              ------
92/10/21	Greg Bentz	Initial Implementation
92/10/27	Greg Bentz	Moved from iostream to plib
*/

#ifndef _LOCK_H_INCLUDED
#ifdef __MT__

#if defined( __cplusplus )
extern "C" {
#endif
#pragma warning 604 9
#pragma warning 594 9
#include "osthread.h"
#pragma warning 604 1
#pragma warning 594 1
#if defined( __cplusplus )
};
#endif
//#include <stddef.h>
#define  __lock_first( __a, __b )  ((__a) < (__b) ? (__a) : (__b))
#define  __lock_second( __a, __b ) ((__a) > (__b) ? (__a) : (__b))

#if defined( __cplusplus )
class _WPRTLINK __lock {
public:
    __lock();
    ~__lock();
    void p( void );
    void v( void );
private:
    semaphore_object locksem;
};

class _WPRTLINK __fn_lock {
public:
    __fn_lock( __lock * );
    ~__fn_lock();
private:
    __lock *fn_lock;
    __fn_lock( __fn_lock const & );
    void operator =( __fn_lock const & );
};
#endif

#endif
#define _LOCK_H_INCLUDED
#endif
