#ifndef __RTMSGS_H__
#define __RTMSGS_H__

// RUN-TIME ERROR MESSAGES

#define RTMSG_PURE_ERR          \
    "pure virtual function called!"
#define RTMSG_NO_HANDLER        \
    "no handler active to catch thrown object!"
#define RTMSG_RET_UNEXPECT      \
    "return from \"unexpected\" function!"
#define RTMSG_RET_TERMIN        \
    "return from \"terminate\" function!"
#define RTMSG_THROW_TERMIN      \
    "throw while \"terminate\" function active!"
#define RTMSG_THROW_DTOR        \
    "throw during destructor while unwinding stack to catch exception!"
#define RTMSG_THROW_CTOR        \
    "throw during construction of exception!"
#define RTMSG_CORRUPT_STK       \
    "stack data has been corrupted!"
#define RTMSG_FNEXC             \
    "violation of function exception specification!"
#define RTMSG_EXC_NO_SPACE      \
    "no memory left to handle thrown exception!"
#define RTMSG_EXC_DTOR          \
    "throw during destructor for handled exception!"
#define RTMSG_RETHROW           \
    "re-throw when no exception handler active!"
#define RTMSG_UNDEFED_CDTOR     \
    "undefined constructor or destructor called!"
#define RTMSG_UNDEFED_MEMBER     \
    "undefined member function called through debug information!"
#define RTMSG_UNDEFED_VFUN      \
    "compiler error: eliminated virtual function call!"
#define RTMSG_SYS_EXC           \
    "system exception! code = 0x00000000"

#endif
