// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// %     Copyright (C) 1994, by WATCOM International Inc.  All rights    %
// %     reserved.  No part of this software may be reproduced or        %
// %     used in any form or by any means - graphic, electronic or       %
// %     mechanical, including photocopying, recording, taping or        %
// %     information storage and retrieval systems - except with the     %
// %     written permission of WATCOM International Inc.                 %
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//
//  Modified    By              Reason
//  ========    ==              ======
//  94/04/21	Kevin Hui	Initial implementation

#include "strng.h"

String::String( size_t size, capacity cap )
/*****************************************/
	: __offset( 0 ), __c_string( NULL ) {
// Constructor: make a String with specified size
    if( size == NPOS ) return; // Exception: length error
    __srep = __AllocStringRep( NULL, size );
    __slength = 0;
    if( __srep == NULL ) return;
    if( cap == reserve ) {
	__srep->__used_length = 0;
    } else {
        if( size > 0 ) {
            ::memset( __srep->__value, 0, size );
	    __slength = size;
        }
    }
}
