#ifndef _SIGDEFN_H_INCLUDED
#define _SIGDEFN_H_INCLUDED

#if (!defined(__NT__) && !defined(__OS2__) && !defined(__NETWARE__) && !defined(__GENERIC__))
#error Must be bt=NT or bt=OS2 or bt=NETWARE or bt=GENERIC
#endif

#include "variety.h"
#include <signal.h>

#define __SIGLAST	_SIGMAX

// note that __NT__ and __NETWARE__ are always 32bit
#if defined(__386__) || defined(__AXP__) || defined(__PPC__)
    #if defined(__NETWARE__)
	typedef void (*sigtab)( int );
    #else
	typedef struct sigtab {
	    void    (* func)(int);	/* user signal handler */
	    int	    os_sig_code;	/* OS signal code */
	} sigtab;
    #endif
#else
    // 16 bit OS/2 1.x
    #define INCL_DOSEXCEPTIONS
    #include <wos2.h>

    typedef struct	sigtab {
	void (* func)(int);	/* user signal handler */
	VOID (_WCI86FAR PASCAL *os_func)(USHORT, USHORT);
	USHORT	prev_action;	/* previous action */
	int	os_sig_code;	/* OS/2 1.x signal code */
    } sigtab;
#endif
#endif
