;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%	 Copyright (C) 1988 by WATCOM Systems Inc. All rights	   %
;%	 reserved. No part of this software may be reproduced	   %
;%	 in any form or by any means - graphic, electronic or	   %
;%	 mechanical, including photocopying, recording, taping	   %
;%	 or information storage and retrieval systems - except	   %
;%	 with the written permission of WATCOM Systems Inc.	   %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  Modified:	by:		reason:
;  ---------	---		-------
;  18-apr-88	F.W.Crigger	replacement for C version
;  13-mar-89	F.W.Crigger	Adapted for 386
;  19-apr-90	F.W.Crigger	IF@ABS, IF@DABS added for FORTRAN
;  07-mar-91	F.W.Crigger	fabs387s.asm merged into this file
;  03-sep-91	J.B.Schueler	added __8087 xref
;  12-mar-95	Greg Bentz	remove _ from "C" symbols, wasm version check
;
ifdef __386__
 include mdef.inc
 .387
else
 include mdef.inc
 .8087
endif
include math387.inc

	xref		__8087	; indicate that NDP instructions are present
	modstart	fabs387

    if __WASM__ ge 100
	xdefp	 "C",fabs	; double fabs( double x )
    else
	xdefp	 <"C",fabs>	; double fabs( double x )
    endif

ifndef __386__
if _MODEL and _BIG_CODE
argx	equ	6
else
argx	equ	4
endif
endif

;  input:	x - on the stack
;  output:	absolute value of x in st(0)
;
	defp	fabs
ifdef __386__
	and	byte ptr 4+7[ESP],7Fh	; turn off sign bit
ifdef __STACK__
	mov	EAX,4[ESP]		; load value
	mov	EDX,8[ESP]		; ...
else
	fld	qword ptr 4[ESP]	; load value
	fwait				; wait
endif
else
	push	BP			; save BP
	mov	BP,SP			; get access to stack
	fld	qword ptr argx[BP]	; load argument
	fabs				; take absolute value
	pop	BP			; restore BP
endif
	ret_pop 8			; return
	endproc fabs

	public	IF@DABS
	public	IF@ABS
	defp	IF@DABS
	defp	IF@ABS
	fabs				; calculate absolute value of argument
	ret				; return
	endproc IF@ABS
	endproc IF@DABS

	endmod
	end
