;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%	 Copyright (C) 1990 by WATCOM Systems Inc. All rights	   %
;%	 reserved. No part of this software may be reproduced	   %
;%	 in any form or by any means - graphic, electronic or	   %
;%	 mechanical, including photocopying, recording, taping	   %
;%	 or information storage and retrieval systems - except	   %
;%	 with the written permission of WATCOM Systems Inc.	   %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  Modified:	by:		reason:
;  ---------	---		-------
;  17-apr-90	F.W.Crigger	replacement for C version
;  03-sep-91	J.B.Schueler	added __8087 xref
;  12-mar-95	Greg Bentz	remove _ from "C" symbols, wasm version check
;
include mdef.inc
ifdef __386__
 .387
else
 .8087
endif
include struct.inc
include math387.inc

	extern_chipbug
	xref		__8087	; indicate that NDP instructions are present

	modstart	fmod387

    if __WASM__ ge 100
	xdefp	"C",fmod	; calc fmod(x,y)
    else
	xdefp	<"C",fmod>	; calc fmod(x,y)
    endif

ifndef __386__
if _MODEL and _BIG_CODE
argx	equ	6
else
argx	equ	4
endif
endif

	public	IF@DFMOD		; double fmod( double x, double y )
	public	IF@FMOD 		; double fmod( double x, double y )
	defp	IF@DFMOD
	defp	IF@FMOD
ifndef __386__
	push	BP			; save BP
	mov	BP,SP			; get access to stack
endif
	_loop				; loop
	  do_fprem 			; - calculate remainder
ifdef __386__
	  fstsw AX			; - get status
else
	  push	AX			; - allocate space for status
	  fstsw word ptr -2[BP] 	; - get status
	  fwait 			; - wait
	  pop	AX			; - ...
endif
	  sahf				; - set flags
	_until	np			; until modulus calculated
	fstp	st(1)			; copy answer up
ifndef __386__
	pop	BP			; restore BP
endif
	ret				; return
	endproc IF@FMOD
	endproc IF@DFMOD
;
;	double fmod( double x, double y )
;
	defp	fmod
ifdef __386__
	fld	qword ptr 4+8[ESP]	; load argument y
	fld	qword ptr 4[ESP]	; load argument x
	call	IF@DFMOD		; calculate fmod(x,y)
	loadres 			; load result
else
	push	BP			; save BP
	mov	BP,SP			; get access to stack
	fld	qword ptr argx+8[BP]	; load y
	fld	qword ptr argx[BP]	; load x
	call	IF@DFMOD		; calculate fmod(x,y)
	pop	BP			; restore BP
endif
	ret_pop 16			; return
	endproc fmod


	endmod
	end
