;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%       Copyright (C) 1991 by WATCOM Systems Inc. All rights      %
;%       reserved. No part of this software may be reproduced      %
;%       in any form or by any means - graphic, electronic or      %
;%       mechanical, including photocopying, recording, taping     %
;%       or information storage and retrieval systems - except     %
;%       with the written permission of WATCOM Systems Inc.        %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;
;  Modified:    by:             reason:
;  ---------    ---             -------
;  19-mar-91    F.W.Crigger     Initial implementation
;  28-sep-92	F.W.Crigger	Check _DS_PEGGED flag
;  12-mar-95	Greg Bentz	remove _ from "C" symbols, wasm version check
;
ifdef __386__
 include mdef.inc
else
 include mdef.inc
endif
include struct.inc

    if __WASM__ ge 100
        xref            "C",matherr
    else
        xref            <"C",matherr>
    endif
        modstart        __mtherr

_DATA   segment word public 'DATA'
_DATA   ends
        DGROUP  group   _DATA
        assume  ds:DGROUP

        xdefp   __matherr       ; int __matherr( struct exception * );

        defp    __matherr
ifdef __386__
        jmp     matherr        ; just jump to users matherr function
else
 if ((_MODEL and (_BIG_DATA or _HUGE_DATA)) and ((_MODEL and _DS_PEGGED) eq 0))
        prolog
        push    DS              ; save DS
        push    CX              ; save CX
        mov     CX,DGROUP       ; set DS = DGROUP
        mov     DS,CX           ; ...
        call    matherr        ; call users matherr function
        pop     CX              ; restore CX
        pop     DS              ; restore DS
        epilog
        ret                     ; return
 else
        jmp     matherr        ; just jump to users matherr function
 endif
endif
        endproc __matherr

        endmod
        end
