/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1990, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  27-sep-90     F.W.Crigger     Initial implementation
  20-dec-90     F.W.Crigger     IF@DASINH entry added
--------------------------------------------------------Version-11.0---------
  06-jun-95	Greg Bentz	variety.h and dll linkage
*/
#include "variety.h"
#include <math.h>

//      asinh(x) = log( x + sqrt(x*x + 1.0) );

#if defined(_M_IX86)
  #pragma aux __asinh "IF@DASINH";
#endif
_WMRTLINK double __asinh( double x )
    {
        return( asinh( x ) );
    }

_WMRTLINK double asinh( double x )
/**********************/
    {
        double  z;

        z = x + sqrt( x*x + 1.0 );
        if( z == 0.0 )  return( -HUGE_VAL );
        return( log( z ) );
    }
