/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1992, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  11-sep-92	Greg Bentz 	Initial implementation
--------------------------------------------------------Version-11.0---------
  06-jun-95	Greg Bentz	variety.h and dll linkage

*/

#include "variety.h"
#include <float.h>

/* This routine is called from the C++ istream float extractor */

_WMRTLINK int __cnvd2f( double *src, float *tgt )
// return zero if ok, else non-zero
{
    double value = *src;

    if( value == 0 ) {
	*tgt = (float)value;
	return( 0 );
    } else if( value > 0 && value <= FLT_MAX && value >= FLT_MIN ) {
	*tgt = (float)value;
	return( 0 );
    } else if( value >= -FLT_MAX && value <= -FLT_MIN ) {
	*tgt = (float)value;
	return( 0 );
    } else {
	return( 1 );
    }
}
