/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%	  Copyright (C) 1986, by WATCOM Systems Inc. All rights     %
 *%	  reserved. No part of this software may be reproduced	    %
 *%	  in any form or by any means - graphic, electronic or	    %
 *%	  mechanical, including photocopying, recording, taping     %
 *%	  or information storage and retrieval systems - except     %
 *%	  with the written permission of WATCOM Systems Inc.	    %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:	By:		Reason:
  ---------	---		-------
  30-sep-86	F.W.Crigger	Translated to WSL
  16-jan-87	A.J.Stein	Converted from WSL to C
  30-aug-91	J.B.Schueler	Added const to second parm
--------------------------------------------------------Version-11.0---------
  06-jun-95	Greg Bentz	variety.h and dll linkage
*/
#include "variety.h"

_WMRTLINK double _EvalPoly( double x, const double *poly, int degree )
/**********************************************************/
{
    double  z;

    z = *poly++;
    do {
	z = z * x + *poly++;
    } while( --degree != 0 );
    return( z );
}


_WMRTLINK double _OddPoly( double x, const double *poly, int degree )
/*********************************************************/
{
    return( _EvalPoly( x * x, poly, degree ) * x );
}

