/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1986, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  15-feb-88     F.W.Crigger     Initial implementation
  27-sep-90     F.W.Crigger     "acosh", "atanh", "log2" added
--------------------------------------------------------Version-11.0---------
  06-jun-95	Greg Bentz	variety.h and dll linkage
*/
#include "variety.h"
#include <stddef.h>
#include <math.h>
#include "mathcode.h"

double __log87_err( double x, unsigned int code )
/***********************************************/
    {
        code &= FUNC_MASK;
        if( code != FUNC_ACOSH  &&  x == 0.0 ) {
            code |= M_SING | V_NEG_HUGEVAL;
        } else {
            code |= M_DOMAIN | V_NEG_HUGEVAL;
        }
        return( __math1err( code, &x ) );
    }
