/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %     Copyright (C) 1995, by WATCOM International Inc.  All rights    %
  %     reserved.  No part of this software may be reproduced or        %
  %     used in any form or by any means - graphic, electronic or       %
  %     mechanical, including photocopying, recording, taping or        %
  %     information storage and retrieval systems - except with the     %
  %     written permission of WATCOM International Inc.                 %
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  

 MULC32          : complex multiply runtime routine

  Date		By		Reason
  ----		--		------
  93/09/23	Alex Brodsky	Initial implementation.
  94/04/08	Kevin Hui	merge C++ and Fortran Complex support
--------------------------------------------------------Version-11.0---------
  06-jun-95	Greg Bentz	variety.h and dll linkage
  26-sep-95	Greg Bentz	intrinsic support for alpha
*/
#include "variety.h"
#include "cplx.h"


_WMRTLINK xcomplex _IF_C32Mul( extended a, extended b, extended c, extended d ) {
//==============================================================================

// Return the real part of the result of multiplying two extended precision
// complex numbers.
// ( a, b ) * ( c, d ) = ( ac-bd, bc+ad )

    xcomplex	res;
    
    res.realpart = a * c - b * d;
    res.imagpart = b * c + a * d;
    return( res );
}
