/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  05-mar-91     F.W.Crigger     Initial implementation
--------------------------------------------------------Version-11.0---------
  06-jun-95	Greg Bentz	variety.h and dll linkage
*/
#include "variety.h"
#include <string.h>


int __Nan_Inf( double value, char *buf )
    {
        union {
                double  x;
                unsigned short int ui[4];
        } u;
        char *p;

        u.x = value;
        if( (u.ui[3] & 0x7FF0) == 0x7FF0 ) {    /* NaN or Inf */
            p = buf;
            if( u.ui[3] & 0x8000 )  *p++ = '-';
            if( (u.ui[0] | u.ui[1] | u.ui[2] | (u.ui[3] & 0x000F)) == 0 ) {
                strcpy( p, "inf" );
            } else {
                strcpy( p, "nan" );
            }
            return( 1 );        /* indicate NaN or Inf */
        }
        return( 0 );            /* indicate not a Nan or Inf */
    }
