/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1994, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  13-apr-94	Kevin Hui	Initial implementation.
--------------------------------------------------------Version-11.0---------
  06-jun-95	Greg Bentz	variety.h and dll linkage
*/

#include "variety.h"
#include "mathcode.h"
#undef __func__
#define __func__
#include "mathcode.h"
#include "cplx.h"

// z1 not used
_WMRTLINK complex __zmath1err( unsigned int err_info, complex *arg1 )
{
    return( __zmath2err( err_info, arg1, arg1 ) );
}

// z2 not used either... this module is not used!
_WMRTLINK complex __zmath2err( unsigned int err_info, complex *arg1, complex *arg2 )
{
    complex res;
    int     why;
    
    arg1 = arg1;
    arg2 = arg2;
    if(      err_info & M_DOMAIN   ) { why = DOMAIN;   }
    /* above is the only possible case...
    else if( err_info & M_SING     ) { why = SING;     }
    else if( err_info & M_OVERFLOW ) { why = OVERFLOW; }
    else if( err_info & M_UNDERFLOW) { why = UNDERFLOW;}
    else if( err_info & M_PLOSS    ) { why = PLOSS;    }
    else if( err_info & M_TLOSS    ) { why = TLOSS;    }*/
    __rterrmsg( why, MathFuncNames[ (err_info & FUNC_MASK) - 1 ] );
    if( err_info & V_ZERO ) {
	res.realpart = 0.0;
	res.imagpart = 0.0;
    } /* Also, above is the only case...
    else if( err_info & V_NEG_HUGEVAL ) {
	res.realpart = - HUGE_VAL;
	res.imagpart = - HUGE_VAL;
    } else if( err_info & V_ONE ) {
	res.realpart = 1.0;
	res.imagpart = 0.0;
    } else if( err_info & V_HUGEVAL ) {
	res.realpart = HUGE_VAL;
	res.imagpart = HUGE_VAL;
    } else { // PLOSS
	res = *arg2;
    }*/
    return( res );
}
