/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  18-nov-91     F.W.Crigger     Initial implementation
--------------------------------------------------------Version-11.0---------
  28-apr-95	Greg Bentz	variety.h for near/far and composite macros
  06-jun-95	Greg Bentz	dll linkage
*/

#include "variety.h"
#include <math.h>
#include <stdlib.h>
#include <string.h>

#if defined( __386__ ) || defined( __AXP__ ) || defined( __PPC__ )
    #define FARstrcpy strcpy
#elif defined(M_I86)
    #define FARstrcpy _fstrcpy
#endif


_WMRTLINK void _WCI86FAR _GR_ecvt( float _WCI86FAR *value,
		       int	      ndigits,
		       int _WCI86FAR   *far_dec,
		       int _WCI86FAR   *far_sign,
		       char _WCI86FAR  *far_buf )
{
    int		dec;
    int		sign;

    FARstrcpy( far_buf, (char _WCI86FAR *)ecvt( *value, ndigits, &dec, &sign ) );
    *far_dec  = dec;
    *far_sign = sign;
}


_WMRTLINK void _WCI86FAR _GR_fcvt( float _WCI86FAR *value,
		       int	      ndigits,
		       int _WCI86FAR   *far_dec,
		       int _WCI86FAR   *far_sign,
		       char _WCI86FAR  *far_buf )
{
    int		dec;
    int		sign;

    FARstrcpy( far_buf, (char _WCI86FAR *)fcvt( *value, ndigits, &dec, &sign ) );
    *far_dec  = dec;
    *far_sign = sign;
}

