/*
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 *%       Copyright (C) 1991, by WATCOM Systems Inc. All rights     %
 *%       reserved. No part of this software may be reproduced      %
 *%       in any form or by any means - graphic, electronic or      %
 *%       mechanical, including photocopying, recording, taping     %
 *%       or information storage and retrieval systems - except     %
 *%       with the written permission of WATCOM Systems Inc.        %
 *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Modified:     By:             Reason:
  ---------     ---             -------
  18-nov-91     F.W.Crigger     Initial implementation
  19-dec-91     H.W.Hillis	added _GR_sqrt
--------------------------------------------------------Version-11.0---------
  28-apr-95	Greg Bentz	variety.h for near/far and composite macros
  06-jun-95	Greg Bentz	dll linkage
*/
#include "variety.h"
#include <math.h>


_WMRTLINK void _WCI86FAR _GR_ceil( float _WCI86FAR *value )
{
    *value = ceil( *value );
}

_WMRTLINK void _WCI86FAR _GR_cos( float _WCI86FAR *value )
{
    *value = cos( *value );
}

_WMRTLINK void _WCI86FAR _GR_sin( float _WCI86FAR *value )
{
    *value = sin( *value );
}

_WMRTLINK void _WCI86FAR _GR_log( float _WCI86FAR *value )
{
    *value = log( *value );
}

_WMRTLINK void _WCI86FAR _GR_log10( float _WCI86FAR *value )
{
    *value = log10( *value );
}

_WMRTLINK void _WCI86FAR _GR_sqrt( float _WCI86FAR *value )
{
    *value = sqrt( *value );
}
